commit 6bcd5ee20874f28e1c026a7cbebc09491246ac1d
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 21 02:11:40 2012 +0200

    Release 1.16.8

 debian/changelog |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 29560e1f633656d7af7a108b5d2bdfb85fbb032f
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 21 02:39:13 2012 +0200

    Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |    2 +-
 dselect/po/ca.po        |    2 +-
 dselect/po/cs.po        |    2 +-
 dselect/po/da.po        |    5 +-
 dselect/po/de.po        |    2 +-
 dselect/po/dselect.pot  |    4 +-
 dselect/po/el.po        |    2 +-
 dselect/po/es.po        |    6 +-
 dselect/po/et.po        |    2 +-
 dselect/po/eu.po        |    2 +-
 dselect/po/fr.po        |   17 +-
 dselect/po/gl.po        |    2 +-
 dselect/po/hu.po        |    2 +-
 dselect/po/id.po        |    2 +-
 dselect/po/it.po        |    2 +-
 dselect/po/ja.po        |   26 +-
 dselect/po/ko.po        |    2 +-
 dselect/po/nb.po        |    2 +-
 dselect/po/nl.po        |    2 +-
 dselect/po/nn.po        |    2 +-
 dselect/po/pl.po        |    2 +-
 dselect/po/pt.po        |    2 +-
 dselect/po/pt_BR.po     |    2 +-
 dselect/po/ro.po        |    2 +-
 dselect/po/ru.po        |   27 +-
 dselect/po/sk.po        |    4 +-
 dselect/po/sv.po        |    2 +-
 dselect/po/tl.po        |    2 +-
 dselect/po/vi.po        |    2 +-
 dselect/po/zh_CN.po     |    2 +-
 dselect/po/zh_TW.po     |  184 ++++----
 man/po/fr.po            | 1112 +++++++++++------------------------------------
 po/ast.po               |    2 +-
 po/bs.po                |    2 +-
 po/ca.po                |    2 +-
 po/cs.po                |    2 +-
 po/da.po                |    2 +-
 po/de.po                |    2 +-
 po/dpkg.pot             |    4 +-
 po/dz.po                |    2 +-
 po/el.po                |    2 +-
 po/eo.po                |    2 +-
 po/es.po                |   17 +-
 po/et.po                |    2 +-
 po/eu.po                |    2 +-
 po/fr.po                |  287 +-----------
 po/gl.po                |    2 +-
 po/hu.po                |    2 +-
 po/id.po                |    2 +-
 po/it.po                |    3 +-
 po/ja.po                |  264 +++++++----
 po/km.po                |    2 +-
 po/ko.po                |    2 +-
 po/ku.po                |    2 +-
 po/lt.po                |    2 +-
 po/mr.po                |    2 +-
 po/nb.po                |    2 +-
 po/ne.po                |    2 +-
 po/nl.po                |    2 +-
 po/nn.po                |    2 +-
 po/pa.po                |    2 +-
 po/pl.po                |    2 +-
 po/pt.po                |    2 +-
 po/pt_BR.po             |    2 +-
 po/ro.po                |    2 +-
 po/ru.po                |    2 +-
 po/sk.po                |    8 +-
 po/sv.po                |   10 +-
 po/th.po                |    2 +-
 po/tl.po                |    2 +-
 po/vi.po                |    2 +-
 po/zh_CN.po             |    2 +-
 po/zh_TW.po             |    2 +-
 scripts/po/ca.po        |   60 +--
 scripts/po/de.po        |   60 +--
 scripts/po/dpkg-dev.pot |   62 +--
 scripts/po/es.po        |   60 +--
 scripts/po/fr.po        |  469 ++------------------
 scripts/po/pl.po        |   60 +--
 scripts/po/ru.po        |  489 +++------------------
 scripts/po/sv.po        |   60 +--
 81 files changed, 970 insertions(+), 2442 deletions(-)

commit d8a8b758dfa111b132114d034323be4a8c59c1fb
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jul 21 02:33:52 2012 +0200

    Add missing newline in Danish dselect translation

 dselect/po/da.po |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ece7b7258feb781487870e1b4d5f0c19e80c460c
Author: Felipe Castro <fefcas@gmail.com>
Date:   Thu Jul 19 01:08:31 2012 +0200

    Update Esperanto dpkg translation
    
    [guillem@debian.org:
     - Update dpkg-deb -Z allowed values.
     - Use “epoko” instead of “POSIX-dato (epoch)”. ]

 debian/changelog |    1 +
 po/eo.po         | 2536 +++++++++++++++++-------------------------------------
 2 files changed, 769 insertions(+), 1768 deletions(-)

commit cfcd72b256d089b02b348ad4908db73f2590973c
Author: Joe Dalton <joedalton2@yahoo.dk>
Date:   Tue Jul 3 17:37:45 2012 +0100

    Update Danish dselect translation
    
    Closes: #680108

 debian/changelog |    1 +
 dselect/po/da.po |  238 +++++++++++-------------------------------------------
 2 files changed, 50 insertions(+), 189 deletions(-)

commit fb825d8dba8d44b0cfbb0aaf08041b23642782cc
Author: Michał Kułach <michalkulach@gmail.com>
Date:   Fri Jul 6 21:18:50 2012 +0200

    Update Polish dpkg translation
    
    Closes: #680561

 debian/changelog |    1 +
 po/pl.po         | 1182 +++++++++++++++++++-----------------------------------
 2 files changed, 407 insertions(+), 776 deletions(-)

commit eebe28b7dbab286f06a73427acafc36def9325bf
Author: Yuri Kozlov <yuray@komyakino.ru>
Date:   Sat Jul 7 08:51:53 2012 +0400

    Update Russian translations
    
    Closes: #677850, #680411

 debian/changelog |    3 +
 dselect/po/ru.po |  158 ++---
 po/ru.po         | 2068 ++++++++++++++++++++----------------------------------
 scripts/po/ru.po |  733 +++++++++----------
 4 files changed, 1231 insertions(+), 1731 deletions(-)

commit 828871465b2bc72a7751d399df42a4bda90be01f
Author: Asho Yeh - 阿信 <asho@debian.org.tw>
Date:   Sat Jul 7 18:16:07 2012 +0800

    Update Traditional Chinese dselect translation

 debian/changelog    |    3 +
 dselect/po/zh_TW.po |  281 ++++++++++++++++++++++-----------------------------
 2 files changed, 124 insertions(+), 160 deletions(-)

commit 2ef4eeb5780efb36599c692c6ec81dc966464e1a
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 8 03:04:20 2012 +0200

    Remove executable bits from Slovak po file permissions

 0 files changed

commit d0b7c9ec03551be6529ba45eea4480756e5575cc
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 8 02:24:48 2012 +0200

    Remove bogus newline from Spanish translation

 dselect/po/es.po |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 55df418b08943316f50499fbc5d8aa0b1f60e813
Author: Javier Fernandez-Sanguino <jfs@debian.org>
Date:   Sun Jul 8 00:35:15 2012 +0200

    Small update of the Spanish translation of dpkg

 po/es.po |   70 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 35 insertions(+), 35 deletions(-)

commit 56eed5cba8519cfcd169e3123be42cd29bc8fe29
Author: Javier Fernandez-Sanguino <jfs@debian.org>
Date:   Sun Jul 8 00:25:16 2012 +0200

    Updated Spanish translation for dselect

 debian/changelog |    1 +
 dselect/po/es.po |   34 ++++++++--------------------------
 2 files changed, 9 insertions(+), 26 deletions(-)

commit ec0b42c0d5e4fc95a9a6bfb15606c34e3ad0e403
Merge: 33a238f 6d311b1
Author: Kenshi Muto <kmuto@debian.org>
Date:   Tue Jul 3 09:44:09 2012 +0900

    Merge branch 'master' of ssh://git.debian.org/git/dpkg/dpkg

commit 33a238fd34febee11371cec06dd0b0e96d8a2841
Author: Kenshi Muto <kmuto@debian.org>
Date:   Tue Jul 3 09:42:49 2012 +0900

    [l10n] updated Japanese program translation.

 po/ja.po |  359 +++++++++++++++++---------------------------------------------
 1 file changed, 100 insertions(+), 259 deletions(-)

commit 6d311b1a57c151d442f3f9e5d023b26b93111f53
Author: Ivan Masár <helix84@centrum.sk>
Date:   Tue Jul 3 01:12:32 2012 +0200

    Update Slovak translation of dselect
    
    Update to 269t.

 dselect/po/sk.po |   58 +++++++++++++++++-------------------------------------
 1 file changed, 18 insertions(+), 40 deletions(-)

commit a8fe781071360a6bf20fd52416a9e1538cf71a01
Author: Ivan Masár <helix84@centrum.sk>
Date:   Tue Jul 3 00:38:50 2012 +0200

    Update Slovak translation of programs
    
    Update to 1065t1f.

 debian/changelog |    1 +
 po/sk.po         | 2395 +++++++++++++++---------------------------------------
 2 files changed, 649 insertions(+), 1747 deletions(-)

commit 5e91bbcb285b4b394e1d1cb2befc069192016f99
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Mon Jul 2 22:43:29 2012 +0200

    Fix markup to actually build the French man pages

 man/po/fr.po |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f65ea0d4d5f4ac48af3e0d4b717ee6fd4aec050a
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Jul 2 15:58:14 2012 -0400

    Merge changelog entries

 debian/changelog |    9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 3b92f3e93a42387026a59081f0eaa8005abcbfef
Merge: 10df436 03ea6d8
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Jul 2 15:55:59 2012 -0400

    Merge branch 'master' of ssh://git.debian.org/git/dpkg/dpkg

commit 03ea6d848f9d81cbe706d643f9b0b582fb52af40
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Jul 2 21:38:41 2012 +0200

    Bump version to 1.16.8

 debian/changelog |    6 ++++++
 1 file changed, 6 insertions(+)

commit 1bb15619ffc305dc46ec63d0861e93884cadc4c8
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Jul 2 21:16:54 2012 +0200

    Release 1.16.7

 debian/changelog |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3a3f1014d54b9bca469de9125005649562799a8d
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Mon Jul 2 21:11:59 2012 +0200

    German dpkg translation update
    
    Update to 1066t.

 debian/changelog |    3 +-
 po/de.po         |  791 +++++++++++++++++++-----------------------------------
 2 files changed, 281 insertions(+), 513 deletions(-)

commit c140193701a69b95d974f5ec128a7cea323b5da7
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Jul 2 21:13:41 2012 +0200

    dpkg-gencontrol: fix handling of "old-style" bin-nmus
    
    With old style bin-nmus, the source version is extrapolated from the
    binary version and thus we need to retrieve the correct source version
    from Dpkg::Substvars instead of assuming that what we submitted has
    been unchanged.
    
    Regression introduced in commit 094d3a7e61e6fc1f5634d880957d18ed70954a60.
    
    Reported-by: Julien Cristau <jcristau@debian.org>
    Closes: #679959

 debian/changelog           |    4 ++++
 scripts/dpkg-gencontrol.pl |    4 ++++
 2 files changed, 8 insertions(+)

commit 10df436ba35393ae904a0743ebdc538ab67c0f5b
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Jul 2 12:14:00 2012 -0400

    French translation update for scripts
    
    Update to 534t

 debian/changelog |    1 +
 scripts/po/fr.po |  349 +++++++++++++++++++++++++++++-------------------------
 2 files changed, 190 insertions(+), 160 deletions(-)

commit 746f9e27dc9a867fb52f13a87655c30f232aaf15
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Jul 2 17:20:09 2012 +0200

    Updated French translation of manpages
    
    Updated to 2108t

 debian/changelog |    1 +
 man/po/fr.po     |  936 ++++++++++++++++++++++++++++++++----------------------
 2 files changed, 557 insertions(+), 380 deletions(-)

commit 39d412af305d9b93c2723161cf7b3b98fa558b0a
Author: Kenshi Muto <kmuto@debian.org>
Date:   Tue Jul 3 00:10:58 2012 +0900

    [l10n] updating Japanese program translation. (1035t+31f)

 po/ja.po | 2020 +++++++++++++++++---------------------------------------------
 1 file changed, 535 insertions(+), 1485 deletions(-)

commit 0338e9aa7d56fda654e6f66c62d290a39cac05c3
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Jul 2 12:56:29 2012 +0200

    French translation update
    
    Update to 1066t

 po/fr.po |  295 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 145 insertions(+), 150 deletions(-)

commit 800b0320e4420426c166fb3cce6f88af09b90ede
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Jul 1 20:26:21 2012 +0200

    Update Italian dpkg translation

 debian/changelog |    1 +
 po/it.po         | 1316 +++++++++++++++++++++---------------------------------
 2 files changed, 517 insertions(+), 800 deletions(-)

commit 073fa6ba646e68acf080e01cfa9ed89ff6055df5
Author: Peter Krefting <peterk@debian.org>
Date:   Sun Jul 1 22:19:01 2012 +0100

    Update Swedish translation
    
    po/sv.po: 1066t0f0u.
    dselect/po/sv.po: 270t0f0u.
    man/po/sv.po: 2108t0f0u.
    scripts/po/sv.po: 534t0f0u.

 debian/changelog |    8 +
 dselect/po/sv.po |   26 +-
 man/po/sv.po     |  642 +++++++++++++++--------------------------------
 po/sv.po         |  683 ++++++++++++++++++--------------------------------
 scripts/po/sv.po |  731 ++++++++++++++----------------------------------------
 5 files changed, 645 insertions(+), 1445 deletions(-)

commit 83779ed287a17a723c657671d07df85a6c658a8a
Merge: eae3849 9cbfa60
Author: Christian PERRIER <bubulle@debian.org>
Date:   Sun Jul 1 22:26:08 2012 +0200

    Merge branch 'master' of ssh://git.debian.org/git/dpkg/dpkg

commit eae38493234c560b85f119bf119ab1ce8adb6849
Author: Christian PERRIER <bubulle@debian.org>
Date:   Sun Jul 1 22:24:37 2012 +0200

    French translation update
    
    update to 999t67f

 po/fr.po |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 493f7b9465b37033a0ffcbe5ec6f562a88c36849
Author: Christian PERRIER <bubulle@debian.org>
Date:   Sun Jul 1 22:23:26 2012 +0200

    Update French translation of programs
    
    Update to 999t67f

 po/fr.po |  290 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 145 insertions(+), 145 deletions(-)

commit 9cbfa6017fda10e939bfa664ab09316dc9fb5dca
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 1 17:32:24 2012 +0200

    Update Catalan dselect translation

 debian/changelog |    1 +
 dselect/po/ca.po |   41 ++++++++++++-----------------------------
 2 files changed, 13 insertions(+), 29 deletions(-)

commit e7bf97b24e1e0800daf7c6d3100f0acac0b05db9
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 1 18:06:52 2012 +0200

    Regenerate .pot files and merge .po files with them

 po/ast.po   |   17 +++++++++++------
 po/bs.po    |    8 ++++----
 po/ca.po    |   17 +++++++++++------
 po/cs.po    |   17 +++++++++++------
 po/da.po    |   17 +++++++++++------
 po/de.po    |   17 +++++++++++------
 po/dpkg.pot |    8 ++++----
 po/dz.po    |   17 +++++++++++------
 po/el.po    |   17 +++++++++++------
 po/eo.po    |   17 +++++++++++------
 po/es.po    |   17 +++++++++++------
 po/et.po    |   17 +++++++++++------
 po/eu.po    |   17 +++++++++++------
 po/fr.po    |   26 +++++++++++---------------
 po/gl.po    |   17 +++++++++++------
 po/hu.po    |   17 +++++++++++------
 po/id.po    |   17 +++++++++++------
 po/it.po    |   17 +++++++++++------
 po/ja.po    |   17 +++++++++++------
 po/km.po    |   17 +++++++++++------
 po/ko.po    |   17 +++++++++++------
 po/ku.po    |    8 ++++----
 po/lt.po    |   15 ++++++++++-----
 po/mr.po    |   17 +++++++++++------
 po/nb.po    |   17 +++++++++++------
 po/ne.po    |   17 +++++++++++------
 po/nl.po    |   17 +++++++++++------
 po/nn.po    |   15 ++++++++++-----
 po/pa.po    |   12 ++++++++----
 po/pl.po    |   17 +++++++++++------
 po/pt.po    |   17 +++++++++++------
 po/pt_BR.po |   17 +++++++++++------
 po/ro.po    |   17 +++++++++++------
 po/ru.po    |   17 +++++++++++------
 po/sk.po    |   17 +++++++++++------
 po/sv.po    |   17 +++++++++++------
 po/th.po    |   17 +++++++++++------
 po/tl.po    |   15 ++++++++++-----
 po/vi.po    |   17 +++++++++++------
 po/zh_CN.po |   17 +++++++++++------
 po/zh_TW.po |   17 +++++++++++------
 41 files changed, 424 insertions(+), 244 deletions(-)

commit 5a4dd39a481d9b1fff6314b89346f177cc912d0c
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jul 1 18:04:45 2012 +0200

    dpkg-query: Fix bogus badusage() strings in control_show()
    
    Reported-by: Sven Joachim <svenjoac@gmx.de>

 debian/changelog |    3 +++
 src/querycmd.c   |    4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 2b808bc27cfff56d236c3054af03677c1e147058
Author: Kenshi Muto <kmuto@debian.org>
Date:   Sun Jul 1 23:43:54 2012 +0900

    [l10n] update Japanese translation of dselect.

 dselect/po/ja.po |  225 +++++++++---------------------------------------------
 1 file changed, 38 insertions(+), 187 deletions(-)

commit a284a64f4f3b9ba85a6db66b95c5bfb021d9d4d1
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Sun Jul 1 09:36:15 2012 +0200

    German dselect translation update
    
    Update to 270t.

 debian/changelog |    1 +
 dselect/po/de.po |   26 +++++++++-----------------
 2 files changed, 10 insertions(+), 17 deletions(-)

commit 11f56ed5d5116037ac5064da8551ff9cdf8655b8
Author: Christian PERRIER <bubulle@debian.org>
Date:   Sun Jul 1 08:36:33 2012 +0200

    Update French programs translation
    
    923t131f12u

 debian/changelog |    3 +++
 po/fr.po         |   43 ++++++++++++++++++-------------------------
 2 files changed, 21 insertions(+), 25 deletions(-)

commit 86ac9ea598f5a04c29f55b9f8063492fc7df72c4
Author: Christian PERRIER <bubulle@debian.org>
Date:   Sun Jul 1 08:31:39 2012 +0200

    Update French translation of dselect
    
    Update to 270t.

 debian/changelog |    3 ++-
 dselect/po/fr.po |   25 +++++++++++--------------
 2 files changed, 13 insertions(+), 15 deletions(-)

commit 2f5d6baa077478525bcd219e7cffa0813df2fdc5
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 30 22:28:17 2012 +0200

    Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |    2 +-
 dselect/po/ca.po        |    2 +-
 dselect/po/cs.po        |    2 +-
 dselect/po/da.po        |    2 +-
 dselect/po/de.po        |    2 +-
 dselect/po/dselect.pot  |    4 +-
 dselect/po/el.po        |    2 +-
 dselect/po/es.po        |    2 +-
 dselect/po/et.po        |    2 +-
 dselect/po/eu.po        |    2 +-
 dselect/po/fr.po        |    2 +-
 dselect/po/gl.po        |    2 +-
 dselect/po/hu.po        |    2 +-
 dselect/po/id.po        |    2 +-
 dselect/po/it.po        |    2 +-
 dselect/po/ja.po        |    2 +-
 dselect/po/ko.po        |    2 +-
 dselect/po/nb.po        |    2 +-
 dselect/po/nl.po        |    2 +-
 dselect/po/nn.po        |    2 +-
 dselect/po/pl.po        |    2 +-
 dselect/po/pt.po        |    2 +-
 dselect/po/pt_BR.po     |    2 +-
 dselect/po/ro.po        |    2 +-
 dselect/po/ru.po        |    2 +-
 dselect/po/sk.po        |    2 +-
 dselect/po/sv.po        |    2 +-
 dselect/po/tl.po        |    2 +-
 dselect/po/vi.po        |    2 +-
 dselect/po/zh_CN.po     |    2 +-
 dselect/po/zh_TW.po     |    2 +-
 man/po/dpkg-man.pot     |    4 +-
 po/ast.po               |  135 +++++++++++++++++++++---------------------
 po/bs.po                |  135 +++++++++++++++++++++---------------------
 po/ca.po                |  135 +++++++++++++++++++++---------------------
 po/cs.po                |  135 +++++++++++++++++++++---------------------
 po/da.po                |  135 +++++++++++++++++++++---------------------
 po/de.po                |  148 ++++++++++++++++++++++++++---------------------
 po/dpkg.pot             |  137 ++++++++++++++++++++++---------------------
 po/dz.po                |  135 +++++++++++++++++++++---------------------
 po/el.po                |  135 +++++++++++++++++++++---------------------
 po/eo.po                |  135 +++++++++++++++++++++---------------------
 po/es.po                |  135 +++++++++++++++++++++---------------------
 po/et.po                |  135 +++++++++++++++++++++---------------------
 po/eu.po                |  135 +++++++++++++++++++++---------------------
 po/fr.po                |  148 ++++++++++++++++++++++++++---------------------
 po/gl.po                |  135 +++++++++++++++++++++---------------------
 po/hu.po                |  135 +++++++++++++++++++++---------------------
 po/id.po                |  135 +++++++++++++++++++++---------------------
 po/it.po                |  148 ++++++++++++++++++++++++++---------------------
 po/ja.po                |  135 +++++++++++++++++++++---------------------
 po/km.po                |  135 +++++++++++++++++++++---------------------
 po/ko.po                |  135 +++++++++++++++++++++---------------------
 po/ku.po                |  135 +++++++++++++++++++++---------------------
 po/lt.po                |  135 +++++++++++++++++++++---------------------
 po/mr.po                |  135 +++++++++++++++++++++---------------------
 po/nb.po                |  135 +++++++++++++++++++++---------------------
 po/ne.po                |  135 +++++++++++++++++++++---------------------
 po/nl.po                |  135 +++++++++++++++++++++---------------------
 po/nn.po                |  135 +++++++++++++++++++++---------------------
 po/pa.po                |  135 +++++++++++++++++++++---------------------
 po/pl.po                |  148 ++++++++++++++++++++++++++---------------------
 po/pt.po                |  135 +++++++++++++++++++++---------------------
 po/pt_BR.po             |  135 +++++++++++++++++++++---------------------
 po/ro.po                |  135 +++++++++++++++++++++---------------------
 po/ru.po                |  135 +++++++++++++++++++++---------------------
 po/sk.po                |  135 +++++++++++++++++++++---------------------
 po/sv.po                |  148 ++++++++++++++++++++++++++---------------------
 po/th.po                |  135 +++++++++++++++++++++---------------------
 po/tl.po                |  135 +++++++++++++++++++++---------------------
 po/vi.po                |  135 +++++++++++++++++++++---------------------
 po/zh_CN.po             |  135 +++++++++++++++++++++---------------------
 po/zh_TW.po             |  135 +++++++++++++++++++++---------------------
 scripts/po/ca.po        |    2 +-
 scripts/po/de.po        |   16 ++---
 scripts/po/dpkg-dev.pot |    6 +-
 scripts/po/es.po        |    2 +-
 scripts/po/fr.po        |    2 +-
 scripts/po/pl.po        |    2 +-
 scripts/po/ru.po        |    2 +-
 scripts/po/sv.po        |    2 +-
 81 files changed, 2942 insertions(+), 2762 deletions(-)

commit 3aa489a4991e1162c9272b027c2599b7f04f6b89
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 30 22:18:26 2012 +0200

    Bump version to 1.16.7

 debian/changelog |    6 ++++++
 1 file changed, 6 insertions(+)

commit 9954497af19336cb46f56762cb8ef24027b441ca
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 30 21:45:26 2012 +0200

    Release 1.16.6

 debian/changelog |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7180239930cc696005a56e2fa2c7ee146da4693c
Merge: 3fb2003 1665fe4
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 30 21:41:10 2012 +0200

    Merge branch 'sid'
    
    Conflicts:
    	debian/changelog

commit 3fb20032a43ea4408eca44986c4ee71f7ef9290c
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Jun 30 20:45:08 2012 +0200

    Fix several typos
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 man/dpkg-deb.1               |    2 +-
 man/po/de.po                 |    2 +-
 man/po/es.po                 |    2 +-
 man/po/fr.po                 |    2 +-
 man/po/hu.po                 |    2 +-
 man/po/ja.po                 |    2 +-
 man/po/pl.po                 |    2 +-
 man/po/pt_BR.po              |    2 +-
 man/po/ru.po                 |    2 +-
 man/po/sv.po                 |    2 +-
 scripts/dpkg-buildpackage.pl |    2 +-
 scripts/po/ca.po             |    2 +-
 scripts/po/de.po             |    2 +-
 scripts/po/es.po             |    2 +-
 scripts/po/fr.po             |    2 +-
 scripts/po/pl.po             |    2 +-
 scripts/po/ru.po             |    2 +-
 scripts/po/sv.po             |    2 +-
 18 files changed, 18 insertions(+), 18 deletions(-)

commit c25cd9cb934326fd788d06ac22f22b1a4602c2e4
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 30 18:59:52 2012 +0200

    Changelog police
    
    Fix bug closure.

 debian/changelog |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c43b766db3da9435e8588b2e877fe48af52853e4
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 30 21:01:15 2012 +0200

    dpkg-query: Add --control-list and --control-show to --help output
    
    Missed in commit 1a60e5317318ab0d4097b524a2b5cd39ab905f11.

 debian/changelog |    1 +
 src/querycmd.c   |    3 +++
 2 files changed, 4 insertions(+)

commit 7db83375c952383540631244ace9cfefdfc908a7
Author: Russell Coker <russell@coker.com.au>
Date:   Sat Jun 30 15:28:50 2012 +0200

    dpkg: Do not translate SE Linux context to human readable form
    
    The SE Linux context in computer readable form get translated to human
    readable form if the mcstransd daemon is running. But if the daemon
    fails inbetween then dpkg might try to write wrong data to disk. To
    avoid the flakines implied in relying on the state of that daemon,
    just never translate the context.
    
    As a side effect this should incur in a slight speed up.
    
    [guillem@debian.org:
     - Coding style fixes.
     - Added code comment. ]
    
    Closes: #679641
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog |    6 ++++++
 src/archives.c   |   10 ++++++++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit b5ea653c3b59f00b9342022febb063d658d18cd0
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Jun 30 18:52:40 2012 +0200

    Update German translation of manual pages
    
    Update to 2108t.

 debian/changelog |    3 ++
 man/po/de.po     |  136 ++++++++++++++++++++++--------------------------------
 2 files changed, 59 insertions(+), 80 deletions(-)

commit 566ed5b71c47bff0901b9fcb779330dbbe8410a4
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Jun 30 17:33:22 2012 +0200

    Update German scripts translation
    
    Update to 534t.

 debian/changelog |    3 +-
 scripts/po/de.po |  486 ++++++++----------------------------------------------
 2 files changed, 75 insertions(+), 414 deletions(-)

commit 1665fe4c73e4f02d1572569ce7cf971e322fe1fc
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Jun 30 09:38:17 2012 +0200

    dpkg-buildflags: also import error functions exported by default
    
    Regression introduced in commit ae4319936099f377f9786dd7b33468d32238eb11.

 debian/changelog           |    6 ++++++
 scripts/dpkg-buildflags.pl |    2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit d902cddef2e4474b0bf70ef5add81a71cdc34636
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 30 07:06:01 2012 +0200

    Bump version to 1.16.6

 debian/changelog |    6 ++++++
 1 file changed, 6 insertions(+)

commit b2e974771c21c120d11f9c0b4ba5a6f0197f9398
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 30 04:29:08 2012 +0200

    Release 1.16.5

 debian/changelog |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a8425b9dbe740224cb0983b430ad499701d31bcc
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 30 04:27:01 2012 +0200

    Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |   48 +-
 dselect/po/ca.po        |   65 +-
 dselect/po/cs.po        |   65 +-
 dselect/po/da.po        |   67 +-
 dselect/po/de.po        |   65 +-
 dselect/po/dselect.pot  |   41 +-
 dselect/po/el.po        |   55 +-
 dselect/po/es.po        |   65 +-
 dselect/po/et.po        |   67 +-
 dselect/po/eu.po        |   67 +-
 dselect/po/fr.po        |   65 +-
 dselect/po/gl.po        |   67 +-
 dselect/po/hu.po        |   55 +-
 dselect/po/id.po        |   67 +-
 dselect/po/it.po        |   67 +-
 dselect/po/ja.po        |   67 +-
 dselect/po/ko.po        |   67 +-
 dselect/po/nb.po        |   65 +-
 dselect/po/nl.po        |   65 +-
 dselect/po/nn.po        |   55 +-
 dselect/po/pl.po        |   65 +-
 dselect/po/pt.po        |   67 +-
 dselect/po/pt_BR.po     |   67 +-
 dselect/po/ro.po        |   67 +-
 dselect/po/ru.po        |   65 +-
 dselect/po/sk.po        |   65 +-
 dselect/po/sv.po        |   75 +-
 dselect/po/tl.po        |   55 +-
 dselect/po/vi.po        |   77 +-
 dselect/po/zh_CN.po     |   67 +-
 dselect/po/zh_TW.po     |   55 +-
 man/po/de.po            |  919 ++++++++-------
 man/po/dpkg-man.pot     | 1936 +++++++++++++++++--------------
 man/po/es.po            | 2451 ++++++++++++++++++++++++---------------
 man/po/fr.po            | 2932 +++++++++++++++++++++++++++--------------------
 man/po/hu.po            | 2112 +++++++++++++++++++---------------
 man/po/ja.po            | 2454 ++++++++++++++++++++++++---------------
 man/po/pl.po            | 2389 +++++++++++++++++++++++---------------
 man/po/pt_BR.po         | 2118 +++++++++++++++++++---------------
 man/po/ru.po            | 2153 +++++++++++++++++++---------------
 man/po/sv.po            | 2527 +++++++++++++++++++++++++---------------
 po/ast.po               | 2341 +++++++++++++++++++++----------------
 po/bs.po                | 1981 +++++++++++++++++---------------
 po/ca.po                | 2393 +++++++++++++++++++++-----------------
 po/cs.po                | 2382 +++++++++++++++++++++-----------------
 po/da.po                | 2376 ++++++++++++++++++++++----------------
 po/de.po                | 2437 +++++++++++++++++++++++----------------
 po/dpkg.pot             | 1967 ++++++++++++++++---------------
 po/dz.po                | 2232 ++++++++++++++++++++----------------
 po/el.po                | 2260 ++++++++++++++++++++----------------
 po/eo.po                | 2404 +++++++++++++++++++++-----------------
 po/es.po                | 2392 +++++++++++++++++++++-----------------
 po/et.po                | 2209 +++++++++++++++++++----------------
 po/eu.po                | 2405 +++++++++++++++++++++-----------------
 po/fr.po                | 2497 +++++++++++++++++++++++-----------------
 po/gl.po                | 2260 ++++++++++++++++++++----------------
 po/hu.po                | 2223 +++++++++++++++++++----------------
 po/id.po                | 2404 +++++++++++++++++++++-----------------
 po/it.po                | 2459 ++++++++++++++++++++++-----------------
 po/ja.po                | 2405 +++++++++++++++++++++-----------------
 po/km.po                | 2232 ++++++++++++++++++++----------------
 po/ko.po                | 2408 +++++++++++++++++++++-----------------
 po/ku.po                | 2103 +++++++++++++++++----------------
 po/lt.po                | 2209 +++++++++++++++++++----------------
 po/mr.po                | 2223 +++++++++++++++++++----------------
 po/nb.po                | 2383 +++++++++++++++++++++-----------------
 po/ne.po                | 2232 ++++++++++++++++++++----------------
 po/nl.po                | 2235 ++++++++++++++++++++----------------
 po/nn.po                | 2218 +++++++++++++++++++----------------
 po/pa.po                | 2127 ++++++++++++++++++----------------
 po/pl.po                | 2467 ++++++++++++++++++++++-----------------
 po/pt.po                | 2384 +++++++++++++++++++++-----------------
 po/pt_BR.po             | 2257 ++++++++++++++++++++----------------
 po/ro.po                | 2401 +++++++++++++++++++++-----------------
 po/ru.po                | 2426 ++++++++++++++++++++++-----------------
 po/sk.po                | 2424 ++++++++++++++++++++++-----------------
 po/sv.po                | 1784 ++++++++++++++++------------
 po/th.po                | 2383 +++++++++++++++++++++-----------------
 po/tl.po                | 2222 +++++++++++++++++++----------------
 po/vi.po                | 2406 +++++++++++++++++++++-----------------
 po/zh_CN.po             | 2404 +++++++++++++++++++++-----------------
 po/zh_TW.po             | 2253 ++++++++++++++++++++----------------
 scripts/po/ca.po        | 1246 ++++++++++----------
 scripts/po/de.po        | 1189 ++++++++++++-------
 scripts/po/dpkg-dev.pot | 1193 +++++++++----------
 scripts/po/es.po        | 1826 ++++++++++++++++++-----------
 scripts/po/fr.po        | 1880 +++++++++++++++++++-----------
 scripts/po/pl.po        | 1675 ++++++++++++++++-----------
 scripts/po/ru.po        | 1799 ++++++++++++++++++-----------
 scripts/po/sv.po        | 1846 ++++++++++++++++++-----------
 90 files changed, 75146 insertions(+), 55677 deletions(-)

commit 8f7643f403671813cdf6abdd8a05a148e03eac52
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 29 11:16:16 2012 +0200

    Switch some words to their american spelling

 doc/triggers.txt                 |   10 +++++-----
 man/dpkg-query.1                 |    2 +-
 man/dpkg-shlibdeps.1             |    2 +-
 man/dpkg-trigger.1               |    2 +-
 man/update-alternatives.8        |    2 +-
 scripts/Dpkg/Changelog/Debian.pm |    2 +-
 scripts/dpkg-shlibdeps.pl        |    4 ++--
 7 files changed, 12 insertions(+), 12 deletions(-)

commit 3d98111bd412683ba116b2887e96f86212dca48e
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 28 11:51:16 2012 +0200

    dpkg-query: Add an Architecture column to --list output
    
    Even if the output format is designed to be human readable, and for
    machine parseable output «dpkg-query -W» should be used instead, there's
    probably scripts in the wild parsing «dpkg-query -l». Thus, the new
    column is inserted before the Description column which is unreliable
    to parse anyway as its value will always contain spaces, which are the
    column separators, and as such should be pretty safe.
    
    The arch-qualified package names will still be printed, as that
    allows to copy-and-paste package names as input to dpkg commands w/o
    any possibility of ambiguity.
    
    Closes: #673190
    
    Suggested-by: Jonathan Nieder <jnieder@gmail.com>

 debian/changelog |    2 ++
 src/querycmd.c   |   40 ++++++++++++++++++++++++++++------------
 2 files changed, 30 insertions(+), 12 deletions(-)

commit a1c7a7bb9bc94b2a4171f0b02485dd5977aaa556
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 29 09:25:33 2012 +0200

    dpkg-shlibdeps: Do not use undefined values returned from deps_parse()
    
    When there's a bogus Build-Depends field on the source control file,
    and the binary package being built is using a shared library package
    that has a Build-Depends-Package field in the symbols file, the
    dpkg-shlibdeps code will try to use an undefined value as deps_parse()
    failed but the error was not handled before. Instead, error out early.
    
    Closes: #640676
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog          |    2 ++
 scripts/dpkg-shlibdeps.pl |    1 +
 2 files changed, 3 insertions(+)

commit 40d51dc36b2375679a00ed9ff64ee017dc78b0a9
Author: Thibaut Girka <thib@sitedethib.com>
Date:   Thu Jun 28 01:35:13 2012 +0200

    scripts: Accept “:native” arch-qualified Build-Dependencies
    
    Closes: #558095
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog               |    2 ++
 scripts/Dpkg/Deps.pm           |   25 ++++++++++++++++++++-----
 scripts/dpkg-buildpackage.pl   |    3 +--
 scripts/dpkg-checkbuilddeps.pl |    6 +++---
 scripts/dpkg-shlibdeps.pl      |    2 +-
 scripts/dpkg-source.pl         |    2 +-
 6 files changed, 28 insertions(+), 12 deletions(-)

commit 7acf7afa581457bc2e9bd6cd1f442e6f45c1db29
Author: Thibaut Girka <thib@sitedethib.com>
Date:   Thu Jun 28 01:11:11 2012 +0200

    Add support for specific arch-qualified dependencies
    
    This allows to use dependencies with arch-qualified package names. For
    example:
    
      Depends: libc6:amd64 (>= 2.14), libgcc1
    
    Closes: #676232
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog     |    2 ++
 lib/dpkg/fields.c    |    2 --
 scripts/Dpkg/Deps.pm |    4 +++-
 3 files changed, 5 insertions(+), 3 deletions(-)

commit 662690685506176fd0e47f753d87252af88edb26
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 22 20:11:44 2012 +0200

    Recognize -? as an alias for --help in all commands

 man/dpkg-divert.8           |    2 +-
 scripts/dpkg-scansources.pl |    6 +++---
 src/divertcmd.c             |    2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 6a261bd412b92d74d4b6e32903f0ad2be0edc959
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 9 04:12:47 2012 +0200

    dpkg-mergechangelogs: Unify --help output with other commands
    
    Print short options before long ones.

 scripts/dpkg-mergechangelogs.pl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c37770705a7d3eeeff7e45fa0c80929c6b22ff6b
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 29 19:39:07 2012 +0200

    Align --version with --help on help output

 dpkg-deb/main.c                 |    2 +-
 dpkg-split/main.c               |    2 +-
 scripts/dpkg-architecture.pl    |    2 +-
 scripts/dpkg-mergechangelogs.pl |    2 +-
 src/main.c                      |    2 +-
 src/querycmd.c                  |    2 +-
 src/trigcmd.c                   |    2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

commit 951542fdc27e4753dde1edeb3292f136aec355e4
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 22 20:02:12 2012 +0200

    Change all programs to accept -? instead of -h for help output
    
    This switch frees the -h option to be used in the distant future for
    other purposes, it also uses a character that does not have any other
    obvious meaning for help output, and which is pretty safe to be used
    blindly by the user in the same way as --help.

 debian/changelog                   |    1 +
 dpkg-deb/main.c                    |    4 ++--
 dpkg-split/main.c                  |    4 ++--
 dselect/main.cc                    |    2 +-
 man/dpkg-architecture.1            |    2 +-
 man/dpkg-buildpackage.1            |    2 +-
 man/dpkg-checkbuilddeps.1          |    6 +++---
 man/dpkg-deb.1                     |    2 +-
 man/dpkg-distaddfile.1             |    2 +-
 man/dpkg-genchanges.1              |    2 +-
 man/dpkg-gencontrol.1              |    2 +-
 man/dpkg-gensymbols.1              |    2 +-
 man/dpkg-name.1                    |    2 +-
 man/dpkg-parsechangelog.1          |    2 +-
 man/dpkg-query.1                   |    2 +-
 man/dpkg-scanpackages.1            |    2 +-
 man/dpkg-shlibdeps.1               |    2 +-
 man/dpkg-source.1                  |    2 +-
 man/dpkg-split.1                   |    2 +-
 man/dpkg-trigger.1                 |    2 +-
 man/dpkg.1                         |    2 +-
 scripts/changelog/debian.pl        |    5 +++--
 scripts/dpkg-architecture.pl       |    6 +++---
 scripts/dpkg-buildflags.pl         |    2 +-
 scripts/dpkg-buildpackage.pl       |    4 ++--
 scripts/dpkg-checkbuilddeps.pl     |    5 +++--
 scripts/dpkg-distaddfile.pl        |    5 +++--
 scripts/dpkg-genchanges.pl         |    5 +++--
 scripts/dpkg-gencontrol.pl         |    4 ++--
 scripts/dpkg-gensymbols.pl         |    4 ++--
 scripts/dpkg-maintscript-helper.sh |    4 ++--
 scripts/dpkg-mergechangelogs.pl    |    3 ++-
 scripts/dpkg-name.pl               |    6 +++---
 scripts/dpkg-parsechangelog.pl     |    5 +++--
 scripts/dpkg-scanpackages.pl       |    6 +++---
 scripts/dpkg-shlibdeps.pl          |    5 +++--
 scripts/dpkg-source.pl             |    4 ++--
 scripts/dpkg-vendor.pl             |    3 ++-
 src/main.c                         |    4 ++--
 src/querycmd.c                     |    4 ++--
 src/statcmd.c                      |    4 ++--
 src/trigcmd.c                      |    4 ++--
 42 files changed, 75 insertions(+), 66 deletions(-)

commit 9308127a8fcedc2325f804670c9bac4dee6516a7
Author: Jonathan Nieder <jnieder@gmail.com>
Date:   Fri Apr 20 19:08:40 2012 +0200

    Avoid full stop and double newline at the end of errors and warnings
    
    Error messages like "couldn't parse control information from foo.deb"
    are not full sentences, so don't punctuate them like one. The main
    purpose of this patch is stylistic consistency, but perhaps it can
    also make copy-and-paste from messages like
    
    	dpkg-query: no path found matching pattern /usr/bin/agrep.
    
    a little easier.
    
    Most actual full sentences should remain untouched. A few full sentences
    are error messages at heart, so this patch converts those to lower-case
    sentence fragment form, too.
    
    [guillem@debian.org:
     - Add missed strings.
     - Minor tweaks to strings. ]
    
    Closes: #624000
    
    Requested-by: Jari Aalto <jari.aalto@cante.net>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog                      |    2 ++
 dpkg-deb/build.c                      |    2 +-
 dpkg-split/split.c                    |    8 ++---
 dselect/bindings.cc                   |    2 +-
 dselect/main.cc                       |    4 +--
 dselect/pkglist.cc                    |    2 +-
 scripts/Dpkg/BuildFlags.pm            |    2 +-
 scripts/Dpkg/Shlibs/SymbolFile.pm     |    6 ++--
 scripts/Dpkg/Source/Package/V3/bzr.pm |    3 +-
 scripts/Dpkg/Source/Package/V3/git.pm |    6 ++--
 scripts/Dpkg/Source/Quilt.pm          |    4 +--
 scripts/dpkg-architecture.pl          |    2 +-
 scripts/dpkg-buildpackage.pl          |   13 ++++---
 scripts/dpkg-scanpackages.pl          |    2 +-
 scripts/dpkg-shlibdeps.pl             |   24 ++++++-------
 src/archives.c                        |    4 +--
 src/enquiry.c                         |    2 +-
 src/filesdb.c                         |    4 +--
 src/help.c                            |   10 +++---
 src/processarc.c                      |    2 +-
 src/querycmd.c                        |    2 +-
 src/remove.c                          |    6 ++--
 src/statcmd.c                         |   10 +++---
 src/update.c                          |    2 +-
 utils/update-alternatives.c           |   62 ++++++++++++++++-----------------
 25 files changed, 94 insertions(+), 92 deletions(-)

commit 5a5203e9aabff52b39cb5b8a90e3341a29e8c69b
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 21 01:36:05 2012 +0200

    Switch to new notice() output function
    
    This switches all ad-hoc stderr printing for error notices to the
    notice() function.

 dpkg-deb/extract.c |    5 ++--
 dpkg-deb/info.c    |    5 ++--
 lib/dpkg/log.c     |    4 +--
 src/archives.c     |   81 ++++++++++++++++++++++++----------------------------
 src/configure.c    |   10 +++----
 src/enquiry.c      |    2 +-
 src/errors.c       |   14 ++++-----
 src/packages.c     |    7 ++---
 src/processarc.c   |   11 ++++---
 src/querycmd.c     |   20 ++++++-------
 src/remove.c       |    6 ++--
 src/script.c       |    5 ++--
 src/select.c       |    2 +-
 src/trigcmd.c      |    6 ++--
 src/trigproc.c     |    5 ++--
 15 files changed, 80 insertions(+), 103 deletions(-)

commit bd0da280d1b888b8709434ec405d1e8d33561756
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 10 20:02:28 2011 +0200

    libdpkg: Switch buffer I/O code to use struct dpkg_error
    
    As a side effect this mkes the messages more clear as the caller has
    more context to describe the error conditions.
    
    Closes: #621763

 debian/changelog         |    1 +
 dpkg-deb/build.c         |    9 ++++--
 dpkg-deb/extract.c       |   23 +++++++++------
 dpkg-deb/info.c          |    5 +++-
 dpkg-split/join.c        |    9 ++++--
 dpkg-split/queue.c       |    5 +++-
 dpkg-split/split.c       |   10 +++++--
 lib/dpkg/ar.c            |    6 +++-
 lib/dpkg/buffer.c        |   73 +++++++++++++++-------------------------------
 lib/dpkg/buffer.h        |   33 +++++++++++----------
 lib/dpkg/compress.c      |   10 +++++--
 lib/dpkg/test/t-buffer.c |    4 +--
 src/archives.c           |   32 ++++++++++++--------
 src/configure.c          |    5 +++-
 src/divertcmd.c          |    4 ++-
 src/processarc.c         |    4 ++-
 16 files changed, 129 insertions(+), 104 deletions(-)

commit bae98fb22f3ba9592772365ba23f37a02b4d55a0
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 21 02:14:30 2012 +0200

    libdpkg: Change pkg_format_parse() to take a dpkg_error argument
    
    This fixes two issues at once: the more detailed inner message is
    relied back to the more general outter printer which allows a clearer
    error message, and it makes the pkg-format module stop printing things
    at all which is bad for a library,

 dpkg-deb/info.c       |    6 ++++--
 lib/dpkg/pkg-format.c |   24 +++++++++++++-----------
 lib/dpkg/pkg-format.h |    4 +++-
 src/querycmd.c        |    6 +++++-
 4 files changed, 25 insertions(+), 15 deletions(-)

commit f2199100c96c85850f6aee405fe69c888bb34b5b
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jun 26 20:05:59 2012 +0200

    dpkg-deb: Rename string variable from err to errstr

 dpkg-deb/extract.c |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit fdeacd2d9fba81b71e3fad7e4b60e25f940d4b23
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 21 01:36:05 2012 +0200

    libdpkg: Add new notice() output function

 lib/dpkg/report.c |   13 +++++++++++++
 lib/dpkg/report.h |    2 ++
 2 files changed, 15 insertions(+)

commit ed609ddb44971780e3b20fb2bc9fe7814dc7fb49
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 20 19:35:22 2012 +0200

    libdpkg: Move warning functions to a new report module

 lib/dpkg/Makefile.am |    2 ++
 lib/dpkg/dpkg.h      |    1 +
 lib/dpkg/ehandle.c   |   28 ------------------------
 lib/dpkg/ehandle.h   |    4 ----
 lib/dpkg/report.c    |   59 ++++++++++++++++++++++++++++++++++++++++++++++++++
 lib/dpkg/report.h    |   45 ++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in       |    1 +
 7 files changed, 108 insertions(+), 32 deletions(-)

commit 27e75257edb3bf98b83b421f4f5d03e8d8da9856
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jun 26 14:28:36 2012 +0200

    u-a: Print master and slave link names
    
    Change --query output to print the master and slave link names. This
    implies switching the Link field to print the alternative link instead
    of the alternative name which was passed already as an argument. Add a
    new Name field to print the alternative name.
    
    Although, strictly speaking, this is an interface change, the previous
    Link field value was wrong and not really useful, because it's already
    known by the caller. A check of the whole archive does not reveal any
    user of that field, so it seems pretty safe to do this change.
    
    This also modifies the --config output when thre's a single alternative
    to print the alternative link.
    
    Closes: #679010

 debian/changelog            |    2 ++
 utils/update-alternatives.c |   12 +++++++++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit 1a60e5317318ab0d4097b524a2b5cd39ab905f11
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 22 13:07:41 2012 +0200

    dpkg-query: Add new --control-list and --control-show commands
    
    These replace the now deprecated --control-path command, as these do
    not rely on any specific database layout.

 debian/changelog                    |    2 +
 doc/README.feature-removal-schedule |    8 ++++
 man/dpkg-query.1                    |   14 ++++--
 src/main.h                          |    2 +
 src/querycmd.c                      |   82 +++++++++++++++++++++++++++++++++++
 5 files changed, 104 insertions(+), 4 deletions(-)

commit 36567121083135d8b616f193d79cd686c4a3ab6a
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 29 20:24:09 2012 +0200

    dpkg-query: Refactor pkg_infodb_check_filetype() from control_path()

 src/querycmd.c |   21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

commit 8e4bad69462a18d1159fa99e4a9e550f003e7c5b
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 29 20:20:57 2012 +0200

    dpkg-query: Refactor pkg_infodb_is_internal() from pkg_infodb_print_filename()

 src/querycmd.c |   15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit 025669285ad5bd9ef2904eb0c32ed5a1e4b0e64f
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 22 13:03:53 2012 +0200

    libdpkg: Add new file_show() function

 lib/dpkg/file.c      |   27 ++++++++++++++++++++++++++-
 lib/dpkg/file.h      |    1 +
 lib/dpkg/libdpkg.map |    1 +
 3 files changed, 28 insertions(+), 1 deletion(-)

commit 12ffef5da15c265b40e71e70e5b23c07936d9e2c
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 30 01:18:32 2012 +0200

    dpkg: Switch showdiff() to command_get_pager()

 src/configure.c |    8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit 47d2aef60dff644787f4cddf97faf1ce1730fe67
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 22 13:03:53 2012 +0200

    libdpkg: Add new command_get_pager() function

 lib/dpkg/command.c   |   21 +++++++++++++++++++++
 lib/dpkg/command.h   |    1 +
 lib/dpkg/dpkg.h      |    1 +
 lib/dpkg/libdpkg.map |    1 +
 4 files changed, 24 insertions(+)

commit 305711244e4ed72ff2fac0cb061d30ea7c0276cc
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jun 25 11:24:26 2012 +0200

    libdpkg: Detect ar header fields truncation
    
    Do not allow building archives with truncated fields which would not
    correspond to the packed member information, either the name being too
    long or the size being too large.
    
    Closes: #678933

 debian/changelog |    2 ++
 lib/dpkg/ar.c    |    5 +++++
 2 files changed, 7 insertions(+)

commit d538ec838e7a0160911a52d4d96fbf6de4b084ac
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jun 17 11:37:47 2012 +0200

    build: Switch source compression to xz

 configure.ac          |    2 +-
 debian/changelog      |    1 +
 debian/source/options |    4 ++--
 3 files changed, 4 insertions(+), 3 deletions(-)

commit 3de1552982f9ff60f59826d1811b2f8c0add8325
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jun 17 06:54:40 2012 +0200

    s-s-d: Add new --no-close option to disable closing fds on --background
    
    This enabled the caller to see process messages for debugging purposes,
    or to be able to redirect file descriptors to log files, syslog or
    similar.
    
    Closes: #627333, #646425

 debian/changelog          |    2 ++
 man/start-stop-daemon.8   |    8 +++++++-
 utils/start-stop-daemon.c |   23 ++++++++++++++++-------
 3 files changed, 25 insertions(+), 8 deletions(-)

commit 3c7d916003c0d6e0d5c97de0b6cfb008ea9f13f4
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 16 05:34:49 2012 +0200

    deb-src-control(5): Document Private- field prefix
    
    This prefix avoids getting warnins from dpkg-deb for unknown fields, and
    also avoids stomping over the global namespace so that no future
    official field will be reused.

 debian/changelog      |    1 +
 man/deb-src-control.5 |    8 +++++++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 1cfc90c6694d445c815e0fa154e439d1c397a844
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 16 05:25:19 2012 +0200

    deb(5): Document in more detail the supported ar archive format
    
    Reported-by: Niels Thykier <niels@thykier.net>

 debian/changelog |    1 +
 man/deb.5        |    8 ++++++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit d721133a38aaaca57bbc35f3aada7f6db2eff29d
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 15 17:37:18 2012 +0200

    libcompat: Add a dummy symbol to the empty module
    
    This avoids warnings on systems that do not like a completely empty
    object file, or an empty output after the preprocessor has run.

 lib/compat/empty.c |    1 +
 1 file changed, 1 insertion(+)

commit 57ddc62b417fa3ea0b85cd50f15ffbb75b1ea1d2
Author: Niels Thykier <niels@thykier.net>
Date:   Fri Jun 15 17:11:54 2012 +0200

    Dpkg::Source::Package: Do not assume $ENV{'HOME'} is defined
    
    Closes: #677631
    
    Reviewed-by: Jonathan Nieder <jrnieder@gmail.com>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog               |    2 ++
 scripts/Dpkg/Source/Package.pm |    2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 16c75fc4bf98fcdf30eac65886062dcee241241b
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 13 15:16:22 2012 +0200

    dpkg-source: Minimize source architecture list
    
    Reduce the source architecture list by removing architectures covered
    already by architecture wildcards.
    
    Closes: #675333

 debian/changelog       |    2 ++
 scripts/dpkg-source.pl |   14 ++++++++++++--
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 9f76fe093c2312ba974f04e8eef5b89926b94483
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 13 15:03:49 2012 +0200

    Dpkg::Arch: Add new debarch_is_wildcard function

 scripts/Dpkg/Arch.pm |   17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit 094d3a7e61e6fc1f5634d880957d18ed70954a60
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 13 07:52:20 2012 +0200

    Add support for binary-only key-value option in changelogs
    
    This allows to mark changelog entries as being for a binary-only upload,
    which implies there cannot be any source produced, and the binary
    version is going to be different to the source version.
    
    As such the version substvars will get different values, w/o needing to
    hardcode a specific syntax. Although we fallback to the old syntax just
    in case, for example to handle possible multiple consecutive binary-only
    entries w/o needing to complicate the code too much.
    
    Closes: #440094, #672723

 debian/changelog                       |    3 +++
 scripts/Dpkg/Changelog/Entry/Debian.pm |    3 +++
 scripts/Dpkg/Control/Fields.pm         |   12 ++++++++----
 scripts/Dpkg/Substvars.pm              |   24 +++++++++++++++---------
 scripts/dpkg-genchanges.pl             |    7 ++++++-
 scripts/dpkg-gencontrol.pl             |   29 +++++++++++++++++++++--------
 scripts/dpkg-source.pl                 |    3 +++
 scripts/t/750_Dpkg_Substvars.t         |    6 +++++-
 8 files changed, 64 insertions(+), 23 deletions(-)

commit 86988d636216c12b20cd7abd97b1c62a08aac2f4
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 13 07:49:35 2012 +0200

    Dpkg::Changelog::Entry::Debian: Correctly capitalize field names

 scripts/Dpkg/Changelog/Entry/Debian.pm |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit bebf2ff24ce284e8e2affb54ac8e8a1466b12133
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 13 07:46:37 2012 +0200

    Dpkg::Control::Fields: Remove obsolete changelog fields
    
    These were made not visible as fields in commit
    825656afe3e9856dc846c225df8af73d2376fa3e.

 scripts/Dpkg/Control/Fields.pm |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit ae4319936099f377f9786dd7b33468d32238eb11
Author: Bernhard R. Link <brlink@debian.org>
Date:   Thu Mar 15 11:25:39 2012 +0100

    dpkg-buildflags: Add --status action to describe the flag settings
    
    It's hard to see from a build log file what values should have been
    used and why. The new --status action added by this patch tries to
    output all meaningful information in a way useful for human consumption
    and for automatic log parsers.
    
    [guillem@debian.org:
     - Mark dpkg-buildflags as bold in man page and escape dash.
     - Use report("status", string). ]
    
    Closes: #664058
    
    Signed-off-by: Bernhard R. Link <brlink@debian.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog           |    4 ++++
 man/dpkg-buildflags.1      |   10 ++++++++++
 scripts/dpkg-buildflags.pl |   42 ++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 54 insertions(+), 2 deletions(-)

commit f73bc73425fc1775b64815e3943aad8107711f5b
Author: Bernhard R. Link <brlink@debian.org>
Date:   Sun Jun 17 09:00:30 2012 +0200

    dpkg-buildflags: Coalesce --list and --dump option parsing
    
    Signed-off-by: Bernhard R. Link <brlink@debian.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 scripts/dpkg-buildflags.pl |   10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 27c77418a62a19f2d08910e7307c14f6833340a6
Author: Bernhard R. Link <brlink@debian.org>
Date:   Fri Mar 16 11:05:17 2012 +0100

    Dpkg::BuildFlags: Record environment variables modified by maintainer
    
    As flags modified by DEB_*_MAINT_* are not reflected by its origin, add
    a new flag to describe flags modified that way.
    
    Signed-off-by: Bernhard R. Link <brlink@debian.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 scripts/Dpkg/BuildFlags.pm |   61 ++++++++++++++++++++++++++++++++------------
 1 file changed, 45 insertions(+), 16 deletions(-)

commit 6a86630aa3f1fbd65b358e04a48a0c9030911364
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 16 10:23:38 2012 +0100

    Dpkg::BuildFlags: Record environment variables accessed or modified
    
    Record environment variables looked at by Dpkg::BuildFlags and the
    vendor hooks and make them available via the new Dpkg::BuildEnv module.
    
    Based-on-patch-by: Bernhard R. Link <brlink@debian.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 scripts/Dpkg/Arch.pm         |    5 +++--
 scripts/Dpkg/BuildFlags.pm   |   33 +++++++++++++++++----------------
 scripts/Dpkg/BuildOptions.pm |    5 +++--
 scripts/Dpkg/Vendor.pm       |    5 +++--
 4 files changed, 26 insertions(+), 22 deletions(-)

commit 17b854753ad135acff4a3f492c3d48910ab4dc11
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 20 04:20:26 2012 +0200

    Dpkg::BuildEnv: New module to track build environment variables

 scripts/Dpkg/BuildEnv.pm |  105 ++++++++++++++++++++++++++++++++++++++++++++++
 scripts/Makefile.am      |    1 +
 scripts/po/POTFILES.in   |    1 +
 3 files changed, 107 insertions(+)

commit a9c7a93ef1ec171b6d6d94c34980f8e8fbd6be55
Author: Bernhard R. Link <brlink@debian.org>
Date:   Fri Mar 16 09:56:52 2012 +0100

    Dpkg::BuildFlags: Add get_feature_areas()
    
    Add a way for a caller to enumerate all possible values of get_features().
    
    Signed-off-by: Bernhard R. Link <brlink@debian.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 scripts/Dpkg/BuildFlags.pm |   19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

commit 0725ee2bf0d6102dfd6389c53b2ee4301e8a6e3d
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Jun 29 17:15:10 2012 +0200

    dpkg-source: support new option --no-unapply-patches
    
    This option is supported by formats "2.0" and "3.0 (quilt)". It disables
    the patch unapplication that can happen in the --after-build hook.

 debian/changelog                        |    3 +++
 man/dpkg-source.1                       |   13 +++++++------
 scripts/Dpkg/Source/Package/V2.pm       |   12 ++++++++----
 scripts/Dpkg/Source/Package/V3/quilt.pm |    6 ++++--
 4 files changed, 22 insertions(+), 12 deletions(-)

commit 08f6575051d2055a1f368533592859df8ecd0be7
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Jun 29 15:24:28 2012 +0200

    Extract Dpkg::Source::Quilt out of Dpkg::Source::Package::V3::quilt
    
    This new Dpkg::Source::Quilt object handles all the traditional quilt
    operations of applying/unapplying patches and the associated handling of
    the quilt database (the .pc directory).
    
    This commit should not introduce any user-visible changes.

 scripts/Dpkg/Source/Package/V3/quilt.pm |  301 ++++++++----------------------
 scripts/Dpkg/Source/Quilt.pm            |  305 +++++++++++++++++++++++++++++++
 scripts/Makefile.am                     |    1 +
 scripts/po/POTFILES.in                  |    1 +
 4 files changed, 379 insertions(+), 229 deletions(-)

commit 837de73d0c38e07b28ada00ac59fb236e70b2449
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Thu Jun 28 21:01:50 2012 +0200

    Update German translation of manual pages
    
    Update to 2097t.

 man/po/de.po |  491 ++++++++++++++++++++++------------------------------------
 1 file changed, 189 insertions(+), 302 deletions(-)

commit 8f891044b2b26f039177e364d6c89a2fa9f0851c
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Jun 27 22:15:11 2012 +0200

    Update German translation of manual pages
    
    Update to 2055t37f4u.

 debian/changelog |    1 +
 man/po/de.po     | 1237 +++++++++++++++++++++++++++++++++---------------------
 2 files changed, 748 insertions(+), 490 deletions(-)

commit dc2ba002b9eaeafd5a7cd4d533c20eff1fc1bb76
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Jun 27 22:00:58 2012 +0200

    Update German scripts translation
    
    Update to 533t.

 debian/changelog |    3 +
 scripts/po/de.po | 1084 +++++++++++++++++++++++++++++++-----------------------
 2 files changed, 626 insertions(+), 461 deletions(-)

commit d334aee245c690b1fe8d61ac5baea840d85ff8c4
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jun 27 15:37:57 2012 +0200

    dpkg-source: enhance --commit to auto-whitelist modified binary files
    
    That way the same command can be used whatever kind of upstream files has
    been modified.
    
    Reported-by: Cyril Brulebois <kibi@debian.org>

 debian/changelog                  |    3 +++
 man/dpkg-source.1                 |    5 +++++
 scripts/Dpkg/Source/Package/V2.pm |   11 ++++++++++-
 3 files changed, 18 insertions(+), 1 deletion(-)

commit fb623de762517ae1ea8b36a6607157ad08f941d8
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jun 27 15:15:44 2012 +0200

    Dpkg::Source::Package::V2: refactor the handling of binary files
    
    Move the code handling debian/source/include-binaries in a dedicated
    object.

 scripts/Dpkg/Source/Package/V2.pm |  143 +++++++++++++++++++++++++------------
 1 file changed, 97 insertions(+), 46 deletions(-)

commit b0d79a32277dab09d8efb6f77a58ac8d08bd2afe
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jun 27 15:06:34 2012 +0200

    Dpkg::Source::Functions::is_binary(): localize $_ to avoid side-effects
    
    Without this local($_) the function could modify the $_ variable as used
    by the caller.

 scripts/Dpkg/Source/Functions.pm |    1 +
 1 file changed, 1 insertion(+)

commit c484882864114c36f8378d9d5c2a531b53dde03e
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Jun 25 21:52:32 2012 +0200

    Dpkg::Source::Package: enable exit handlers for the commit operation
    
    The commit function already uses various exit handlers to clean up in case
    of failures. Unfortunately those handlers were never triggered because
    there was no global eval intercepting the failures. This commit adds the
    required logic.

 scripts/Dpkg/Source/Package.pm    |    9 +++++++++
 scripts/Dpkg/Source/Package/V2.pm |    2 +-
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 0ede94556448f0a82ff37d646824b669c7b93257
Merge: fddd49e 34b3f86
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jun 17 11:06:00 2012 +0200

    Merge branch 'sid' (through tag '1.16.4.3')
    
    Conflicts:
    	debian/changelog

commit 34b3f86bb97b58aaac881fd545808188ab33aafd
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jun 17 10:56:24 2012 +0200

    Release 1.16.4.3

 debian/changelog |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 18d9373b27effd533d386fdf7bfde6e6b3782101
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jun 10 23:17:40 2012 +0200

    u-a: Only warn for now on out of range priorities on --install
    
    There seems to be packages using priorities > INT_MAX, which although
    bogus as they were previously overflowing the int used to store them,
    that would cause installation failures when upgrading from squeeze.
    
    Turn this into a warning for now and clamp the values, which will be
    switched back to an error after wheezy, in dpkg 1.17.x.
    
    Closes: #676874

 debian/changelog            |   11 +++++++++++
 utils/update-alternatives.c |    9 +++++++--
 2 files changed, 18 insertions(+), 2 deletions(-)

commit eb3efdf553cc5036c9c2d97588425a580d896a5b
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jun 10 22:34:07 2012 +0200

    libdpkg: Add new clamp macro

 lib/dpkg/macros.h        |   13 +++++++++++++
 lib/dpkg/test/t-macros.c |    7 ++++++-
 2 files changed, 19 insertions(+), 1 deletion(-)

commit fddd49ee219d273961ca264633fecba0a1163d19
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jun 13 17:01:46 2012 +0200

    dpkg-source: keep the current patch header when regenerating the automatic patch
    
    When dpkg-source regenerates the automatic patch (with formats "2.0" or
    "3.0 (quilt)") it will keep the current patch header to avoid losing
    changes made by the maintainer.
    
    Reported-by: Cyril Brulebois <kibi@debian.org>

 debian/changelog                  |    3 +++
 scripts/Dpkg/Source/Package/V2.pm |   10 +++++++++-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit d26b98123bf6e17dde69b38fda3ff8b787624e01
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Jun 13 15:44:02 2012 +0200

    Dpkg::Source::Patch: let analyze() extract the patch header too

 scripts/Dpkg/Source/Patch.pm |    9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 5b9489da0e59312173209f1433a63845d26af5b7
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Jun 12 12:28:46 2012 +0200

    dpkg-source: 3.0 (quilt): restore quilt backup files after a failed patch
    
    dpkg-source will now clean up after a failed application of a quilt patch.
    
    This required passing “--reject-file=-” to patch to avoid the creation
    of *.rej files that would clutter the source package and intercepting
    the failure to restore the files from .pc/$patch/.
    
    dpkg-source will also display a message explaining the most likely cause
    of failure (patch applying with fuzz).
    
    Closes: #652970

 debian/changelog                        |    6 +++-
 scripts/Dpkg/Source/Package/V3/quilt.pm |   51 +++++++++++++++++++++++++++----
 2 files changed, 50 insertions(+), 7 deletions(-)

commit d197a2bbbfc2f7843f48a533eaaa0297505f4a47
Author: Peter Krefting <peterk@debian.org>
Date:   Tue Jun 12 09:41:42 2012 +0100

    Update Swedish translation.
    
    po/sv.po: 1055t0f0u.
    dselect/po/sv.po: 270t0f0u.
    man/po/sv.po: 2076t0f0u.

 debian/changelog |    9 +
 dselect/po/sv.po |    8 +-
 man/po/sv.po     |  152 +++-----
 po/sv.po         | 1111 +++++++++++++++++++++++++++++-------------------------
 4 files changed, 662 insertions(+), 618 deletions(-)

commit 2d9673d8986e7141a50d8884cfe6929c0251738c
Merge: bc79c5a fb2172f
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 9 16:33:50 2012 +0200

    Merge branch 'sid' (through tag '1.16.4.2')
    
    Conflicts:
    	debian/changelog

commit fb2172feed24b10e394a270d6f7facba5c97e53a
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 9 16:16:29 2012 +0200

    Release 1.16.4.2

 debian/changelog |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d240eaf0e62b370d85b956df8e21ce38577fee0e
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 9 16:03:45 2012 +0200

    libdpkg: Check correctly for out of range negative field width values
    
    Use INT_MIN instead of INT_MAX when checking for negative out of range
    values.
    
    Regression introduced in commit 2bf4b48a9a6f7ddf854179b4b74013534e4594b9.
    
    Closes: #676796

 debian/changelog      |    7 +++++++
 lib/dpkg/pkg-format.c |    2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit bc79c5a9cd2409bf9886a36996b52085af39ad9b
Merge: 51c23eb 5e8a4cc
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Jun 9 00:13:14 2012 +0200

    Merge branch 'sid' (through tag '1.16.4.1')
    
    Conflicts:
    	debian/changelog

commit 5e8a4ccb795c0dcff9e9ec44b908ded2484012bd
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 8 23:17:20 2012 +0200

    Release 1.16.4.1

 debian/changelog |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c39373bdc04c83e33f92bf374236bf04a894ae93
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 8 23:05:45 2012 +0200

    libdpkg: Fix explicit file trigger activation
    
    The lex parser passes a pointer to a buffer with the text, and as such
    if we just keep a copy of the pointer the contents will change over the
    parsing process. Instead copy the contents on trk_file_activate_start(),
    and use that copy later on.
    
    Regression introduced in commit 4ce011f68f8e499882db638c065008ce4015cd38.
    
    Closes: #676684

 debian/changelog   |    7 +++++++
 lib/dpkg/triglib.c |    5 ++++-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 6a991d07d0811eba986777db99ba26ea1371beca
Author: Niels Thykier <niels@thykier.net>
Date:   Fri Jun 8 10:53:57 2012 +0200

    Fix typos in changelogs
    
    Signed-off-by: Niels Thykier <niels@thykier.net>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 ChangeLog.old    |    2 +-
 debian/changelog |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 51c23eb12c81ed11bf7ee3357b70a92109828a6b
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Jun 8 09:39:57 2012 +0200

    Bump version to 1.16.5

 debian/changelog |    6 ++++++
 1 file changed, 6 insertions(+)

commit 4fcde1b7afc88a7d847dda0b337693733f5e6e66
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 7 23:46:32 2012 +0200

    Release 1.16.4

 debian/changelog |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 298f17a6623e0c2c6453e1a9ac8131bf90d6713d
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 7 23:46:02 2012 +0200

    Changelog police
    
    Spotted-by: Helge Kreutzmann <debian@helgefjell.de>

 debian/changelog |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e0643d20c2eada5a4b0e5f49692426b1d5615f5f
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 7 19:02:01 2012 +0200

    dpkg-split: Allow overridding admindir from the environment
    
    This allows to use the correct depotdir whenever dpkg is being called
    with --admindir.

 debian/changelog  |    1 +
 dpkg-split/main.c |    7 ++++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 5ba5d341998646321dd7452febd15e8a780c7287
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 7 18:35:12 2012 +0200

    libdpkg: Defer Multi-Arch field reset to pkg_blank()
    
    When removing a package pkgbin_blank() is called and an entry written
    to the update log, which might make it unparseable if there's other
    Multi-Arch instances present for that package.
    
    Closes: #676496

 debian/changelog |    2 ++
 lib/dpkg/pkg.c   |    3 ++-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 2f19452e9698a9249619d109de5291190208d1cc
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 7 18:49:33 2012 +0200

    dpkg: Activate all path components for file triggers
    
    File triggers have been activated up to now explicitly whenever seen,
    and only the requested pathname. While unpacking or removing, this is
    not an issue as dpkg will traverse the hierarchy and trigger parent
    directories during the process.
    
    Because conffiles get a two staged installation, first unpacked into
    <conffile>.dpkg-new and then installed in place on configure, a trigger
    activated only after unpack will not see the <conffile> at its final
    location or see it at all if it correctly ignores those file extensions.
    
    This is an issue for conffiles or explicit dpkg-trigger file triggers,
    as an interest on parent paths will not activate the trigger as those
    parents are not traversed. With the subsequent cause of missed updates
    because code has not been run on the actual installation of conffiles.
    
    Closes: #675613, #676061, #676062, #676107, #676118, #676122

 debian/changelog     |    3 +++
 lib/dpkg/libdpkg.map |    1 +
 lib/dpkg/triglib.c   |   36 +++++++++++++++++++++++++++++++++++-
 lib/dpkg/triglib.h   |    1 +
 src/configure.c      |    4 ++--
 5 files changed, 42 insertions(+), 3 deletions(-)

commit 4ce011f68f8e499882db638c065008ce4015cd38
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 7 18:49:33 2012 +0200

    libdpkg: Use trig_file_activate_byname() instead of ad-hoc code
    
    The trk_file functions were open coding this function, use it instead.

 lib/dpkg/triglib.c |    7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 7180e8e3e8583fe101b9d1883bad3a5b3af650aa
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 7 10:55:59 2012 +0200

    libdpkg: Add liblzma compression support
    
    Use liblzma if available instead of external commands to handle .xz
    and .lzma compressed files.
    
    Among other things, this means the xz-utils package no longer has to
    be part of the base system.
    
    Based-on-patch-by: Jonathan Nieder <jrnieder@gmail.com>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 configure.ac         |    1 +
 debian/changelog     |    3 +
 debian/control       |    4 +-
 debian/rules         |    1 +
 dpkg-deb/Makefile.am |    1 +
 lib/dpkg/compress.c  |  257 ++++++++++++++++++++++++++++++++++++++++++++++++++
 m4/dpkg-libs.m4      |    7 ++
 7 files changed, 272 insertions(+), 2 deletions(-)

commit 137a40cbdd4767d0f1864237d59fb8cd6581af63
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 7 10:51:41 2012 +0200

    scripts: Slice --help output strings
    
    Use to opportunity that the strings have been modified in previous
    commits to slice them, which should make translation a slightly more
    manageable work in the future. It should also get identical strings
    coalesced so that there's less to translate.

 scripts/dpkg-architecture.pl   |   12 ++++++------
 scripts/dpkg-buildflags.pl     |    6 +++---
 scripts/dpkg-buildpackage.pl   |   24 ++++++++++++------------
 scripts/dpkg-genchanges.pl     |    6 +++---
 scripts/dpkg-gencontrol.pl     |    6 +++---
 scripts/dpkg-gensymbols.pl     |    6 +++---
 scripts/dpkg-parsechangelog.pl |   12 ++++++------
 scripts/dpkg-shlibdeps.pl      |   18 +++++++++---------
 scripts/dpkg-source.pl         |    6 +++---
 scripts/dpkg-vendor.pl         |   12 ++++++------
 10 files changed, 54 insertions(+), 54 deletions(-)

commit d11f49990ca783a17e96ca163f2eb536f6fd6ab9
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 9 04:53:13 2012 +0200

    dpkg-gensymbols: Pack --help output
    
    Reduce the amount of vertical lines produced by the --help output.

 scripts/dpkg-gensymbols.pl |   15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

commit 9c52c96485d4c406c8eb2776aa245e839214de43
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 9 04:43:11 2012 +0200

    dpkg-buildpackage: Improve, split and group --help output
    
    Improve some option descriptions and add missing ones, mark some
    options as the default behaviour, group related options together,
    and split pass-through options into separate sections.

 scripts/dpkg-buildpackage.pl |   81 +++++++++++++++++++++++-------------------
 1 file changed, 44 insertions(+), 37 deletions(-)

commit c57ae609e5be0f7d91f4df58f2a2560cbc02254a
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 7 10:31:28 2012 +0200

    dselect: On --help print action names from the menuentries table
    
    This unmarks those strings for translation, as they should not get
    translated anyway, makes sure all actions will always be listed and
    those will not get out of sync.

 dselect/main.cc |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5c490cdc4631c3c45f669b166b9651965d47d78f
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 9 04:09:56 2012 +0200

    scripts: Unify “<option>...” --help output

 scripts/dpkg-architecture.pl    |    2 +-
 scripts/dpkg-buildpackage.pl    |    2 +-
 scripts/dpkg-genchanges.pl      |    2 +-
 scripts/dpkg-gencontrol.pl      |    2 +-
 scripts/dpkg-gensymbols.pl      |    2 +-
 scripts/dpkg-mergechangelogs.pl |    2 +-
 scripts/dpkg-parsechangelog.pl  |    2 +-
 scripts/dpkg-scanpackages.pl    |    2 +-
 scripts/dpkg-scansources.pl     |    2 +-
 scripts/dpkg-shlibdeps.pl       |    2 +-
 scripts/dpkg-source.pl          |    2 +-
 scripts/dpkg-vendor.pl          |    2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

commit 433ac679230abbeb4af4549e8b8f656a559159a8
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Jun 7 10:09:04 2012 +0200

    scripts: Hyphenate option arguments
    
    Missed in commit 36a5005fcaa9b69efb2e9b08c0efe0f88042c5b3.

 scripts/dpkg-scanpackages.pl |    2 +-
 scripts/dpkg-scansources.pl  |    2 +-
 scripts/dpkg-shlibdeps.pl    |    4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 18f6518356b62f7edfd380c62dadf79103f06b5d
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 6 04:39:45 2012 +0200

    Update mailmap

 .mailmap |    6 ++++++
 1 file changed, 6 insertions(+)

commit 0aee0c37364b7160213d87ca76b0e3b56173370f
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Jun 6 04:38:49 2012 +0200

    build: Add new run-script to run local scripts
    
    This sets up the environment to be able to run the local scripts using
    local modules and data files.

 Makefile.am     |    1 +
 debian/rules    |    3 +--
 m4/dpkg-arch.m4 |    3 +--
 run-script      |   13 +++++++++++++
 4 files changed, 16 insertions(+), 4 deletions(-)

commit 18f0cefb38eb362116d16ed89b712c4d7a054414
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jun 5 07:49:49 2012 +0200

    u-a: Remove unreachable code at the end of alternative_select_choice()
    
    The function contains an infinite loop that does not break out.

 utils/update-alternatives.c |    2 --
 1 file changed, 2 deletions(-)

commit 7f8f01f25f7aa3709393477fb5b69fa0152308aa
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jun 5 07:47:38 2012 +0200

    dpkg: Add missing space before && operand

 src/configure.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb6308c42fc7c37f0145d468549be77d0bf3346c
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jun 5 07:47:07 2012 +0200

    dpkg: Remove unneeded showdiff() forward declaration

 src/configure.c |    1 -
 1 file changed, 1 deletion(-)

commit 512b27964cf0d47618f5533894664b2ef0fed2ae
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jun 5 07:36:41 2012 +0200

    dpkg-divert: Do not warn on missing db .list file for never installed packages
    
    When the package has never been installed before, and the unpack has not
    yet finished, the package will be present on the database but the files
    list file will not, which would produce a bogus warning. Check if the
    package has ever been configured, before printing the warning.
    
    Closes: #673518

 debian/changelog |    2 ++
 src/filesdb.c    |    3 ++-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 07e174f510e998a9bb17dabd9cc932a486a263b3
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jun 5 21:12:07 2012 +0200

    Dpkg::Control::Fields: Put an & before field_capitalize() calls
    
    The definition of the function appears later on, and perl 5.16 gives
    warnings about usage before declaration.
    
    Closes: #676262

 debian/changelog               |    2 ++
 scripts/Dpkg/Control/Fields.pm |    4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit bbdc3ccea0c16e1a679ea281e01d900bbb6406ff
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jun 5 07:00:26 2012 +0200

    Dpkg::File: Demote libfile-fcntllock-perl Depends to a Recommends
    
    Fallback to use flock based locking, because libfile-fcntllock-perl
    being an XS module makes building a new perl package bumping the perl
    ABI impossible, as both packages become uninstallable.
    
    Closes: #675947
    
    Based-on-patch-by: Dominic Hargreaves <dom@earth.li>

 debian/changelog     |    5 +++++
 debian/control       |    4 ++--
 scripts/Dpkg/File.pm |   21 +++++++++++++++++----
 3 files changed, 24 insertions(+), 6 deletions(-)

commit db5525b9ef495d54cec35941e92065288e47643f
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jun 5 06:44:30 2012 +0200

    Dpkg::File: Refactor file locking logic into this new module
    
    Move libfile-fcntllock-perl dependency from dpkg-dev to libdpkg-perl.

 debian/changelog            |    2 ++
 debian/control              |    4 ++--
 scripts/Dpkg/File.pm        |   39 +++++++++++++++++++++++++++++++++++++++
 scripts/Makefile.am         |    1 +
 scripts/dpkg-distaddfile.pl |    6 ++----
 scripts/dpkg-gencontrol.pl  |    6 ++----
 6 files changed, 48 insertions(+), 10 deletions(-)

commit 14e63102e2a962a171e3e781f71d14ca0437ed23
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 27 20:02:25 2012 +0200

    dpkg: Use enum dep_check values instead of literal strings

 src/configure.c |    6 +++---
 src/remove.c    |    5 +++--
 2 files changed, 6 insertions(+), 5 deletions(-)

commit 85d78f9eb2e7d2c1b393f285af188a8ef8c62d53
Author: Carsten Hey <carsten@debian.org>
Date:   Mon Jun 4 09:27:01 2012 +0200

    s-s-d: Do not follow symlinks when creating pidfiles
    
    [guillem@debian.org:
     - Change mode to 0666. ]
    
    Closes: #675918
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog          |    2 ++
 utils/start-stop-daemon.c |    8 +++++++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 52a1b3fd9404061e98ed6b99c3e2adcfa1c2f22d
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jun 5 04:11:32 2012 +0200

    libcompat: Add compat symbol for O_NOFOLLOW
    
    This symbol was only standardized in POSIX.1-2008, which is too recent.
    Although it has been available on at least FreeBSD and Linux systems
    before that, but dpkg supports other systems which might not have it.

 configure.ac        |    1 +
 lib/compat/compat.h |    4 ++++
 2 files changed, 5 insertions(+)

commit 00747a8f0456c4e7415a2a100a3da7f9a3975b6b
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jun 5 05:10:09 2012 +0200

    dpkg(1): Clarify valid filenames for dpkg.cfg.d/ fragment files
    
    This information is already present in dpkg.cfg(5), but it might not be
    obvious one has to look there, so add it too to the main dpkg(1) where
    that directory is referenced and a new entry in the FILES section.
    
    Closes: #674674

 debian/changelog |    3 +++
 man/dpkg.1       |    8 ++++++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit fbe07e934f267077d2abdf1c286f03c84f4035ea
Author: Guillem Jover <guillem@debian.org>
Date:   Fri May 18 04:24:12 2012 +0200

    dpkg(1): Clarify that the «dpkg -l» example only lists installed packages
    
    Also add a reference to «dpkg-query --load-avail» as a way to list
    available packages.
    
    Closes: #673305

 debian/changelog |    3 +++
 man/dpkg.1       |    5 ++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 41494c13560b0a7027b583a83c5ef65f02a8fe88
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 27 01:52:42 2012 +0200

    dpkg-deb: Add support for “none” as a valid compression strategy value
    
    This is needed to be able to reset the compression strategy if one had
    been specified before, otherwise a different compressor would error out
    on compressor specific invalid values.
    
    Closes: #674711

 debian/changelog    |    2 ++
 dpkg-deb/main.c     |    2 +-
 lib/dpkg/compress.c |    2 ++
 man/dpkg-deb.1      |    8 ++++----
 4 files changed, 9 insertions(+), 5 deletions(-)

commit d630b04733ca0a1fb01314668e5812121f7fb496
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 28 19:03:08 2012 +0200

    libdpkg: Switch compression strategy code from strings to enums
    
    Make those values global, because they could be shared by different
    compressors, because for validation purposes there's no point in making
    them compressor specific as that's too late in case the compressor has
    not been specified yet. And finally using enums instead of strings
    allows to more easily handle the different strategy values.

 dpkg-deb/build.c     |    2 +-
 dpkg-deb/main.c      |   12 ++++++++++--
 lib/dpkg/compress.c  |   52 +++++++++++++++++++-------------------------------
 lib/dpkg/compress.h  |   12 ++++++++++--
 lib/dpkg/libdpkg.map |    1 +
 5 files changed, 42 insertions(+), 37 deletions(-)

commit b5c0d13c6cc1d16495f2f9b189ef579612d87d3c
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 28 18:24:39 2012 +0200

    libdpkg: Add more test cases for version module
    
    This covers dpkg_version_blank(), dpkg_version_is_informative(),
    branches for different numerical and alphabetical version and revision
    part in dpkg_version_compare() comparison, and dpkg_version_relate().

 lib/dpkg/test/t-version.c |   90 ++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 89 insertions(+), 1 deletion(-)

commit cba43c1251610cb789d630468a5d104a4c710965
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 28 18:23:11 2012 +0200

    libdpkg: Add test cases for eflags manipulators

 lib/dpkg/test/t-pkginfo.c |   21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit 01f7a1875d6223c35f1d7af16a5eff369ae1a377
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 28 18:22:36 2012 +0200

    libdpkg: Add more test cases for path module

 lib/dpkg/test/t-path.c |    7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 4c45788bb82ea8749f8e34e2301d6677cac37096
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 27 06:12:30 2012 +0200

    doc: Update codying-style
    
    Update C99 assumptions, refer to KNF, add link to the Linux CodingStyle,
    add some notes about doxygen markup, add missing blank lines and fix
    some more typos.

 doc/coding-style.txt |   53 ++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 49 insertions(+), 4 deletions(-)

commit 3feb8d4afe11bd68611951fad2fe4e5beb9017ba
Author: Guillem Jover <guillem@debian.org>
Date:   Thu May 24 21:02:25 2012 +0200

    doc: Update Doxygen configuration from version 1.8.1

 doc/Doxyfile.in |  515 ++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 396 insertions(+), 119 deletions(-)

commit 74946af470550a3295e00cf57eca1747215b9311
Author: Niels Thykier <niels@thykier.net>
Date:   Thu May 24 13:47:10 2012 +0200

    libdpkg: Add documentation for version module
    
    [guillem@debian.org:
     - Change formatting to conform to current documentation style.
     - Refer to deb-version(5) instead of policy manual. ]
    
    Signed-off-by: Niels Thykier <niels@thykier.net>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 lib/dpkg/version.c |   44 ++++++++++++++++++++++++++++++++++++++++++++
 lib/dpkg/version.h |   18 ++++++++++++++++++
 2 files changed, 62 insertions(+)

commit d1670cfba016122c2db2c6c52003f941938e23bc
Author: Niels Thykier <niels@thykier.net>
Date:   Thu May 24 13:08:51 2012 +0200

    doc: Fix two typos in coding-style.txt
    
    Signed-off-by: Niels Thykier <niels@thykier.net>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 doc/coding-style.txt |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 058673c0932b146d16f583b43bc4d78f378a8c1c
Author: Roger Leigh <rleigh@debian.org>
Date:   Wed May 16 20:51:45 2012 +0100

    Add Build-Depends-Arch and Build-Conflicts-Arch
    
    dpkg currently supports
      Build-Depends (arch all and any)
      Build-Depends-Indep (arch all)
    and the same Build-Conflicts.
    
    This patch adds
      Build-Depends-Arch (arch any)
    and Build-Conflicts-Arch.
    
    This makes the support for build dependencies for arch all and any
    packages symmetrical and more logical. It also permits arch-any
    dependencies to be omitted for arch-all-only builds.
    
    This change will not break any existing packages: if the arch any
    deps are in Build-Depends, they may be installed unnecessarily,
    but they will still be installed. This change just allows an
    additional optimisation, and tidies up a slight omission in the
    original implementation of build dependencies, and would give the
    buildds additional options when arch-all autobuilding is enabled
    (especially now it's available as a separate independent arch).
    
    Closes: #629480
    
    Signed-off-by: Roger Leigh <rleigh@debian.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog               |    3 +++
 man/deb-src-control.5          |   45 +++++++++++++++++++++++++++++++---------
 man/dpkg-checkbuilddeps.1      |   12 ++++++++---
 scripts/Dpkg/Control/Fields.pm |   16 +++++++++++---
 scripts/dpkg-buildpackage.pl   |    4 ++--
 scripts/dpkg-checkbuilddeps.pl |   27 +++++++++++++++++-------
 scripts/dpkg-source.pl         |    2 +-
 7 files changed, 83 insertions(+), 26 deletions(-)

commit 8c31f65164d87253c3358e5d1f92a0e960f933a4
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 23 07:25:01 2012 +0200

    scripts: Refer to commands instead of actions in help output

 scripts/dpkg-architecture.pl |    4 ++--
 scripts/dpkg-buildflags.pl   |    4 ++--
 scripts/dpkg-vendor.pl       |    4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 80269099a71a7158923bba4debc733ad717b4b02
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 9 04:09:56 2012 +0200

    dpkg-parsechangelog: Uppercase “parse options:” help output title

 scripts/dpkg-parsechangelog.pl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 36a5005fcaa9b69efb2e9b08c0efe0f88042c5b3
Author: Guillem Jover <guillem@debian.org>
Date:   Fri May 4 08:09:04 2012 +0200

    scripts: Hyphenate option arguments

 man/dpkg-buildpackage.1        |    8 ++++----
 man/dpkg-distaddfile.1         |    4 ++--
 man/dpkg-genchanges.1          |   28 ++++++++++++++--------------
 man/dpkg-gencontrol.1          |   20 ++++++++++----------
 man/dpkg-maintscript-helper.1  |   34 +++++++++++++++++-----------------
 man/dpkg-parsechangelog.1      |    8 ++++----
 man/dpkg-scanpackages.1        |    6 +++---
 man/dpkg-shlibdeps.1           |   36 ++++++++++++++++++------------------
 man/dpkg-source.1              |   12 ++++++------
 scripts/dpkg-distaddfile.pl    |    2 +-
 scripts/dpkg-genchanges.pl     |   16 ++++++++--------
 scripts/dpkg-gencontrol.pl     |   14 +++++++-------
 scripts/dpkg-gensymbols.pl     |    2 +-
 scripts/dpkg-parsechangelog.pl |    6 +++---
 scripts/dpkg-shlibdeps.pl      |   12 ++++++------
 scripts/dpkg-source.pl         |    8 ++++----
 16 files changed, 108 insertions(+), 108 deletions(-)

commit 8d7922e757b61cd270b7dd7cc9c27fa344deb854
Author: Guillem Jover <guillem@debian.org>
Date:   Fri May 4 07:22:30 2012 +0200

    scripts: Use “changelog” instead of “change log”

 man/dpkg-genchanges.1          |    2 +-
 man/dpkg-gencontrol.1          |    2 +-
 man/dpkg-parsechangelog.1      |    2 +-
 man/dpkg-source.1              |    2 +-
 scripts/dpkg-genchanges.pl     |    2 +-
 scripts/dpkg-gencontrol.pl     |    2 +-
 scripts/dpkg-parsechangelog.pl |    4 ++--
 scripts/dpkg-source.pl         |    2 +-
 8 files changed, 9 insertions(+), 9 deletions(-)

commit c8448c07aa55cd836792b5242979317f6e17e50e
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 22 19:20:53 2012 +0200

    dpkg-scansources: Do not accept --nohelp
    
    This option does not make any sense.

 scripts/dpkg-scansources.pl |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bedb947092e63a91f899f02cca141677cf528541
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 20 15:26:18 2012 +0200

    scripts: Handle argument parsing consistently when using Getopt::Long

 scripts/changelog/debian.pl     |    2 +-
 scripts/dpkg-mergechangelogs.pl |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 2e62609bbee5104f546df72c861a09f919d0fad6
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 20 15:22:35 2012 +0200

    scripts: Use new pkg_name_is_illegal() instead of ad-hoc checks

 scripts/Dpkg/Vars.pm       |   16 +++++-----------
 scripts/dpkg-gencontrol.pl |   10 ++++++----
 scripts/dpkg-gensymbols.pl |   10 ++++++----
 3 files changed, 17 insertions(+), 19 deletions(-)

commit ed0095e40833d362a1cb6b7cf22ae27d4895827b
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 20 22:37:06 2012 +0200

    Dpkg::Package: Add new perl module
    
    This includes a public function to validate package names.

 scripts/Dpkg/Package.pm      |   42 ++++++++++++++++++++++++++++++++++++++++++
 scripts/Makefile.am          |    2 ++
 scripts/po/POTFILES.in       |    1 +
 scripts/t/150_Dpkg_Package.t |   29 +++++++++++++++++++++++++++++
 4 files changed, 74 insertions(+)

commit bb486d9e2630ec77b798f1730bd7603df69c9013
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 21 03:54:37 2012 +0200

    Dpkg::Substvars: Rename no_warn() member function to mark_as_used()
    
    Keep the old name for backwards compatibility, but make it issue a
    warning.

 debian/changelog               |    2 ++
 scripts/Dpkg/Substvars.pm      |   25 +++++++++++++++++++------
 scripts/t/750_Dpkg_Substvars.t |    2 +-
 3 files changed, 22 insertions(+), 7 deletions(-)

commit 48e27cb350becbccf3d30b89ac92b20c7816f8ee
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 21 03:53:21 2012 +0200

    scripts: Use new member set_as_used() instead of ad-hoc code
    
    Use the new member instead of setting and then marking the substvars.

 scripts/Dpkg/Control/Hash.pm |    3 +--
 scripts/Dpkg/Substvars.pm    |    3 +--
 scripts/dpkg-gencontrol.pl   |    8 +++-----
 3 files changed, 5 insertions(+), 9 deletions(-)

commit bfc61827201aadb05bdff25e259490a02c5319e5
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 21 03:53:21 2012 +0200

    Dpkg::Substvars: Add new member function set_as_used()
    
    This sets a subtsvar and marks it as used, so no warnings are produced
    even if the variable is never used.

 debian/changelog          |    1 +
 scripts/Dpkg/Substvars.pm |   15 ++++++++++++++-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit f62054b8d94cbd514bf2d8fc824c8e81389b9d96
Author: Thomas Adam <thomas.adam@smoothwall.net>
Date:   Wed May 16 15:39:18 2012 +0200

    Dpkg::Source::Package: Do not obscure ‘require’ errors with custom errors
    
    When coming out of eval blocks and reporting on errors, make sure $@ is
    included as part of the textual output so that the real underlying error
    is reported.
    
      dpkg-source: error: source package format `3.0 (native)' is not supported
      (Perl module Dpkg::Source::Package::V3::native is required)
    
    Of course, that file is being required just fine, the problem turned out
    to be missing File::Temp, but without including $@, it was not obvious
    due to the custom error message completely hiding this detail.
    
    Improved-by: Jonathan Nieder <jrnieder@gmail.com>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog               |    3 +++
 scripts/Dpkg/Source/Package.pm |    3 ++-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit 4f2bf1ec7f3c362ec2178b244718516eef60167d
Author: Guillem Jover <guillem@debian.org>
Date:   Thu May 17 22:21:57 2012 +0200

    s-s-d(8): Switch examples from /var/run to /run

 debian/changelog        |    1 +
 man/start-stop-daemon.8 |    8 ++++----
 2 files changed, 5 insertions(+), 4 deletions(-)

commit d1f02d25ed0057d4cd3a57b6aac37e2fce03425b
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 29 02:23:02 2012 +0200

    s-s-d: Refactor parse_umask() and parse_integer() into parse_unsigned()
    
    The only fundamental difference between these two functions is the base,
    one being decimal and the other being zero.
    
    Change the code to call parse_unsigned() with an explicit base.

 utils/start-stop-daemon.c |   28 +++++++---------------------
 1 file changed, 7 insertions(+), 21 deletions(-)

commit ff8d590a6828816e9809cc025a8d870b6c6e48a4
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 23 08:55:30 2012 +0200

    libcompat: Remove compat definition for strtoul()
    
    Using this function is unsafe, because there's no way to know if the
    input contained a negative number. Remove the compat definition now
    that we do not use this function any longer.

 configure.ac        |    2 +-
 lib/compat/compat.h |    4 ----
 2 files changed, 1 insertion(+), 5 deletions(-)

commit 2bf4b48a9a6f7ddf854179b4b74013534e4594b9
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 28 18:33:08 2012 +0200

    Check parsed integers for out of range errors
    
    Verify that the numbers are not out of the range; i.e. that no negative
    values are allowed if not appropriate, and that no overflows occur.
    
    Closes: #580038

 debian/changelog            |    3 +++
 dpkg-deb/main.c             |    5 ++++-
 dpkg-split/info.c           |    4 ++++
 dpkg-split/main.c           |    5 ++++-
 dpkg-split/queue.c          |    8 +++++---
 lib/dpkg/parsehelp.c        |   16 ++++++++++++----
 lib/dpkg/pkg-format.c       |    7 +++++++
 lib/dpkg/version.h          |    3 ++-
 src/main.c                  |   29 ++++++++++++++++-------------
 src/statdb.c                |    8 +++++---
 utils/start-stop-daemon.c   |   23 +++++++++++++++--------
 utils/update-alternatives.c |   11 +++++++++++
 12 files changed, 88 insertions(+), 34 deletions(-)

commit 157d6447eee0da5e2e393e205dcdd0bcab404c30
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 28 18:33:08 2012 +0200

    Check parsed integers for invalid or no digit errors
    
    Verify that the string is not empty or does not contain trailing junk.

 debian/changelog            |    2 ++
 utils/start-stop-daemon.c   |    6 ++++--
 utils/update-alternatives.c |    4 ++--
 3 files changed, 8 insertions(+), 4 deletions(-)

commit a740846d61052de1e05e1b02c194ab1e1c48855c
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 23 09:04:39 2012 +0200

    dpkg: Use ohshit() instead of ohshite() on strtoul() error
    
    There's no guarantee that errno will be set for all error conditions
    checked.
    
    Regression introduced in commit 20e7af7b6ee4ab703b5d0e6f091fe3f565550a2b.

 src/main.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c1ef9aa10d6f72af4ba5ac669c4730e86f4d3c33
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 23 06:36:40 2012 +0200

    u-a: Rename and unify variable names for priority parsing code

 utils/update-alternatives.c |   29 ++++++++++++++++-------------
 1 file changed, 16 insertions(+), 13 deletions(-)

commit a204c6ecbdd61c5ec02492115e47087dff7ba2ba
Author: Christian PERRIER <bubulle@debian.org>
Date:   Wed May 16 18:38:18 2012 +0200

    French (Christian Perrier). Fixes a mistranslation and some inconsistencies reported by Vincent Danjean( thanks). Closes: #673158

 debian/changelog |    2 ++
 man/po/fr.po     |    9 +++++----
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 12b5b2c9df466eae47a16bb604f854ca1da41f50
Author: Christian PERRIER <bubulle@debian.org>
Date:   Fri May 11 21:44:47 2012 +0200

    French translation update
    
    1980 translated messages, 70 fuzzy translations, 26 untranslated messages.

 man/po/fr.po |  360 +++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 230 insertions(+), 130 deletions(-)

commit 7786b93c8005b2f7a5a1043c2f07d06a80563e72
Author: Wookey <wookey@wookware.org>
Date:   Fri May 11 02:03:38 2012 +0200

    Add arm64 support to cputable
    
    [guillem@debian.org:
     - Change config.guess regex to not match on aarch64_be. ]
    
    Closes: #672408
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 cputable         |    1 +
 debian/changelog |    2 ++
 2 files changed, 3 insertions(+)

commit 3ff54ce48187f34b6c8d837acd9b3630ef44e0a3
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 7 05:41:43 2012 +0200

    dpkg-scanpackages: Remove obsolete --udeb option

 debian/changelog                    |    1 +
 doc/README.feature-removal-schedule |   14 +++++++-------
 man/dpkg-scanpackages.1             |    6 ++----
 scripts/dpkg-scanpackages.pl        |   12 +++---------
 4 files changed, 13 insertions(+), 20 deletions(-)

commit a22c0eb2dc5d6cc62e6142db6a2bc489bfa815cc
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 7 05:05:53 2012 +0200

    dpkg-buildpackage: Remove deprecated support for PGP style interface

 debian/changelog                    |    2 ++
 doc/README.feature-removal-schedule |   18 ++++++++--------
 man/dpkg-buildpackage.1             |    6 ++----
 scripts/dpkg-buildpackage.pl        |   39 +++++++----------------------------
 4 files changed, 20 insertions(+), 45 deletions(-)

commit 8f760cb1a79d18ab97b6fe4dc794aaca0fc9bae3
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 8 05:07:35 2012 +0200

    Use new str_is_set() instead of ad-hoc checks

 lib/dpkg/parsehelp.c |    2 +-
 lib/dpkg/version.c   |    5 +++--
 src/enquiry.c        |    5 +++--
 3 files changed, 7 insertions(+), 5 deletions(-)

commit 49c76f6186d509eb53be7a5e99d7b23f1d0adc7f
Author: Guillem Jover <guillem@debian.org>
Date:   Mon May 7 05:21:11 2012 +0200

    Use DPKG_BIT to define bit flags instead of literal octal values
    
    If we are defining bit flags, it's more natural to just name the bits
    by their index instead of using octal values.
    
    Use the opportunity to assign bit indices in increasing order, as some
    flags had been inserted in alphabetical/group order but keeping the
    other flag's values.

 lib/dpkg/atomic-file.h  |    2 +-
 lib/dpkg/debug.h        |    4 ++++
 lib/dpkg/dpkg-db.h      |   41 +++++++++++++++++++++--------------------
 lib/dpkg/ehandle.h      |    6 +++---
 lib/dpkg/parsedump.h    |    2 +-
 lib/dpkg/pkg-spec.h     |    8 ++++----
 lib/dpkg/trigdeferred.h |   10 +++++-----
 lib/dpkg/version.h      |    6 +++---
 src/configure.c         |   16 ++++++++--------
 src/filesdb.h           |   24 ++++++++++++------------
 10 files changed, 62 insertions(+), 57 deletions(-)

commit 546aae0e3cdf4ea68dbb6c156394d37f073a30a4
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 6 04:37:22 2012 +0200

    dpkg: Make enum conffopt declaration private by moving to configure.c
    
    There's no other users, and no public function expecting such argument,
    so just hide this implementation detail where it belongs.

 src/configure.c |   19 +++++++++++++++++++
 src/main.h      |   18 ------------------
 2 files changed, 19 insertions(+), 18 deletions(-)

commit 8636dd428357d4e6e754191628e1e7813e7ee17c
Author: Guillem Jover <guillem@debian.org>
Date:   Sun May 6 04:29:23 2012 +0200

    libdpkg: Add new DPKG_BIT macro

 lib/dpkg/macros.h |    7 +++++++
 1 file changed, 7 insertions(+)

commit 91f647d66608b64ed4deda9577262f1c014fdb54
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 9 05:34:18 2012 +0200

    libdpkg: Use TRIGGERSFILEFILE instead of a literal string

 lib/dpkg/triglib.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d4c03ebe985718615818c8ea68fff1db8b2730c
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 9 01:04:23 2012 +0200

    libdpkg: Fold vercmp module into version module

 lib/dpkg/Makefile.am    |    1 -
 lib/dpkg/dpkg-db.h      |    8 ---
 lib/dpkg/vercmp.c       |  135 -----------------------------------------------
 lib/dpkg/version.c      |  112 +++++++++++++++++++++++++++++++++++++++
 lib/dpkg/version.h      |    5 ++
 po/POTFILES.in          |    2 +-
 scripts/Dpkg/Version.pm |    2 +-
 7 files changed, 119 insertions(+), 146 deletions(-)

commit 24953072b71b39c2e201f58c9ef34b24500aa457
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 8 05:32:06 2012 +0200

    libdpkg: Rename versionsatisfied3() to dpkg_version_relate()
    
    At the same time reorder the arguments and place the relation operator
    in the middle, which is a more natural way to express it.

 lib/dpkg/depcon.c    |    5 +++--
 lib/dpkg/dpkg-db.h   |    6 +++---
 lib/dpkg/libdpkg.map |    2 +-
 lib/dpkg/vercmp.c    |    6 +++---
 src/depcon.c         |    5 +++--
 src/enquiry.c        |    2 +-
 6 files changed, 14 insertions(+), 12 deletions(-)

commit 4f315d811d9a8ed271395b84caeab80b2c05f0fb
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 8 06:04:53 2012 +0200

    libdpkg: Rename versioncompare() to dpkg_version_compare()

 dselect/pkgdepcon.cc      |   11 ++++++-----
 dselect/pkglist.cc        |    2 +-
 dselect/pkgtop.cc         |    3 ++-
 lib/dpkg/dpkg-db.h        |    4 ++--
 lib/dpkg/libdpkg.map      |    2 +-
 lib/dpkg/parse.c          |    2 +-
 lib/dpkg/test/t-version.c |   44 ++++++++++++++++++++++----------------------
 lib/dpkg/vercmp.c         |    6 +++---
 src/archives.c            |    2 +-
 src/configure.c           |    4 ++--
 src/enquiry.c             |    2 +-
 src/processarc.c          |   11 +++++++----
 12 files changed, 49 insertions(+), 44 deletions(-)

commit a049e019af38a74732a6ee115a3628d864913e9c
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 8 05:49:34 2012 +0200

    libdpkg: Rename vercmp module function variables

 lib/dpkg/dpkg-db.h |   10 +++----
 lib/dpkg/vercmp.c  |   81 +++++++++++++++++++++++++++++++++-------------------
 2 files changed, 57 insertions(+), 34 deletions(-)

commit d715ef554b79d6c5ccf7f82fcae9688330373440
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 8 04:37:55 2012 +0200

    libdpkg: Move enum dpkg_relation to version.h

 lib/dpkg/dpkg-db.h |    9 ---------
 lib/dpkg/version.h |    9 +++++++++
 2 files changed, 9 insertions(+), 9 deletions(-)

commit ef8c24b49ec8a14070b7a05d9503348b69f80867
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 8 04:32:22 2012 +0200

    libdpkg: Rework enum depverrel into new enum dpkg_relation
    
    Use more meaningful enum value names, and simplify them by having the
    minimum amount of values required.

 dselect/pkgdepcon.cc  |    2 +-
 dselect/pkgsublist.cc |   26 ++++++++++++++++++--------
 lib/dpkg/dpkg-db.h    |   27 +++++++++++----------------
 lib/dpkg/dump.c       |   14 +++++++-------
 lib/dpkg/fields.c     |   18 +++++++++---------
 lib/dpkg/vercmp.c     |   22 ++++++++++++++--------
 src/depcon.c          |    4 ++--
 src/enquiry.c         |    4 ++--
 src/packages.c        |    9 +++++----
 src/processarc.c      |    2 +-
 10 files changed, 70 insertions(+), 58 deletions(-)

commit b9d2ac6beb13f9e068d27529dc7e6af3e0fd1c00
Author: Guillem Jover <guillem@debian.org>
Date:   Sat May 5 04:59:39 2012 +0200

    libdpkg: Rename struct versionrevision to dpkg_version

 dselect/pkglist.cc        |    4 ++--
 lib/dpkg/dpkg-db.h        |   20 ++++++++++----------
 lib/dpkg/parsedump.h      |    2 +-
 lib/dpkg/parsehelp.c      |    8 ++++----
 lib/dpkg/test/t-version.c |    6 +++---
 lib/dpkg/vercmp.c         |   10 ++++++----
 lib/dpkg/version.c        |    4 ++--
 lib/dpkg/version.h        |    6 +++---
 src/enquiry.c             |   14 +++++++-------
 9 files changed, 38 insertions(+), 36 deletions(-)

commit 06ee559bfccf5e37746400699c70b2a49f787fb2
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 8 05:57:56 2012 +0200

    libdpkg: Remove unused epochsdiffer()

 lib/dpkg/dpkg-db.h        |    2 --
 lib/dpkg/libdpkg.map      |    1 -
 lib/dpkg/test/t-version.c |    4 ++--
 lib/dpkg/vercmp.c         |    7 -------
 4 files changed, 2 insertions(+), 12 deletions(-)

commit b59f7a1fed55ca1abf1c095394153b70d1803a21
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat May 5 19:21:21 2012 +0200

    Update German translation of manual pages
    
    Update to 2087t0f3u.

 man/po/de.po |   12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit e6312fae5b69319125c83b77479bea3b21b7ec45
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Fri May 4 21:09:24 2012 +0200

    Update German translation of manual pages
    
    Update to 2085t0f5u.

 man/po/de.po |  981 +++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 557 insertions(+), 424 deletions(-)

commit 82cb1c69c76202d8893b59d5df203f139b0c7d46
Author: Guillem Jover <guillem@debian.org>
Date:   Thu May 3 20:04:50 2012 +0200

    dpkg: Move maintainer script handling into a new script module

 po/POTFILES.in  |    1 +
 src/Makefile.am |    1 +
 src/help.c      |  287 ----------------------------------------------
 src/script.c    |  341 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 343 insertions(+), 287 deletions(-)

commit 8020732bb5a15a3d5b5dd2ef2ce35d83445fb20c
Author: Guillem Jover <guillem@debian.org>
Date:   Thu May 3 17:21:22 2012 +0200

    Dpkg::Vendor::Debian: Do not mask PIE on m68k
    
    The reason for this feature being masked on m68k was unspecified
    breakage in openssh (see #451192), which does not appear to be present
    any more. As such there's no apparent reason to mask it any longer.
    
    Requested-by: Thorsten Glaser <tg@mirbsd.de>

 debian/changelog              |    2 ++
 scripts/Dpkg/Vendor/Debian.pm |    4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 3663423c2030b07b9682e9eba8a4af89a40ccf56
Author: Guillem Jover <guillem@debian.org>
Date:   Wed May 2 16:43:47 2012 +0200

    Add “gcc | c-compiler” to libdpkg-perl Suggests, due to Dpkg::Arch usage
    
    Do not add it as a hard dependency, as the library can be used on system
    where a compiler is really not appropriate.
    
    Closes: #671198

 debian/changelog |    2 ++
 debian/control   |    2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit f4cd2a93681c40df7f35d82cff52c32ae4582bae
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 1 04:59:43 2012 +0200

    build: Use MKDIR_P instead of obsolete mkdir_p
    
    Autoconf provides an AC_PROG_MKDIR_P macro defining MKDIR_P which is
    called by AM_INIT_AUTOMAKE; the obsolete mkdir_p, currently aliased to
    MKDIR_P will disappear with automake 1.13.

 Makecheck.am                |    2 +-
 dpkg-split/Makefile.am      |    2 +-
 dselect/Makefile.am         |    2 +-
 dselect/methods/Makefile.am |   10 +++++-----
 man/Makefile.am             |    2 +-
 scripts/Makefile.am         |    6 +++---
 src/Makefile.am             |    6 +++---
 utils/Makefile.am           |    4 ++--
 8 files changed, 17 insertions(+), 17 deletions(-)

commit ee81253069c1cbf38d1724faa78e75c99223b5ae
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 1 04:41:20 2012 +0200

    s-s-d: Refactor pidfile writing into a new write_pidfile() function

 utils/start-stop-daemon.c |   27 +++++++++++++++++----------
 1 file changed, 17 insertions(+), 10 deletions(-)

commit 4bcc6b8e0a587b432b145fafa642674607cddddd
Author: Guillem Jover <guillem@debian.org>
Date:   Tue May 1 03:33:01 2012 +0200

    dpkg(1): Clarify when --force-conf* options cause action
    
    It was not clear before that some of these options only produce actions
    when the conffile has changed in the new package being installed.
    
    Closes: #391818
    
    Suggested-by: Sven Joachim <svenjoac@gmx.de>

 debian/changelog |    2 ++
 man/dpkg.1       |   33 ++++++++++++++++++---------------
 2 files changed, 20 insertions(+), 15 deletions(-)

commit 0aec21906fca0484e04225499037be4589af04a9
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 30 23:44:02 2012 +0200

    doc: Add new frontend.txt file documenting some public interfaces
    
    For now document the database locking “interface”.
    
    Closes: #670897

 Makefile.am          |    1 +
 debian/changelog     |    2 ++
 debian/dpkg-dev.docs |    1 +
 doc/frontend.txt     |   24 ++++++++++++++++++++++++
 4 files changed, 28 insertions(+)

commit f3adc67ba5fcdc291c3dcc83eea1170a6764cbd1
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 30 23:42:04 2012 +0200

    Add MiNT support to ostable and triplettable
    
    Requested-by: Thorsten Glaser <tg@mirbsd.de>

 debian/changelog |    2 ++
 ostable          |    1 +
 triplettable     |    1 +
 3 files changed, 4 insertions(+)

commit 56e2be58f7aa5571e44504bf8d08199ba81cf50f
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 30 06:46:50 2012 +0200

    Dpkg::Arch: Move loaded table sentinels inside load table functions
    
    This makes sure no call site will miss the check and perform unneeded
    reloads.

 scripts/Dpkg/Arch.pm |   33 ++++++++++++++++++++++++---------
 1 file changed, 24 insertions(+), 9 deletions(-)

commit 12b4fbe1d0a89dc861f499f3b39b6c6d46bb4d23
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 30 06:27:41 2012 +0200

    dpkg-parsechangelog(1): Add alternative changelog formats documentation
    
    Adapted from the policy manual.
    
    Closes: #584141

 debian/changelog          |    2 ++
 man/dpkg-genchanges.1     |    9 ++++----
 man/dpkg-gencontrol.1     |    8 +++----
 man/dpkg-parsechangelog.1 |   54 +++++++++++++++++++++++++++++++++++++++++----
 man/dpkg-source.1         |    9 ++++----
 5 files changed, 64 insertions(+), 18 deletions(-)

commit cebaf7e0f2384969045c0484f5d8848d963d1988
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 29 05:21:45 2012 +0200

    dpkg-deb: Deprecate compressing .deb files with lzma
    
    The the format has several deficiencies that have been addressed by
    upstream in xz. Although unpacking will be kept being supported to
    handle existing lzma compressed .deb files.
    
    Issue a warning for now for the -Zlzma option value, the support for
    that value will get removed at a later point.

 debian/changelog                    |    6 ++++++
 doc/README.feature-removal-schedule |   10 ++++++++++
 dpkg-deb/main.c                     |    4 +++-
 3 files changed, 19 insertions(+), 1 deletion(-)

commit 95bbdf3b1ae072ba31dd4442ef2c7630bbceea65
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 27 22:31:19 2012 +0200

    libdpkg: Fix comment header titles

 lib/dpkg/pkg-db.c  |    2 +-
 lib/dpkg/utils.c   |    2 +-
 lib/dpkg/version.c |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 24fcf03f02b0296b61ae62352b8744af13d61f97
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 27 22:22:36 2012 +0200

    libdpkg: Add missing symbols to the version script

 lib/dpkg/libdpkg.map |   12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 9e75e05a95475d2fcfdfaf744f9891979022624b
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Fri Apr 27 17:43:25 2012 +0200

    Update German translation of manual pages
    
    Update to 2076t.

 debian/changelog |    3 ++-
 man/po/de.po     |   29 ++++++++++-------------------
 2 files changed, 12 insertions(+), 20 deletions(-)

commit 9706026c779d41d7c0cfca22e13c0cdfac93c2be
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 27 10:33:36 2012 +0200

    Bump version to 1.16.4

 debian/changelog |    6 ++++++
 1 file changed, 6 insertions(+)

commit b9a009d61792c711dbd440b7cc3004d1b02569ed
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 27 10:10:43 2012 +0200

    Release 1.16.3

 debian/changelog |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9f3a12116f8512c38863c4eb858f91aaa1bad391
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 27 10:09:40 2012 +0200

    Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |   92 +--
 dselect/po/ca.po        |  104 ++--
 dselect/po/cs.po        |  104 ++--
 dselect/po/da.po        |  104 ++--
 dselect/po/de.po        |    2 +-
 dselect/po/dselect.pot  |   94 +--
 dselect/po/el.po        |   92 +--
 dselect/po/es.po        |  104 ++--
 dselect/po/et.po        |  104 ++--
 dselect/po/eu.po        |  104 ++--
 dselect/po/fr.po        |  108 ++--
 dselect/po/gl.po        |  104 ++--
 dselect/po/hu.po        |  104 ++--
 dselect/po/id.po        |  104 ++--
 dselect/po/it.po        |  104 ++--
 dselect/po/ja.po        |  104 ++--
 dselect/po/ko.po        |  104 ++--
 dselect/po/nb.po        |  104 ++--
 dselect/po/nl.po        |  104 ++--
 dselect/po/nn.po        |   92 +--
 dselect/po/pl.po        |  104 ++--
 dselect/po/pt.po        |  104 ++--
 dselect/po/pt_BR.po     |  104 ++--
 dselect/po/ro.po        |  104 ++--
 dselect/po/ru.po        |  104 ++--
 dselect/po/sk.po        |  104 ++--
 dselect/po/sv.po        |  104 ++--
 dselect/po/tl.po        |   92 +--
 dselect/po/vi.po        |  104 ++--
 dselect/po/zh_CN.po     |  104 ++--
 dselect/po/zh_TW.po     |   92 +--
 man/po/de.po            |  215 +++----
 man/po/dpkg-man.pot     |  795 ++++++++++++-------------
 man/po/es.po            |  213 +++----
 man/po/fr.po            |  216 +++----
 man/po/hu.po            |  853 +++++++++++++--------------
 man/po/ja.po            |  936 ++++++++++++++++--------------
 man/po/pl.po            |  878 ++++++++++++++--------------
 man/po/pt_BR.po         |  846 +++++++++++++--------------
 man/po/ru.po            |  856 +++++++++++++--------------
 man/po/sv.po            |  216 +++----
 po/ast.po               | 1292 +++++++++++++++++++++--------------------
 po/bs.po                | 1263 ++++++++++++++++++++--------------------
 po/ca.po                | 1299 +++++++++++++++++++++--------------------
 po/cs.po                | 1291 +++++++++++++++++++++--------------------
 po/da.po                | 1292 +++++++++++++++++++++--------------------
 po/de.po                |  344 +++++------
 po/dpkg.pot             | 1259 ++++++++++++++++++++--------------------
 po/dz.po                | 1280 ++++++++++++++++++++--------------------
 po/el.po                | 1281 ++++++++++++++++++++--------------------
 po/eo.po                | 1292 +++++++++++++++++++++--------------------
 po/es.po                | 1296 +++++++++++++++++++++--------------------
 po/et.po                | 1275 ++++++++++++++++++++--------------------
 po/eu.po                | 1295 +++++++++++++++++++++--------------------
 po/fr.po                | 1475 +++++++++++++++++++++++------------------------
 po/gl.po                | 1280 ++++++++++++++++++++--------------------
 po/hu.po                | 1280 ++++++++++++++++++++--------------------
 po/id.po                | 1290 +++++++++++++++++++++--------------------
 po/it.po                | 1313 +++++++++++++++++++++--------------------
 po/ja.po                | 1296 +++++++++++++++++++++--------------------
 po/km.po                | 1278 ++++++++++++++++++++--------------------
 po/ko.po                | 1294 +++++++++++++++++++++--------------------
 po/ku.po                | 1260 +++++++++++++++++++++-------------------
 po/lt.po                | 1276 ++++++++++++++++++++--------------------
 po/mr.po                | 1280 ++++++++++++++++++++--------------------
 po/nb.po                | 1290 +++++++++++++++++++++--------------------
 po/ne.po                | 1278 ++++++++++++++++++++--------------------
 po/nl.po                | 1280 ++++++++++++++++++++--------------------
 po/nn.po                | 1276 ++++++++++++++++++++--------------------
 po/pa.po                | 1259 +++++++++++++++++++++-------------------
 po/pl.po                | 1319 ++++++++++++++++++++++--------------------
 po/pt.po                | 1296 +++++++++++++++++++++--------------------
 po/pt_BR.po             | 1279 ++++++++++++++++++++--------------------
 po/ro.po                | 1296 +++++++++++++++++++++--------------------
 po/ru.po                | 1296 +++++++++++++++++++++--------------------
 po/sk.po                | 1295 +++++++++++++++++++++--------------------
 po/sv.po                |  342 +++++------
 po/th.po                | 1286 +++++++++++++++++++++--------------------
 po/tl.po                | 1276 ++++++++++++++++++++--------------------
 po/vi.po                | 1290 +++++++++++++++++++++--------------------
 po/zh_CN.po             | 1284 +++++++++++++++++++++--------------------
 po/zh_TW.po             | 1278 ++++++++++++++++++++--------------------
 scripts/po/ca.po        |   29 +-
 scripts/po/de.po        |   29 +-
 scripts/po/dpkg-dev.pot |   31 +-
 scripts/po/es.po        |   29 +-
 scripts/po/fr.po        |  104 +---
 scripts/po/pl.po        |   29 +-
 scripts/po/ru.po        |   29 +-
 scripts/po/sv.po        |   18 +-
 90 files changed, 31318 insertions(+), 29061 deletions(-)

commit f45abe4758e705b6c3231ba9a34ac066530b27e4
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 27 05:30:00 2012 +0200

    dpkg: Add missing list and md5sums database file checks to --audit
    
    This will report about any package missing the list or md5sums files
    from the database, so that they can be reinstalled.

 debian/changelog |    1 +
 src/enquiry.c    |   21 +++++++++++++++++++++
 2 files changed, 22 insertions(+)

commit 63d60245748acb6095e8e28ae2d86bfffd2e9fad
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 27 05:25:08 2012 +0200

    dpkg: Switch struct badstatinfo value member to an union of int and char *
    
    This will allow to pass strings to the checkers.

 src/enquiry.c |   27 +++++++++++++++------------
 1 file changed, 15 insertions(+), 12 deletions(-)

commit 0e8bcc32c9f037a2ca60a10211a65e3b8cca6018
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 22 21:31:55 2012 +0100

    dpkg: Generate md5sums info files if none were present in the binary package
    
    This is the first step in allowing to verify installed package files
    consistency. Next step will be to track file metadata and then add
    options to verify the requested packages.
    
    Closes: #155676, #155799

 debian/changelog   |    2 ++
 src/Makefile.am    |    1 +
 src/filesdb-hash.c |   73 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/filesdb.h      |    5 +++-
 src/processarc.c   |    3 +++
 5 files changed, 83 insertions(+), 1 deletion(-)

commit a9f88f151ce6918f141f4816870137a72a114b2b
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 27 05:22:10 2012 +0200

    libdpkg: Do not return from 0 sized buffer_copy() w/o doing filtering
    
    This changes the function to handle the case of a caller specified 0 size
    in the same way as if the size requested was dynamic (-1), and there were
    0 bytes read, i.e. perform at least the initialization and shutdown of
    the filter so that it can compute any required value, if needed.
    
    As an optimization, given that we do not return early from the function
    anymore, do not allocate the buffer when the buffer size is 0.
    
    This comes up on 0 sized extracted files, which ended up w/o a computed
    hash.

 debian/changelog  |    3 +++
 lib/dpkg/buffer.c |    8 ++++----
 2 files changed, 7 insertions(+), 4 deletions(-)

commit ebb14a93370f6638a7e52145768b9a14c99ac3a1
Author: Ben Harris <bjh21@cam.ac.uk>
Date:   Sun Apr 22 22:04:58 2012 +0200

    Dpkg::Control: Fix memory leak due to objects not being garbage-collected
    
    When runnung a Perl script that repeatedly creates unreferenced
    Dpkg::Control objects, the perl process consumes memory without limit.
    
    A one-line sample:
    
      perl -MDpkg::Control -e 'Dpkg::Control->new while 1'
    
    It would be expected from a script like this to have a constant memory
    usage, as the Dpkg::Control objects are garbage-collected soon after
    being created. What happens instead, is that after running for thirty
    seconds, perl has consumed over 100 MiB of memory.
    
    By contrast, the same test using Dpkg::Index consumes a constant 6 MiB.
    
    This problem effectively means that a process can't operate on a large
    number of Dpkg::Control objects sequentially.
    
    The cause of the problem appears to be a circular reference between a
    Dpkg::Control::Hash and its contained tied hash. This patch explicitly
    breaks this loop when a Dpkg::Control::Hash is destroyed, following
    the advice in perlobj(1).
    
    Closes: #669012
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 debian/changelog             |    2 ++
 scripts/Dpkg/Control/Hash.pm |   27 +++++++++++++++++++--------
 2 files changed, 21 insertions(+), 8 deletions(-)

commit cbfeb218624f98459590c5537177fa48bfecb04d
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 22 21:59:52 2012 +0200

    dpkg-gensymbols(1): Clarify that arch-wildcards are supported
    
    Change the examples to make use of arch-wildcards so that it's more
    obvious that those are supported.
    
    Closes: #670048

 debian/changelog      |    2 ++
 man/dpkg-gensymbols.1 |   10 ++++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 42a2f26ac7e167ede510892971440b7bbd476ba7
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 26 19:20:04 2012 +0200

    Use new str_is_set()/str_is_unset() instead of ad-hoc checks

 lib/dpkg/command.c |    5 +++--
 lib/dpkg/dump.c    |    9 +++++++--
 lib/dpkg/fields.c  |    7 ++++---
 lib/dpkg/parse.c   |    5 +++--
 lib/dpkg/path.c    |    5 +++--
 lib/dpkg/pkg.c     |   19 +++++++------------
 src/configure.c    |    2 +-
 src/querycmd.c     |    3 ++-
 8 files changed, 30 insertions(+), 25 deletions(-)

commit d3727ed32d3f077b9d8f4c3dc335ab419f82eb6f
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 26 19:19:49 2012 +0200

    libdpkg: Add new functions str_is_set() and str_is_unset()

 lib/dpkg/string.h |   22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit 36b09198e3c0d01fab7b5fe677dcf231d82c71d7
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 21 22:49:39 2012 +0200

    libdpkg: Namespace and uppercase enum pkg_format_type values

 lib/dpkg/pkg-format.c |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit e16fdfb6684ce9aa2457ac0241d601abc5366723
Author: Colin Watson <cjwatson@ubuntu.com>
Date:   Fri Apr 20 05:04:15 2012 +0200

    dpkg-divert: Add test case for ignored rename request from diverting package
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/t/100_dpkg_divert.t |   45 +++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 43 insertions(+), 2 deletions(-)

commit 148ed36543f85473517f6ebcc36c0d738a305776
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 20 04:56:06 2012 +0200

    dpkg-divert: Do not rename files owned by the diverting package
    
    If the file is already owned by the package diverting it, that will
    actually mess up the filesystem for no good reason, just ignore the
    request and issue a message stating so.
    
    Closes: #588077

 debian/changelog |    2 ++
 src/divertcmd.c  |   35 ++++++++++++++++++++++++++++++++++-
 2 files changed, 36 insertions(+), 1 deletion(-)

commit fe00f27e0e168f745d8afe46b801a6bfd3879be1
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Tue Apr 24 18:59:56 2012 +0200

    Fix build failure by balancing <>

 man/po/sv.po |  921 ++++++++++++++++++++++++++--------------------------------
 1 file changed, 406 insertions(+), 515 deletions(-)

commit 9c12676b959642bd39e45d629151ed77e0d01af3
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Tue Apr 24 18:58:41 2012 +0200

    Fix build failure by balancing <>

 man/po/es.po |  726 +++++++++++++++++++----------------
 man/po/fr.po | 1216 ++++++++++++++++++++++++++--------------------------------
 2 files changed, 929 insertions(+), 1013 deletions(-)

commit daaddea8fe5f1a7e641d25e1e33b9e55a99c9639
Author: Peter Krefting <peterk@debian.org>
Date:   Tue Apr 24 14:03:26 2012 +0100

    Fix typo: "same syntax than" → "same syntax as".

 debian/changelog             |    2 +-
 man/deb-shlibs.5             |    2 +-
 man/po/de.po                 |    2 +-
 man/po/dpkg-man.pot          |    2 +-
 man/po/es.po                 |    2 +-
 man/po/fr.po                 |    2 +-
 man/po/hu.po                 |    2 +-
 man/po/ja.po                 |    2 +-
 man/po/pl.po                 |    2 +-
 man/po/pt_BR.po              |    2 +-
 man/po/ru.po                 |    2 +-
 man/po/sv.po                 |    2 +-
 scripts/Dpkg/Control/Info.pm |    2 +-
 13 files changed, 13 insertions(+), 13 deletions(-)

commit d23666533c37dde9679097e64444cb683c0b0608
Author: Peter Krefting <peterk@debian.org>
Date:   Tue Apr 24 14:01:11 2012 +0100

    Update Swedish translation.
    
    po/sv.po: 1032t0f0u.
    dselect/po/sv.po: 270t0f0u.
    man/po/sv.po: 2076t0f0u.
    scripts/po/sv.po: 518t0f0u.

 debian/changelog |    4 +
 dselect/po/sv.po |    8 +-
 man/po/sv.po     |  383 +++++++++------
 po/sv.po         | 1408 ++++++++++++++++++++++++++----------------------------
 scripts/po/sv.po |   75 ++-
 5 files changed, 937 insertions(+), 941 deletions(-)

commit 6b04c0b4432dcaf4ed0adacf1f4821cc096ee317
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Apr 23 19:50:19 2012 +0200

    French manpages translation update
    
    1965 translated messages, 81 fuzzy translations, 30 untranslated messages.

 man/po/fr.po |  266 ++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 168 insertions(+), 98 deletions(-)

commit f5c61fee189d3fb8f17401c49348734d75f4d55a
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Wed Apr 18 20:11:48 2012 +0200

    German dpkg translation update
    
    Update to 1032t.

 po/de.po | 1133 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 577 insertions(+), 556 deletions(-)

commit ad8db655a30b2d66ddbe0823ff75f477217f85ac
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Wed Apr 18 20:11:23 2012 +0200

    German dselect translation update
    
    Update to 270t.

 dselect/po/de.po |   98 +++++++++++++++++++++++++++---------------------------
 1 file changed, 49 insertions(+), 49 deletions(-)

commit fd35aec4fa09a13d9c21174032c121d0aceb6d6d
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 17 01:02:27 2012 +0200

    s-s-d: Fix --exec to work with relative arguments and --chdir
    
    Closes: #669047

 debian/changelog          |    2 ++
 utils/start-stop-daemon.c |    3 +++
 2 files changed, 5 insertions(+)

commit db5604d792133b2d7b6647a723ec82b1c3bc58db
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 17 00:48:13 2012 +0200

    s-s-d: Refactor path concatenation into newpath()

 utils/start-stop-daemon.c |   23 ++++++++++++++++-------
 1 file changed, 16 insertions(+), 7 deletions(-)

commit 762897ed406e0dc8cdd4eb529b04330612894207
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 14:06:25 2012 +0200

    Add x32 support to ostable, abitable and triplettable
    
    Closes: #667037

 abitable         |    1 +
 debian/changelog |    1 +
 ostable          |    1 +
 triplettable     |    1 +
 4 files changed, 4 insertions(+)

commit ad0cb5d13dc92e52f0a877b9af9839d04721a209
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 14:04:16 2012 +0200

    Dpkg::Arch: Add support for arch ABI attribute overrides
    
    For architectures where the ABI changes some attributes, like MIPS n32
    or AMD64 x32, the architecture bits do not match the ones from the cpu,
    so we need to override them.

 Makefile.am          |    6 +++++-
 abitable             |    9 +++++++++
 debian/changelog     |    1 +
 scripts/Dpkg/Arch.pm |   32 +++++++++++++++++++++++++++++++-
 4 files changed, 46 insertions(+), 2 deletions(-)

commit 01d00afaa426101553a226e60fdd7c64b98267ac
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 06:23:25 2012 +0200

    build: Line wrap dpkg_buildflags variable setting

 debian/rules |    7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit d4570062746784dd192fcc332de242532073a837
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 06:16:01 2012 +0200

    libdpkg: Simplify f_booleandefno() and f_multiarch() implementations
    
    This unifies the logic to match the rest of the dumping functions, by
    printing an optional field name, the value itself and an optional
    trailing newline. These two functions are somewhat special though,
    and the reason for the previous code layout, because they do not
    print the value if it is null and no field name has been requested.

 lib/dpkg/dump.c |   32 +++++++++++++++++++-------------
 1 file changed, 19 insertions(+), 13 deletions(-)

commit 40b271afb08530aa4ec8b7c2b111f384f885e928
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 06:08:12 2012 +0200

    libdpkg: Use pdb_lax_version_parser instead of pdb_lax_parser in parse_db_version()
    
    Missed in commit f9fac280b7805165819ece32980841b7f6a39333.

 lib/dpkg/parsehelp.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cfbcb0ac535f7970655a9aab6102f46608c39c1c
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 05:38:20 2012 +0200

    libdpkg: Use compressor() accessor instead of intermediate variables

 lib/dpkg/compress.c |   11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit 3e6ccfa7fdd693ba3f90a0bce9a512c7cb5ff42a
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 05:37:20 2012 +0200

    libdpkg: Rename compressor_get() accessor to compressor()

 lib/dpkg/compress.c |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit a27effc5603bd0e58d648e096d96eb0adafc94e2
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 04:06:00 2012 +0200

    u-a: Move altdb directory access functions near altdb code

 utils/update-alternatives.c |   64 +++++++++++++++++++++----------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

commit 2f51ccafaa591e1175335e9893adfa781858d6af
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 04:07:20 2012 +0200

    u-a: Rename filter_altdir() to altdb_filter_namelist()

 utils/update-alternatives.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9e176a05d94ab54f82ef1ce40f434b790ec96720
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 04:03:25 2012 +0200

    u-a: Move config_all() function near action handling code

 utils/update-alternatives.c |   28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 02415e5b2f1251249adc1789a9f6413013c69e99
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 04:03:25 2012 +0200

    u-a: Rename config_all() to alternative_config_all()

 utils/update-alternatives.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 538d668b477a13b27b5b3503d80f6f5057229611
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 04:58:56 2012 +0200

    u-a: Switch must_not_die boolean arguments to flags variables
    
    Using a bool as an argument for a function already taking several
    arguments is almost never a good interface, it's not clear from
    the call sites what it refers to and as such prone to confusion.

 utils/update-alternatives.c |   28 +++++++++++++++++-----------
 1 file changed, 17 insertions(+), 11 deletions(-)

commit 134791f7245e01f7d2d0a90bb8de2cda1097bdc6
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 03:58:15 2012 +0200

    u-a: Move alternative_parse_fileset() modified argument to struct altdb_context

 utils/update-alternatives.c |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 0e13a18f4768f8c0f3b3660c1c810086007cc975
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 03:42:21 2012 +0200

    u-a: Rename altdb_interrupt_parsing() to altdb_parse_stop()

 utils/update-alternatives.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d6dbd80a94abd65b65ec98064bbd5973764532d4
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 16 03:27:51 2012 +0200

    u-a: Merge display action handling into previous if/else block

 utils/update-alternatives.c |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 914322fcf132cce273fc46ee2ef15a10dddc5ee0
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sun Apr 15 22:42:21 2012 +0200

    Update German translation of manual pages
    
    Update to 2075t.

 man/po/de.po |   38 ++++++++++++++++++++------------------
 1 file changed, 20 insertions(+), 18 deletions(-)

commit a31e40a55aa8987dbfce4ac6fd53ef9fc14bcf07
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 15 09:35:50 2012 +0200

    u-a: Do not use trinary boolean operators with explicit bool result values
    
    Use explicit checks for the value we expect and just return the
    result of the boolean evaluation, or return explicitly from an
    unary conditional check.

 utils/update-alternatives.c |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 0d6a7f722890df451bd08a9545c74aa64615f1cd
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 15 08:53:18 2012 +0200

    u-a: Do not use strlen() to check for non-empty string in fileset_has_slave()
    
    We only need to check if the first character is not NUL, doing a
    strlen() is just wasteful.

 utils/update-alternatives.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a27d879194bd5c9eb339eca4a58f2d79bf7942a5
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 15 07:11:57 2012 +0200

    u-a: Fold alternative_has_current_link() into alternative_get_current()
    
    There's no more alternative_has_current_link() callers, and this way
    we avoid doing redundant operations.

 utils/update-alternatives.c |   20 ++++----------------
 1 file changed, 4 insertions(+), 16 deletions(-)

commit cda883e56c3c208329e7bbb8ab903415414304e8
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 15 01:02:13 2012 +0200

    u-a: Do not use alternative_has_current_link() in alternative_is_broken()
    
    The code is calling alternative_get_current() later on in the function,
    and that one is implicitly calling alternative_has_current_link(), so
    just defer the check to avoid doing redundant operations.

 utils/update-alternatives.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 09575e301b6f9593b6fb5c41b9a3f8a59238eef6
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 15 00:48:59 2012 +0200

    u-a: Use current_choice instead of retrieving it again

 utils/update-alternatives.c |    9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 16b6174995dadd3cb6f136603b8b2c4471b7e9c2
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 15 10:02:57 2012 +0200

    Revert "dpkg-deb: Add epoch when needed to built package names"
    
    This reverts commit a354992c67411ed10499786012701faa33ed8565.
    
    There seems to be several tools with bogus assumptions about the format
    of binary package filenames, when they should either just be using the
    filenames from .changes files, the Filename field from Packages files,
    or the arguments from the command-line. Unforuntately all those bogus
    tools need to be fixed first before this change can be considered again,
    which right now gets in the way of the upcoming dpkg release.
    
    Also the matching change in dpkg-gencontrol was missing in that commit,
    which has been...
    
    Reported-by: Sven Joachim <svenjoac@gmx.de>

 debian/changelog |    2 --
 dpkg-deb/build.c |    2 +-
 2 files changed, 1 insertion(+), 3 deletions(-)

commit b2cdea1f2c9abd3123067c04b0d04dd90b45c5f2
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 15 06:26:34 2012 +0200

    dpkg-name(1): Change example to use dpkg-deb --build instead of dpkg --build

 man/dpkg-name.1 |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3d5278b47bc6aa9b1f665faab0328a39b03b18c4
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 12 22:46:05 2012 +0200

    u-a: Move alternative loading logic before handling any action
    
    This moves all setup code before all actions are executed which will
    allow further refactoring, no behaviour change should happen due to
    this commit though.

 utils/update-alternatives.c |   34 +++++++++++++++++++++++-----------
 1 file changed, 23 insertions(+), 11 deletions(-)

commit d22f160a5982e70c6fc9c7f6d9658630131ddbf0
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Apr 12 22:46:05 2012 +0200

    u-a: Refactor alternative update logic into alternative_update()

 utils/update-alternatives.c |  101 +++++++++++++++++++++++--------------------
 1 file changed, 54 insertions(+), 47 deletions(-)

commit 451b85ed51a7320d359b9235b1ed9e308a4936f8
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 10 06:32:34 2012 +0200

    u-a: Refactor mode selection into alternative_select_mode()

 utils/update-alternatives.c |   60 ++++++++++++++++++++++++-------------------
 1 file changed, 33 insertions(+), 27 deletions(-)

commit 441f04dcaa91f6e59ff8217f5c98b0e8a116a73c
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 10 06:18:35 2012 +0200

    u-a: Move alt_map_obj setup logic into alternative_set_selections()

 utils/update-alternatives.c |   19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit c78e21281a15ca218182b18c3c891df901403e89
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 10 06:14:37 2012 +0200

    u-a: Refactor get selections into alternative_get_selections()

 utils/update-alternatives.c |   41 +++++++++++++++++++++++------------------
 1 file changed, 23 insertions(+), 18 deletions(-)

commit 1fcb0305c9378eb461db5a5a1b930270c6773824
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 14 07:11:08 2012 +0200

    build: Switch from --without- to --disable- for programs to be built
    
    The standard way to select if a specific component of the build is to
    be enabled or disabled is through --enable-foo and --disable-foo
    options, --with-foo and --without-foo are used for selecting external
    modules to be used.

 Makefile.am       |    2 +-
 README            |   10 +++++-----
 configure.ac      |    8 ++++----
 m4/dpkg-build.m4  |   22 +++++++++++-----------
 man/Makefile.am   |    6 +++---
 src/help.c        |    2 +-
 utils/Makefile.am |   10 +++++-----
 7 files changed, 30 insertions(+), 30 deletions(-)

commit c627c85d54a292aea3dc083d8871783cb0825806
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 14 04:33:14 2012 +0200

    dpkg-deb: Do not arch-qualify package name on output
    
    There's no point in arch-qualifying the package name when printing it
    on build from dpkg-deb, as it does not need to be distinguished and the
    filename is informative and unique enough already.

 dpkg-deb/build.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a354992c67411ed10499786012701faa33ed8565
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 14 04:26:52 2012 +0200

    dpkg-deb: Add epoch when needed to built package names
    
    The upstream part of the version can already contain colons, so there's
    no reason not to add it for the epoch, and this allows to store on the
    same directory packages with same version but different epoch.
    
    Closes: #551323

 debian/changelog |    2 ++
 dpkg-deb/build.c |    2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit a1f91e76a857ba48cd21d9b5ded3386e4a788990
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Fri Apr 13 21:50:09 2012 +0200

    Fix ordering of languages

 debian/changelog |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ff134bdae7dc7fc9dae435d81b3604bc4e082b1b
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Fri Apr 13 21:49:27 2012 +0200

    Correct spacing around … where necessary

 man/po/de.po |   76 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 38 insertions(+), 38 deletions(-)

commit b59adeffe194d25444adc1f433367fb6b354797c
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Mon Apr 9 21:56:51 2012 +0200

    Update German translation of manual pages
    
    Update to 2074t.

 man/po/de.po |  103 +++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 58 insertions(+), 45 deletions(-)

commit b7883f7836bbe7a329570a4fe83284bbc8829958
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 9 05:35:08 2012 +0200

    dpkg-split: Ignore minor format version number changes
    
    This unifies the behaviour with the deb binary format.

 debian/changelog  |    2 ++
 dpkg-split/info.c |    2 +-
 man/deb-split.5   |   13 +++++++------
 3 files changed, 10 insertions(+), 7 deletions(-)

commit 836d2e5c36efb5f7eacc718bec1d72b288960ea9
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 9 02:49:51 2012 +0200

    dpkg-deb: Always build new format by default
    
    Remove possibility to change default deb format through a macro when
    building the source.

 dpkg-deb/dpkg-deb.h |    5 -----
 dpkg-deb/main.c     |    4 +++-
 2 files changed, 3 insertions(+), 6 deletions(-)

commit 1faa57aa18fbd23ae319c76ea20bae64954285bf
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 8 05:06:05 2012 +0200

    dselect: Print unknown value in internerr() message
    
    Missed in commit 10f28a994805cd6f56d861dd81c9ba78612e5a43.

 dselect/pkgsublist.cc |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d5682c6656c5b804c4a32f625dd4f672e71e07db
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 8 05:04:48 2012 +0200

    Use implicit __func__ in internerr() instead of explicit literal strings

 dselect/pkgcmds.cc    |    9 ++++-----
 dselect/pkgdisplay.cc |   13 +++++--------
 dselect/pkglist.cc    |   14 ++++++--------
 dselect/pkgtop.cc     |    2 +-
 lib/dpkg/buffer.c     |   12 ++++--------
 lib/dpkg/ehandle.c    |    6 +++---
 lib/dpkg/ehandle.h    |    7 ++++---
 src/depcon.c          |    3 +--
 8 files changed, 28 insertions(+), 38 deletions(-)

commit 3ce18b7b558a09a9e26b8e54c686c00b36c34b57
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 8 05:00:35 2012 +0200

    libdpkg: Define a __func__ fallback for old C++ modes
    
    If we are not using C++11, then define __func__ as __PRETTY_FUNCTION__
    if using GCC, or to the more widely available __FUNCTION__ otherwise.
    
    We do not bother with fallbacks for C because configure already makes
    sure the compiler has a working __func__ identifier.

 lib/dpkg/macros.h |   11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 364133dcd2ba8eaa7b25fee8017dcaf279b523a6
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Apr 7 20:27:02 2012 +0200

    Use a dot or ellipsis where appropriate instead of ..
    
    Reported-by: Helge Kreutzmann <debian@helgefjell.de>

 doc/triggers.txt      |    2 +-
 dselect/main.cc       |    2 +-
 man/dpkg-gensymbols.1 |    6 +++---
 man/dselect.1         |    4 ++--
 src/processarc.c      |    2 +-
 src/statdb.c          |    2 +-
 6 files changed, 9 insertions(+), 9 deletions(-)

commit c13a013fd8778f9f558bedfb532c011dcb304394
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 26 05:47:43 2012 +0200

    Switch deb format version handling to use the new deb-version module
    
    This simplifies the parsing and checking and avoids having to treat the
    format versions as floats, which can cause parse errors depending on the
    locale (this only affected the old deb format).

 TODO                    |    1 -
 debian/changelog        |    3 ++
 dpkg-deb/extract.c      |   71 ++++++++++++++++++++++++++---------------------
 dpkg-split/dpkg-split.h |    5 +++-
 dpkg-split/info.c       |   17 ++++++++----
 dpkg-split/queue.c      |    6 +++-
 6 files changed, 62 insertions(+), 41 deletions(-)

commit a44743e16e53c3ec812d48e0579344f447cf72dd
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 26 05:10:57 2012 +0200

    libdpkg: New deb format version module

 lib/dpkg/Makefile.am          |    2 ++
 lib/dpkg/deb-version.c        |   58 ++++++++++++++++++++++++++++++++++
 lib/dpkg/deb-version.h        |   37 ++++++++++++++++++++++
 lib/dpkg/test/.gitignore      |    1 +
 lib/dpkg/test/Makefile.am     |    1 +
 lib/dpkg/test/t-deb-version.c |   69 +++++++++++++++++++++++++++++++++++++++++
 po/POTFILES.in                |    1 +
 7 files changed, 169 insertions(+)

commit 33cccfc40ec4e199df77d8b9a835898e80fb3bfb
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 6 06:44:58 2012 +0200

    s-s-d: Make pid_is_cmd() on the Hurd match on both argv[0] and argv[1]
    
    This is needed to be able to handle the cases of binaries and
    interpreted scripts, which cannot be distinguished reliably otherwise.
    
    Reported-by: Mats Erik Andersson <mats.andersson@gisladisker.se>

 debian/changelog          |    3 +++
 utils/start-stop-daemon.c |   22 +++++++++++++++++++---
 2 files changed, 22 insertions(+), 3 deletions(-)

commit 89fe6c069aba567649ed43fc9ab36f6e42840781
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 6 06:42:00 2012 +0200

    s-s-d: Make all pid_is_exec() implementations get a struct stat
    
    This unifies the API across ports, simplifying the code and making it
    safer against changes in pid_is_cmd(), and makes it resilient against
    symlinks.
    
    This implies removing the generic fallback function that was only being
    used on the Hurd, replacing it with an explicit implementation, and
    modifying the KVM implementation to match on device and inode numbers
    instead of the filenames.

 debian/changelog          |    3 +++
 utils/start-stop-daemon.c |   48 ++++++++++++++++++++++-----------------------
 2 files changed, 26 insertions(+), 25 deletions(-)

commit b6eca74a9592279528fdbe11e091e7f687c307b7
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Apr 6 04:43:33 2012 +0200

    Use submitter email address

 debian/changelog |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dcd1de01c47a4531eff58969955568f679a88563
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 3 07:18:16 2012 +0200

    Update usertags

 debian/usertags |    2 ++
 1 file changed, 2 insertions(+)

commit 71be5743d81ecd6514d7960f4b4b2d73c8040850
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Tue Apr 3 19:22:34 2012 +0200

    Update German translation of manual pages
    
    Use … instead of ... (everything is UTF-8 now)

 man/po/de.po |  148 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 74 insertions(+), 74 deletions(-)

commit 386033e2e3c95cd139a0325a94293dcab278651e
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Tue Apr 3 19:12:04 2012 +0200

    Update German translation of manual pages and update/correct
    debian/changelog
    
    Update to 2072t.

 debian/changelog |   10 +-
 man/po/de.po     |  653 +++++++++++++++++++++++++++---------------------------
 2 files changed, 338 insertions(+), 325 deletions(-)

commit 2d468a6f5c4768f7d91f305d23f6b928e06f22b7
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Tue Apr 3 19:05:20 2012 +0200

    Fix a typo in man/dpkg-buildflags.1.

 debian/changelog      |    3 +++
 man/dpkg-buildflags.1 |    2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 52ce9d90e663cb5b138055fb9e01f118202202da
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Apr 3 08:24:29 2012 +0200

    dpkg-source(1): improve section about fuzz being forbidden
    
    The minimal version information was completely irrelevant, as
    dpkg-source's internal implementation has always used "patch -F 0"
    to apply patches.
    
    Also reword the sentence to be more readable and on its own paragraph.

 man/dpkg-source.1 |   10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 7a3f3f94c895aa1e0e7b10dc1c8ffca698427044
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 3 05:50:05 2012 +0200

    dpkg-query(1): Document multiple paragraph command output order
    
    These will preserve the order of the packages specified on the argument
    list.

 debian/changelog |    2 ++
 man/dpkg-query.1 |   12 +++++++-----
 2 files changed, 9 insertions(+), 5 deletions(-)

commit 5be7ef240c2f47fde8ae55a60e611d4199fa5c54
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 3 05:25:38 2012 +0200

    dpkg-buildflags: Remove redundant -Wformat-security from default flags
    
    This option is already implied by -Werror=format-security.
    
    Closes: #664964
    
    Suggested-by: Peter Eisentraut <petere@debian.org>

 debian/changelog              |    3 +++
 man/dpkg-buildflags.1         |    4 ++--
 scripts/Dpkg/Vendor/Debian.pm |    4 ++--
 3 files changed, 7 insertions(+), 4 deletions(-)

commit b91478e1cf22b409fd0f584446c1f72882bc8743
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 3 04:38:16 2012 +0200

    dpkg-source(1): Document that patches are expected to apply w/o any fuzz
    
    Closes: #666752
    
    Based-on-patch-by: Luca Capello <gismo@debian.org>

 debian/changelog  |    3 +++
 man/dpkg-source.1 |    7 +++++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 15a60e22a9a42fea7d670e359a93b58188f3184b
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Apr 3 03:53:58 2012 +0200

    man: Remove author sections and comments
    
    These are already listed in the copyright comment header.
    
    Missed in commit 95ea2221c63137e50b50761d9b91ac43ebee3a09.

 man/dpkg-architecture.1   |    6 ------
 man/dpkg-checkbuilddeps.1 |    6 ------
 man/dpkg-divert.8         |    6 ------
 man/dpkg-source.1         |    1 -
 4 files changed, 19 deletions(-)

commit 07a2d8fe8bd154a0dfffe28d3ce81c68b9b86f30
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 2 07:18:28 2012 +0200

    Print errors while reading file list files on a new line
    
    Closes: #552517

 debian/changelog    |    2 ++
 lib/dpkg/progress.c |    9 ++++++---
 src/filesdb.c       |    1 -
 3 files changed, 8 insertions(+), 4 deletions(-)

commit 58d868951d927cc27128134b7ede34a30fa78cfd
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 2 03:30:58 2012 +0200

    Move pkg_infodb_get_dir() and pkg_infodb_get_file() to infodb-format.c
    
    These functions have never belonged in the filesdb module, but were put
    there temporarily for convenience.

 src/filesdb.c       |   41 -----------------------------------------
 src/filesdb.h       |    4 ----
 src/help.c          |    1 +
 src/infodb-format.c |   32 ++++++++++++++++++++++++++++++++
 src/infodb.h        |    3 +++
 src/trigproc.c      |    1 +
 6 files changed, 37 insertions(+), 45 deletions(-)

commit 8e0c0d33d4cc2a91f1b8214ac1db894129f1d10a
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 2 03:50:09 2012 +0200

    Rename pkgadmin*() to pkg_infodb_get_*()

 src/filesdb.c        |   17 +++++++++--------
 src/filesdb.h        |    6 +++---
 src/help.c           |    4 ++--
 src/infodb-access.c  |    4 ++--
 src/infodb-upgrade.c |    6 +++---
 src/processarc.c     |    8 ++++----
 src/querycmd.c       |    2 +-
 src/remove.c         |    8 ++++----
 src/trigproc.c       |    8 +++++---
 9 files changed, 33 insertions(+), 30 deletions(-)

commit d803a15517c39e6d95480f92807d7f6eda47d705
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Apr 2 03:57:36 2012 +0200

    Change pkgadmindir() to initialize infodir itself
    
    This will guarantee there's never a time a call site can get NULL
    from the function, and detangles it from the in-core filesdb
    initialization.

 src/filesdb.c |   13 ++++---------
 1 file changed, 4 insertions(+), 9 deletions(-)

commit e754765a6866050f8bb01f58a870e87181bc2bef
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Apr 2 19:09:40 2012 +0200

    French translation update for manual pages
    
    1903 translated messages, 121 fuzzy translations, 52 untranslated messages.

 man/po/fr.po |  259 ++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 178 insertions(+), 81 deletions(-)

commit 45fe25ed19dbd04bb42dfb5d7043570fe0e1417c
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Apr 1 14:37:31 2012 +0200

    man: improve French translation (partial review only)

 man/po/fr.po |   99 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 50 insertions(+), 49 deletions(-)

commit ad37fc9b564a3cabccbf8b169d461695483edad8
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Apr 1 13:37:26 2012 +0200

    Fix format string in French translation causing a build failure
    
    Regression introduced in commit d763efc9848c3c58cd6d5387f04954bfbe46205c.

 man/po/fr.po |  262 ++++++++++++++++------------------------------------------
 1 file changed, 71 insertions(+), 191 deletions(-)

commit c5b7a167490c65019740f77e27e69582557bc2d9
Merge: d763efc 38f8d60
Author: Christian PERRIER <bubulle@debian.org>
Date:   Sun Apr 1 12:03:41 2012 +0200

    Merge branch 'master' of ssh://git.debian.org/git/dpkg/dpkg

commit 38f8d606fe1c51c4241c9fd614b8a4010711b2e7
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 1 05:59:06 2012 +0200

    doc: Use the C file as source instead of the lex file
    
    Doxygen does not seem to handle lex source files nicely, but because the
    functions to document are marked in the header anyway, only those should
    end up in the final documentation.

 doc/Doxyfile.in |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit adf22adf156c7c81bc42eb59d4bf917a8e96ccf5
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 1 06:07:42 2012 +0200

    libdpkg: Add JavaDoc module definitions
    
    Define different modules so that the functions are correctly grouped and
    shown in the documentation.

 lib/dpkg/ar.h           |    8 ++++++++
 lib/dpkg/arch.h         |    8 ++++++++
 lib/dpkg/atomic-file.h  |    8 ++++++++
 lib/dpkg/buffer.h       |    8 ++++++++
 lib/dpkg/command.h      |    8 ++++++++
 lib/dpkg/compress.h     |    8 ++++++++
 lib/dpkg/debug.h        |    8 ++++++++
 lib/dpkg/dir.h          |    8 ++++++++
 lib/dpkg/dpkg-db.h      |    8 ++++++++
 lib/dpkg/dpkg.h         |   17 +++++++++++++++++
 lib/dpkg/ehandle.h      |    8 ++++++++
 lib/dpkg/error.h        |    8 ++++++++
 lib/dpkg/fdio.h         |    8 ++++++++
 lib/dpkg/file.h         |    8 ++++++++
 lib/dpkg/glob.h         |    8 ++++++++
 lib/dpkg/i18n.h         |    8 ++++++++
 lib/dpkg/macros.h       |   13 +++++++++++++
 lib/dpkg/namevalue.h    |    8 ++++++++
 lib/dpkg/options.h      |    8 ++++++++
 lib/dpkg/parsedump.h    |    8 ++++++++
 lib/dpkg/path.h         |    8 ++++++++
 lib/dpkg/pkg-array.h    |    8 ++++++++
 lib/dpkg/pkg-format.h   |    8 ++++++++
 lib/dpkg/pkg-list.h     |    8 ++++++++
 lib/dpkg/pkg-queue.h    |    8 ++++++++
 lib/dpkg/pkg-show.h     |    8 ++++++++
 lib/dpkg/pkg-spec.h     |    8 ++++++++
 lib/dpkg/pkg.h          |    8 ++++++++
 lib/dpkg/progname.h     |    8 ++++++++
 lib/dpkg/progress.h     |    8 ++++++++
 lib/dpkg/string.h       |    8 ++++++++
 lib/dpkg/subproc.h      |    8 ++++++++
 lib/dpkg/tarfn.h        |    8 ++++++++
 lib/dpkg/test.h         |    8 ++++++++
 lib/dpkg/trigdeferred.h |    8 ++++++++
 lib/dpkg/triglib.h      |    8 ++++++++
 lib/dpkg/varbuf.h       |    8 ++++++++
 lib/dpkg/version.h      |    8 ++++++++
 38 files changed, 318 insertions(+)

commit 92ab877a1eebbe3777978042be07cf9ebc14fe1b
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 1 08:37:54 2012 +0200

    libdpkg: Move compression command name macros from header to C file
    
    These are private macros, so there's no point in exporting them.

 lib/dpkg/compress.c |    6 ++++++
 lib/dpkg/compress.h |    4 ----
 2 files changed, 6 insertions(+), 4 deletions(-)

commit ef68aa87aa9e76a7c518d89ea94007919828cd8d
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 1 04:43:05 2012 +0200

    libdpkg: Name pkgset variables in pkg_db_find_set() as setp and new_set

 lib/dpkg/pkg-db.c |   25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

commit b7ec9d8124449188686600c77aad912abea5cda0
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Apr 1 04:41:38 2012 +0200

    libdpkg: Fix typo and punctuation in comment

 lib/dpkg/pkg-db.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 430bcfdb9ec8d755aadea41c1da16caca7e9bfce
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 31 23:33:15 2012 +0200

    Rename pif variables to pkgbin

 lib/dpkg/dpkg-db.h    |    4 +--
 lib/dpkg/dump.c       |   90 ++++++++++++++++++++++++-------------------------
 lib/dpkg/fields.c     |   64 +++++++++++++++++++----------------
 lib/dpkg/parsedump.h  |    4 +--
 lib/dpkg/pkg-format.c |    6 ++--
 lib/dpkg/pkg-format.h |    2 +-
 src/archives.c        |   16 ++++-----
 src/help.c            |    4 +--
 8 files changed, 97 insertions(+), 93 deletions(-)

commit 067ac6ba868ef2fd37155009a49eb7e5bf6995dd
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 31 23:25:48 2012 +0200

    Rename pigp variables to pkg

 lib/dpkg/dpkg-db.h   |    2 -
 lib/dpkg/dump.c      |  130 ++++++++++++++++++++++++++------------------------
 lib/dpkg/fields.c    |   62 ++++++++++++------------
 lib/dpkg/parsedump.h |    2 +-
 lib/dpkg/pkg-db.c    |   26 +++++-----
 src/archives.c       |   10 ++--
 6 files changed, 116 insertions(+), 116 deletions(-)

commit 6431c053b78533afafb1193e1dc66391580e6eaf
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 31 21:55:05 2012 +0200

    Use cmp() == 0 instead of !cmp()

 dpkg-deb/extract.c        |    6 +++---
 dpkg-deb/info.c           |    2 +-
 dpkg-split/queue.c        |    2 +-
 dpkg-split/split.c        |    2 +-
 dselect/basecmds.cc       |    2 +-
 dselect/bindings.cc       |    4 ++--
 dselect/pkgcmds.cc        |    2 +-
 lib/dpkg/fields.c         |    2 +-
 lib/dpkg/options.c        |   13 ++++++++-----
 lib/dpkg/parse.c          |    2 +-
 lib/dpkg/triglib.c        |   10 +++++-----
 lib/dpkg/trignote.c       |    2 +-
 src/configure.c           |   10 +++++-----
 src/filesdb.c             |    3 ++-
 src/main.c                |    5 +++--
 src/processarc.c          |    4 ++--
 src/remove.c              |    9 +++++----
 src/trigcmd.c             |    4 ++--
 src/trigproc.c            |    2 +-
 utils/start-stop-daemon.c |    2 +-
 20 files changed, 47 insertions(+), 41 deletions(-)

commit 8ae0d0184d3f15ee1edc564d074f682a50f51730
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Apr 1 09:49:16 2012 +0200

    libdpkg: fix some typos in comments

 lib/dpkg/parse.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d763efc9848c3c58cd6d5387f04954bfbe46205c
Author: Christian PERRIER <bubulle@debian.org>
Date:   Fri Mar 23 07:49:30 2012 +0100

    French translation update
    
    1881 translated messages, 138 fuzzy translations, 57 untranslated messages.

 man/po/fr.po |  254 ++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 168 insertions(+), 86 deletions(-)

commit e79afa8cc117460ccb0703f2372e5303c58ede2d
Author: Christian PERRIER <bubulle@debian.org>
Date:   Fri Mar 23 07:40:47 2012 +0100

    French translation update for dselect
    
    Update to 270t

 debian/changelog |    1 +
 dselect/po/fr.po |   10 ++++++----
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 314cce28edb12df93024ff73784fc170a46dd2ac
Author: Christian PERRIER <bubulle@debian.org>
Date:   Fri Mar 23 07:39:02 2012 +0100

    French translation update for scripts
    
    Update to 518t

 debian/changelog |    3 ++
 scripts/po/fr.po |  133 +++++++++++++++++++++++++++++-------------------------
 2 files changed, 74 insertions(+), 62 deletions(-)

commit 1a7d184fc65b91fc155d2724aad73b59aea8b9c8
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 31 20:30:54 2012 +0200

    dpkg-divert: Check all dpkg-divert filename arguments
    
    This makes sure the filename is absolute and does not contain newlines.
    
    Closes: #21722

 debian/changelog        |    2 ++
 src/divertcmd.c         |   20 ++++++++++++++++----
 src/t/100_dpkg_divert.t |    8 +++++++-
 3 files changed, 25 insertions(+), 5 deletions(-)

commit 9305742ea75ee9b1fd58abf68c081b72692d3632
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 31 20:29:09 2012 +0200

    dpkg-divert: Use call_divert_badusage() to test for single arguments

 src/t/100_dpkg_divert.t |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit d3d0d1275b32972e23d9b6476335486576dc7be2
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 31 20:04:48 2012 +0200

    dpkg-divert: Only check for --divert being absolute when setting it
    
    There's no point in checking it at --add time because even if it was
    not specified and it got constructed from filename, it can never be
    non-absolute as filename has already been checked for that.

 src/divertcmd.c         |    4 ++--
 src/t/100_dpkg_divert.t |    5 +++--
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 58d27d80a71a7b8e346e41076a8b552ba8f9de53
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 31 05:55:56 2012 +0200

    Rename file iterator variables to iter

 src/filesdb.c  |   54 +++++++++++++++++++++++++++++++-----------------------
 src/filesdb.h  |    8 ++++----
 src/querycmd.c |    8 ++++----
 src/statcmd.c  |   16 ++++++++--------
 4 files changed, 47 insertions(+), 39 deletions(-)

commit 91b4afa50787ee56bb487ea82c03685bf6b0cf98
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 31 05:49:02 2012 +0200

    Rename iterfiles*() functions to files_db_iter_*()

 src/divertcmd.c |   12 ++++++------
 src/filesdb.c   |   12 +++++++++---
 src/filesdb.h   |    6 +++---
 src/querycmd.c  |    6 +++---
 src/statcmd.c   |   12 ++++++------
 5 files changed, 27 insertions(+), 21 deletions(-)

commit c489aa1327029b29e2fcb200f0ee977e2d665056
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 30 21:12:44 2012 +0200

    dpkg-query: Use literal format in printf call to allow compiler checks

 src/querycmd.c |   36 +++++++++++++++++++++---------------
 1 file changed, 21 insertions(+), 15 deletions(-)

commit ada8ee446e8b48d24bbf93aa446468fd9c4a76c2
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 30 22:42:00 2012 +0200

    Rename informativeversion() to dpkg_version_is_informative()

 dselect/pkglist.cc   |    4 ++--
 dselect/pkgtop.cc    |    2 +-
 lib/dpkg/dump.c      |    6 ++++--
 lib/dpkg/libdpkg.map |    2 +-
 lib/dpkg/parsehelp.c |    2 +-
 lib/dpkg/pkg.c       |    4 ++--
 lib/dpkg/version.c   |    2 +-
 lib/dpkg/version.h   |    2 +-
 src/configure.c      |    2 +-
 src/depcon.c         |    2 +-
 src/enquiry.c        |    9 ++++++---
 11 files changed, 21 insertions(+), 16 deletions(-)

commit 538f2581689bf17193e23242cfc7bcd151d0993a
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 30 22:42:00 2012 +0200

    Rename blankversion() to dpkg_version_blank()

 lib/dpkg/fields.c         |    2 +-
 lib/dpkg/libdpkg.map      |    2 +-
 lib/dpkg/pkg.c            |    4 ++--
 lib/dpkg/test/t-version.c |    6 +++---
 lib/dpkg/version.c        |    2 +-
 lib/dpkg/version.h        |    2 +-
 src/enquiry.c             |    4 ++--
 src/processarc.c          |    4 ++--
 src/remove.c              |    4 ++--
 9 files changed, 15 insertions(+), 15 deletions(-)

commit 607a75a63214059dcbc3159c0f9ad19871d81085
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 30 19:28:33 2012 +0200

    dpkg: Pass filenamenode to pkg_files_add_file() instead of string and flags

 src/filesdb.c |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit d922ead5fafd1447a0c97f7725b988f3f3fe064e
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 28 06:10:56 2012 +0200

    libdpkg: Rename pkgiterator variables from i to iter

 lib/dpkg/pkg-db.c |   41 ++++++++++++++++++++++-------------------
 1 file changed, 22 insertions(+), 19 deletions(-)

commit aa68e845aef99d735c2c1da8651deb3fb0016086
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 28 06:01:59 2012 +0200

    u-a: Rename alternative_can_replace_path to alternative_path_can_remove

 utils/update-alternatives.c |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e7eccb30834f215e083c982c284521158d0878fb
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 30 19:58:07 2012 +0200

    Fix coding-style

 doc/coding-style.txt                   |    4 ++--
 dpkg-deb/build.c                       |    6 +++---
 dpkg-deb/dpkg-deb.h                    |    2 +-
 dpkg-deb/main.c                        |    2 +-
 dselect/basecmds.cc                    |    6 ++++--
 dselect/dselect.h                      |    4 ++--
 dselect/pkglist.cc                     |    8 ++++----
 lib/dpkg/dpkg.h                        |    4 ++--
 lib/dpkg/dump.c                        |    2 +-
 lib/dpkg/mlib.c                        |    4 +++-
 lib/dpkg/options.c                     |   14 ++++++++-----
 lib/dpkg/options.h                     |    2 +-
 scripts/t/200_Dpkg_Shlibs/patterns.cpp |   20 +++++++++----------
 src/filesdb.c                          |   12 +++++------
 src/querycmd.c                         |    2 +-
 src/statdb.c                           |   10 +++++-----
 utils/start-stop-daemon.c              |    2 +-
 utils/update-alternatives.c            |   34 +++++++++++++++++++-------------
 18 files changed, 76 insertions(+), 62 deletions(-)

commit c7b2fdd7f0459cae9159f194181338102beecd81
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 25 17:44:41 2012 +0200

    u-a: Check name and link arguments for all commands
    
    Closes: #665050

 debian/changelog            |    2 ++
 utils/update-alternatives.c |   29 +++++++++++++++++++++++------
 2 files changed, 25 insertions(+), 6 deletions(-)

commit dea55367975a289fe8aecc828976837824ae77b2
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 24 15:36:38 2012 +0100

    libdpkg: Refactor ar member check into new dpkg_ar_member_is_illegal()

 dpkg-deb/extract.c   |    2 +-
 dpkg-split/info.c    |    4 ++--
 lib/dpkg/ar.c        |    6 ++++++
 lib/dpkg/ar.h        |    2 ++
 lib/dpkg/libdpkg.map |    1 +
 5 files changed, 12 insertions(+), 3 deletions(-)

commit c0d7a6552b4c4adedb9a69ff0530c0d062c3e961
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 22 18:30:44 2012 +0100

    dpkg-deb: Do not look for newline beyond the buffer in read_line()
    
    Depending on how the stack grows read_line() could go beyond the end
    of the buffer when looking for a newline.

 debian/changelog   |    3 +++
 dpkg-deb/extract.c |    2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit c49aec380adb025f218f89366b775ef6166e7318
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Mar 20 10:07:53 2012 +0100

    dselect: Use a new attribute array instead of separate attribute variables

 dselect/basecmds.cc |    8 ++++----
 dselect/baselist.cc |   55 +++++++++++++++++++++------------------------------
 dselect/dselect.h   |   41 ++++++++++++++++++--------------------
 dselect/methlist.cc |   10 +++++-----
 dselect/pkginfo.cc  |    4 ++--
 dselect/pkgtop.cc   |   20 +++++++++----------
 6 files changed, 62 insertions(+), 76 deletions(-)

commit 7abdff8709a638213c477754dd6ddf61dfe6fe01
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 21 20:43:38 2012 +0100

    dselect: Use max() to compute total_width

 dselect/baselist.cc |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit cb059163c2d975c2a3a8ac23cc7900ac325fe20b
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 21 20:41:26 2012 +0100

    dselect: Move total_width initialization from derived classes to baselist

 dselect/baselist.cc   |    3 +++
 dselect/methlist.cc   |    4 ----
 dselect/pkgdisplay.cc |    3 ---
 3 files changed, 3 insertions(+), 7 deletions(-)

commit c594b0dc8ae68913e8a391feabc77a7a34d91ce3
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Mar 20 09:48:51 2012 +0100

    dselect: Move gap_width from derived classes to baselist

 dselect/baselist.cc   |    2 ++
 dselect/dselect.h     |    1 +
 dselect/methlist.cc   |    1 -
 dselect/method.h      |    2 +-
 dselect/pkgdisplay.cc |    2 --
 dselect/pkglist.h     |    2 +-
 6 files changed, 5 insertions(+), 5 deletions(-)

commit 5eca0227ae5d148cc2cbfcbd3404b87c7ad62c52
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 21 04:30:10 2012 +0100

    dpkg: Refactor code into new clear_deconfigure_queue() function

 src/archives.c   |   12 ++++++++++++
 src/archives.h   |    1 +
 src/processarc.c |   10 ++--------
 3 files changed, 15 insertions(+), 8 deletions(-)

commit f46879826a2133e33aca84071420980075ff549f
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 21 04:25:55 2012 +0100

    dpkg: Move comment and assignment just before its related code block
    
    The related code blocks got split by the introduction of code inbetween
    in commit e5bf4b7412bb2a4e5ff33f128c3cb8dcd96fcfdb.

 src/processarc.c |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 989332906cfee13d7070d81c20445ff879d1381e
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Sep 25 03:47:41 2011 +0200

    dpkg: Rename <foo> to «pathname» in comments to not confuse doxygen
    
    Doxygen considers <word> as HTML markup text, and issues warnings on
    unknown keywords.

 src/cleanup.c |   22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit f5896a20bfbdb4dcb93d2aec0d350507d44e8445
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 21 18:13:08 2012 +0100

    Mark enum and struct member comments as doxygen descriptions

 dpkg-split/dpkg-split.h |    4 ++--
 lib/dpkg/dpkg-db.h      |   37 +++++++++++++++++++------------------
 lib/dpkg/parsedump.h    |    2 +-
 lib/dpkg/pkg-spec.h     |    6 +++---
 lib/dpkg/tarfn.h        |   24 ++++++++++++++++--------
 lib/dpkg/trigdeferred.h |    2 +-
 lib/dpkg/triglib.h      |    8 +++++---
 lib/dpkg/varbuf.h       |    2 +-
 src/archives.h          |    2 +-
 src/filesdb.h           |   36 +++++++++++++++++++-----------------
 src/main.h              |    6 +++---
 11 files changed, 71 insertions(+), 58 deletions(-)

commit f2ccc3a00f241afdf030718758a3ce0cb7e7428f
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 21 04:19:02 2012 +0100

    doc: Use Unicode box drawing characters instead of ASCII art

 doc/triggers.txt |   61 +++++++++++++++++++++++++++---------------------------
 1 file changed, 30 insertions(+), 31 deletions(-)

commit 50e40bc7a44f02ca30b582b259a8307f95c1d38c
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 21 04:17:50 2012 +0100

    Do not use `' quote pairs for non-translatable strings

 doc/triggers.txt                       |  133 ++++++++++++++++----------------
 dselect/methods/Debian/Dselect/Ftp.pm  |    4 +-
 dselect/methods/disk/install           |    2 +-
 dselect/methods/disk/setup             |   56 +++++++-------
 dselect/methods/floppy/desc.floppy     |    2 +-
 dselect/methods/multicd/README.multicd |   30 +++----
 dselect/methods/multicd/setup          |   58 +++++++-------
 dselect/pkgdepcon.cc                   |    4 +-
 dselect/pkglist.h                      |    6 +-
 src/archives.c                         |    8 +-
 src/cleanup.c                          |    3 +-
 src/help.c                             |   11 +--
 src/processarc.c                       |   20 ++---
 src/remove.c                           |   41 +++++-----
 14 files changed, 190 insertions(+), 188 deletions(-)

commit 10f28a994805cd6f56d861dd81c9ba78612e5a43
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Mar 20 10:34:00 2012 +0100

    Clarify internerr() messages
    
    Print the bogus value that triggered the internal error, or simply
    reword unclear messages.

 dselect/main.cc       |    7 +++++--
 dselect/pkgcmds.cc    |   12 ++++++++----
 dselect/pkgdepcon.cc  |    2 +-
 dselect/pkgdisplay.cc |   13 ++++++++-----
 dselect/pkglist.cc    |   14 ++++++++------
 dselect/pkgtop.cc     |    2 +-
 lib/dpkg/compress.c   |    2 +-
 lib/dpkg/parse.c      |    2 +-
 lib/dpkg/pkg-db.c     |    2 +-
 lib/dpkg/varbuf.c     |    4 ++--
 src/help.c            |    3 ++-
 src/main.c            |    2 +-
 12 files changed, 39 insertions(+), 26 deletions(-)

commit 5e533730a245184145c794e04813a90ef5d20664
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Wed Mar 21 18:17:20 2012 +0100

    German dselect translation update
    
    Update to 270t.

 debian/changelog |    3 +++
 dselect/po/de.po |   10 +++++-----
 2 files changed, 8 insertions(+), 5 deletions(-)

commit d14feeda6dcfe9aa2f3e6c40f956f75c6a0e2ada
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Wed Mar 21 18:11:22 2012 +0100

    German dpkg translation update
    
    Update to 1027t.

 debian/changelog |    1 +
 po/de.po         |   67 +++++++++++++++++++++++++-----------------------------
 2 files changed, 32 insertions(+), 36 deletions(-)

commit f5f018750e080a6f0472b91f347a35025b664e3a
Author: Christian PERRIER <bubulle@debian.org>
Date:   Tue Mar 20 20:03:57 2012 +0100

    Update French translation of program messages
    
    Update to 1027t.

 debian/changelog |    3 +-
 po/fr.po         |  208 ++++++++++++++++++++++++++++++------------------------
 2 files changed, 116 insertions(+), 95 deletions(-)

commit bf825bc4316249721e2046a9b7fe8d725cd996e7
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 19 09:54:13 2012 +0100

    Bump version to 1.16.3

 debian/changelog |    6 ++++++
 1 file changed, 6 insertions(+)

commit ec47fffa942e98dac325a257aa61fc9277fff77f
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 19 07:27:54 2012 +0100

    Release 1.16.2

 debian/changelog |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6e9873756b9c162cd94b4d00cbfe5503a6ae46f8
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Mar 13 17:57:25 2012 +0100

    Update changelog entries

 debian/changelog |    8 ++++++++
 1 file changed, 8 insertions(+)

commit 1d345adc0d88657a10c070c85a6c02e8346ec787
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 19 07:27:01 2012 +0100

    Regenerate .pot files and merge .po files with them

 dselect/po/bs.po        |  177 +-
 dselect/po/ca.po        |  190 +-
 dselect/po/cs.po        |  190 +-
 dselect/po/da.po        |  190 +-
 dselect/po/de.po        |  192 +-
 dselect/po/dselect.pot  |  179 +-
 dselect/po/el.po        |  186 +-
 dselect/po/es.po        |  190 +-
 dselect/po/et.po        |  181 +-
 dselect/po/eu.po        |  190 +-
 dselect/po/fr.po        |  190 +-
 dselect/po/gl.po        |  190 +-
 dselect/po/hu.po        |  181 +-
 dselect/po/id.po        |  190 +-
 dselect/po/it.po        |  190 +-
 dselect/po/ja.po        |  190 +-
 dselect/po/ko.po        |  190 +-
 dselect/po/nb.po        |  190 +-
 dselect/po/nl.po        |  190 +-
 dselect/po/nn.po        |  186 +-
 dselect/po/pl.po        |  190 +-
 dselect/po/pt.po        |  190 +-
 dselect/po/pt_BR.po     |  190 +-
 dselect/po/ro.po        |  190 +-
 dselect/po/ru.po        |  190 +-
 dselect/po/sk.po        |  190 +-
 dselect/po/sv.po        |  190 +-
 dselect/po/tl.po        |  186 +-
 dselect/po/vi.po        |  190 +-
 dselect/po/zh_CN.po     |  190 +-
 dselect/po/zh_TW.po     |  186 +-
 man/po/dpkg-man.pot     | 4888 ++++++++++++++++++++++++-----------------------
 man/po/es.po            |  186 +-
 man/po/fr.po            |  255 ++-
 man/po/hu.po            |  124 +-
 man/po/ja.po            |  186 +-
 man/po/pl.po            |  182 +-
 man/po/pt_BR.po         |  123 +-
 man/po/ru.po            |  124 +-
 man/po/sv.po            |  186 +-
 po/ast.po               | 2456 +++++++++++++-----------
 po/bs.po                | 2166 +++++++++++----------
 po/ca.po                | 2483 +++++++++++++-----------
 po/cs.po                | 2453 +++++++++++++-----------
 po/da.po                | 2470 +++++++++++++-----------
 po/de.po                |  766 ++++----
 po/dpkg.pot             | 2121 ++++++++++----------
 po/dz.po                | 2412 ++++++++++++-----------
 po/el.po                | 2454 +++++++++++++-----------
 po/eo.po                | 2438 ++++++++++++-----------
 po/es.po                | 2506 +++++++++++++-----------
 po/et.po                | 2364 ++++++++++++-----------
 po/eu.po                | 2476 +++++++++++++-----------
 po/fr.po                | 2573 ++++++++++++++-----------
 po/gl.po                | 2486 +++++++++++++-----------
 po/hu.po                | 2404 ++++++++++++-----------
 po/id.po                | 2438 ++++++++++++-----------
 po/it.po                | 2508 +++++++++++++-----------
 po/ja.po                | 2462 +++++++++++++-----------
 po/km.po                | 2394 ++++++++++++-----------
 po/ko.po                | 2461 +++++++++++++-----------
 po/ku.po                | 2203 +++++++++++----------
 po/lt.po                | 2348 ++++++++++++-----------
 po/mr.po                | 2394 ++++++++++++-----------
 po/nb.po                | 2455 +++++++++++++-----------
 po/ne.po                | 2390 ++++++++++++-----------
 po/nl.po                | 2407 ++++++++++++-----------
 po/nn.po                | 2329 +++++++++++-----------
 po/pa.po                | 2318 +++++++++++-----------
 po/pl.po                | 2480 +++++++++++++-----------
 po/pt.po                | 2502 +++++++++++++-----------
 po/pt_BR.po             | 2467 +++++++++++++-----------
 po/ro.po                | 2484 +++++++++++++-----------
 po/ru.po                | 2455 +++++++++++++-----------
 po/sk.po                | 2454 +++++++++++++-----------
 po/sv.po                | 2274 ++++++++++++----------
 po/th.po                | 2434 ++++++++++++-----------
 po/tl.po                | 2333 +++++++++++-----------
 po/vi.po                | 2440 ++++++++++++-----------
 po/zh_CN.po             | 2432 ++++++++++++-----------
 po/zh_TW.po             | 2430 ++++++++++++-----------
 scripts/po/ca.po        |  780 ++++----
 scripts/po/de.po        |    2 +-
 scripts/po/dpkg-dev.pot |  618 +++---
 scripts/po/es.po        |  772 ++++----
 scripts/po/fr.po        |  805 ++++----
 scripts/po/pl.po        |  792 ++++----
 scripts/po/ru.po        |  808 ++++----
 scripts/po/sv.po        |  656 ++++---
 89 files changed, 62437 insertions(+), 52204 deletions(-)

commit df43bb230376e1e5fc187b532dfd76ba327f286f
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Mar 19 07:41:32 2012 +0100

    Bump Standards-Version to 3.9.3 (no changes needed)

 debian/changelog |    1 +
 debian/control   |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit ed81506e07a7e5995672a115a161dd6de24088ca
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 11 20:05:46 2012 +0100

    Remove ~ from version checks in maintainer scripts
    
    It does not make sense to allow previous versions in maintainer scripts
    for dpkg releases.

 debian/dpkg.postrm |    2 +-
 debian/dpkg.prerm  |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 0e71d799565747423d01b7d32bbf1da78ba90237
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Feb 22 07:44:48 2011 +0100

    dpkg: Add --assert-multi-arch option
    
    This will allow us to query if the currently installed dpkg has
    multi-arch support.

 debian/changelog |    2 ++
 src/enquiry.c    |    8 ++++++++
 src/main.c       |    4 +++-
 src/main.h       |    2 ++
 4 files changed, 15 insertions(+), 1 deletion(-)

commit ffa1ec0502c8c34d5d51bff003f52b3cd732d875
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Feb 19 18:54:19 2012 +0100

    libdpkg: Change pkg_db_get_pkg() to create new arch instances
    
    This allows the code to load several architecture package instances
    per package set.
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 lib/dpkg/pkg-db.c |   36 +++++++++++++++++++++++++++++++++++-
 1 file changed, 35 insertions(+), 1 deletion(-)

commit eb34e073e21c4ded1a1c53bae16e6c35ba4b94c6
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Feb 5 07:16:47 2012 +0100

    libdpkg: Find the correct package slot in the db for the parsed package
    
    This makes sure to pick the correct slot depending on whether we are
    parsing an update log, the status, available or a binary control file.
    
    For the status file we just use the slot matching the architecture.
    For update log and control file we pick the slot of the to be installed
    package, taking into account architecture cross-grading, and refusing
    bogus switches like multiple “Multi-Arch: same” instances into a single
    non-“Multi-Arch: same” one. For the available file we use the slot that
    will be the candidate for the selection.

 lib/dpkg/parse.c |  138 +++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 137 insertions(+), 1 deletion(-)

commit 94a1d64a0ab0feeafac6426a5596bc65e9b14187
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 17 23:49:51 2012 +0100

    libdpkg: Change pkg_db_get_singleton() to return a better candidate
    
    When there's no installed instances, try to get a betted candidate,
    mostly for selection purposes.

 lib/dpkg/pkg-db.c |   30 +++++++++++++++++++++---------
 1 file changed, 21 insertions(+), 9 deletions(-)

commit b66466c90a91f48602ed637e6be814be123f604c
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 17 23:38:12 2012 +0100

    libdpkg: Mark not-installed non-arch-qualified selections for removal
    
    These do not make sense in a multiarch enabled world, and might cause
    those selections to be unreferencable from command-line interfaces when
    there's other more specific selections.

 debian/changelog |    1 +
 lib/dpkg/parse.c |   11 +++++++++++
 2 files changed, 12 insertions(+)

commit 4e774719005f1776f6ed4c1f5073f4fe1fbc4de2
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 18 13:30:48 2012 +0100

    libdpkg: Always ignore older versions when parsing the available file
    
    To be able to get a proper candidate for dselect the latest version
    from the available file should always be selected, regardless of who
    is loading the file.

 debian/changelog |    2 ++
 lib/dpkg/parse.c |    2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit e73bc56d583a273c9430c98021faf49987eec0e2
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 18 21:19:25 2012 +0100

    libdpkg: Add new enum parsedbtype
    
    This will allow to track more easily what's going on in the code, when
    having to distinguish between behaviour depending on the file being
    parsed.

 lib/dpkg/parse.c     |   20 ++++++++++++++++++++
 lib/dpkg/parsedump.h |   11 +++++++++++
 2 files changed, 31 insertions(+)

commit c30a50a8a1c755935952e1dcb55f0179acbaddc8
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 18 15:18:27 2012 +0100

    libdpkg: Add new pdb_parse_update flag
    
    This allows to distinguish when the code is parsing the update log
    files, which should behave differently than simple status file parsing.

 lib/dpkg/dbmodify.c |    2 +-
 lib/dpkg/dpkg-db.h  |    1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 63c7ba56e1e7fc629075fda14ff182a09c836a19
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 16 23:52:07 2012 +0100

    libdpkg: Rename pkgset_get_singleton() to pkg_db_get_singleton()
    
    Move it also from the pkg module to the pkg-db one. This private
    function might need to allocate a new package instance in the
    database in the future so it would belong in the pkg-db module,
    but more importantly it's used to access pkg-db objects directly.

 lib/dpkg/dpkg-db.h   |    2 +-
 lib/dpkg/libdpkg.map |    1 -
 lib/dpkg/pkg-db.c    |   28 +++++++++++++++++++++++++++-
 lib/dpkg/pkg.c       |   26 --------------------------
 4 files changed, 28 insertions(+), 29 deletions(-)

commit 806a7821b2efac4266724bb41ce1cfc0715d0b77
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 17 23:25:08 2012 +0100

    libdpkg: Consider M-A:same package without architecture fatal errors
    
    “Multi-Arch: same” packages require an actual architecture to be able
    to properly handle them, demand it.

 lib/dpkg/parse.c |    3 +++
 1 file changed, 3 insertions(+)

commit e2debc97e6bde36ef155a7f94179e054dfa2922a
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 17 23:26:30 2012 +0100

    dpkg: Only allow setting selections for known packages

 debian/changelog |    2 ++
 src/select.c     |    6 ++++++
 2 files changed, 8 insertions(+)

commit 960ce492e95ea1555c2c18ca948118c291488f7c
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Dec 15 10:28:30 2011 +0100

    dpkg: Do not try to disappear other packages from the same set
    
    Packages within a set can rightfully share files and should not
    be disappeared in the case where they share all the files.
    
    Closes: #652063
    
    Reported-by: Martin Pitt <mpitt@debian.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/archives.c   |    7 +++++++
 src/processarc.c |    6 ++++++
 2 files changed, 13 insertions(+)

commit 81fbbcec494660401e943230d8e3c3c5f22feb6c
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Nov 5 21:38:07 2011 +0100

    dpkg: Upgrade the database automatically to the new multi-arch layout
    
    The upgrade is scheduled by explicit calls to pkg_infodb_upgrade() if
    the current database format version is less than the latest supported
    format or if the previous upgrade was interrupted.
    
    The upgrade goes as follows:
    - link all old files to their new names.
    - set <admindir>/info/format-new to 1.
    - remove all old files.
    - rename <admindir>/info/format-new to <admindir>/info/format.
    
    In case of abrupt interruption, the presence of <admindir>/info/format-new
    means the upgrade is not yet completed and it needs to be retried. In case
    of clean interruption with rollback, that file is removed after the old
    layout has been restored.
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Designed-by: Guillem Jover <guillem@debian.org>
    Signed-off-by: Guillem Jover <guillem@debian.org>

 po/POTFILES.in       |    1 +
 src/Makefile.am      |    1 +
 src/archives.c       |    3 +
 src/infodb-upgrade.c |  247 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/infodb.h         |    1 +
 src/packages.c       |    3 +
 src/select.c         |    3 +
 7 files changed, 259 insertions(+)

commit 69a5e4d5cbca41583dd6133a865bfb1c3edbc91f
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Nov 1 05:02:48 2011 +0100

    dpkg: Update on-disk database to use a multiarch compliant layout
    
    The usage of the new layout is conditional to a prior database
    upgrade that should write a version number greater than 0 in
    <admindir>/info/format.
    
    The file is parsed when needed from pkg_infodb_get_format().
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 po/POTFILES.in      |    1 +
 src/Makefile.am     |    4 ++
 src/filesdb.c       |    4 ++
 src/infodb-access.c |   11 ++++-
 src/infodb-format.c |  111 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/infodb.h        |   10 +++++
 6 files changed, 139 insertions(+), 2 deletions(-)

commit 483a4cb09264e61a3bf772f3e9769979812fa537
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 15 18:39:06 2012 +0100

    dpkg: Allow shared files between Multi-Arch: same packages
    
    If all the already installed packages are synchronized, and the version
    to be installed is the same, then we check that the shared file has the
    same contents as what's already installed. Otherwise we blindly allow
    the updated package to replace the file.
    
    For conffiles, instead of checking against the on-disk version, we
    check instead against either:
    - the MD5 hash stored for any of the other configured instances of
      the package.
    - the MD5 hash of the already present .dpkg-new file for the
      unpacked instances of the packages.
    
    During removal, we only remove the file if it's not shared with other
    packages of the same set.
    
    During upgrade, we don't remove the file from other packages containing
    the same file if the package is part of the same set. We do this even
    for packages which are not “Multi-Arch: same” since there's only one
    .list controlg file for the package set and we should not modify it
    since it has already been written.
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/archives.c   |  209 ++++++++++++++++++++++++++++++++++++++++++++++++++----
 src/processarc.c |    4 ++
 src/remove.c     |   53 ++++++++++++--
 3 files changed, 246 insertions(+), 20 deletions(-)

commit 1e6861ddcc27283b320e7e39a65ab851f56508e1
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 21 13:35:33 2011 +0100

    dpkg: Store in tarcontext whether the pkgset is getting in sync
    
    This will be used later by the extraction code to know whether it should
    ensure consistency of shared files or not.
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/archives.h   |    2 ++
 src/processarc.c |   25 +++++++++++++++++++++++++
 2 files changed, 27 insertions(+)

commit 7e81416f7ff44452d186f8dad5b7312364cb6efa
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 18 04:08:22 2012 +0100

    dpkg: Change debug output to always arch-qualify package names

 src/archives.c   |   10 +++++-----
 src/depcon.c     |    4 ++--
 src/help.c       |   12 ++++++------
 src/packages.c   |   12 ++++++------
 src/processarc.c |   14 +++++++-------
 src/remove.c     |   10 +++++-----
 src/trigproc.c   |   18 +++++++++---------
 7 files changed, 40 insertions(+), 40 deletions(-)

commit 76ef8595442c827dc8682666cd83e054ed8f81e4
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jan 31 20:05:49 2012 +0100

    dselect: Change debug output to always arch-qualify package names
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 dselect/pkgcmds.cc    |    2 +-
 dselect/pkgdepcon.cc  |   24 +++++++++++++-----------
 dselect/pkglist.cc    |    6 +++---
 dselect/pkgsublist.cc |   11 ++++++-----
 4 files changed, 23 insertions(+), 20 deletions(-)

commit 754d49c0e6d62fe52449e6778b9ccb85284e9e0e
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Fri Mar 16 22:04:36 2012 +0100

    dpkg-divert: Improve ignored removal request message
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/divertcmd.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b1a377f0de1c884b939e10d0f05c3527c89d5ec6
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 16 17:58:52 2012 +0100

    Dpkg::BuildFlags: Use =head2 instead of =head
    
    This fixes a build failure with Test::Pod installed.
    
    Regression introduced in commit 78ffee002f47daed249e62778587383f2cd2a21a.

 scripts/Dpkg/BuildFlags.pm |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 65c28bd6977e91e42ddb87ad386d6a60fe22d6d8
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Mar 4 17:21:37 2011 +0100

    dpkg: Remove old control files on upgrade when needed for Multi-Arch change
    
    When we upgrade from “Multi-Arch: same” to something else (or vice versa)
    the layout used for the control files changes (pkg.foo vs pkg:arch.foo)
    and it means we must get rid of the old control files.
    
    Sponsored-by: Linaro Limited
    
    [guillem@debian.org:
     - Reword comment and debug message. ]
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/processarc.c |   10 ++++++++++
 1 file changed, 10 insertions(+)

commit babadd90c56185bbe5daf7d66887519a5897dc85
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Feb 21 22:38:38 2011 +0100

    dpkg-divert: Properly handle diversions of shared files
    
    dpkg-divert does nothing if the same diversion is recorded multiple
    times. However when a diversion is removed, it does so even if
    the shared file is still in place.
    
    We change dpkg-divert's behaviour to ignore a diversion removal request
    until the diverted file is no longer owned by another package of the
    same package set.
    
    We also update the test-suite to provide a status file now that
    dpkg-divert reads it.
    
    Sponsored-by: Linaro Limited
    
    [guillem@debian.org:
     - Handle missing DPKG_MAINTSCRIPT_ARCH when upgrading from old dpkg.
     - Split ignore removal logic into a new function. ]
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/divertcmd.c         |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 src/t/100_dpkg_divert.t |    3 ++-
 2 files changed, 48 insertions(+), 1 deletion(-)

commit 6cfd1ce508f7a3073f015875e95ac46aecf52f50
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 16 12:06:23 2012 +0100

    dpkg: Pass filenamenode instead of fileinlist to cu_installnew()

 src/archives.c |    2 +-
 src/cleanup.c  |    4 +---
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 1309c6a7d3c5aa4a0094c0e12ba3aa60ae2c0a6d
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Jan 30 21:31:53 2012 +0100

    dpkg: Compute and track hashes for newly unpacked file
    
    This will be used for checksum generation at unpack time, and for shared
    file verification.

 src/archives.c |   13 +++++++++----
 src/filesdb.c  |    2 ++
 src/filesdb.h  |    3 +++
 3 files changed, 14 insertions(+), 4 deletions(-)

commit 3633c757db6929aa79a7201ab95100472325459b
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 15 17:53:37 2012 +0100

    dpkg: Use fd_skip() instead of fd_read() on tarobject_skip_padding()

 src/archives.c |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit b634df88030148e44878794622f2cc07e191eb8f
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 15 17:51:11 2012 +0100

    dpkg: Refactor skipping tarobject padding into new tarobject_skip_padding()

 src/archives.c |   23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit 571ab351cb9a7df6e94a7d0de2711a04afd4aaf6
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 16 11:25:35 2012 +0100

    dpkg: Rename tarfile_skip_one_forward() to tarobject_skip_entry()

 src/archives.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit bec08b7fba7e0994572a9c70d062870ab1df1a29
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 15 06:24:24 2012 +0100

    dpkg: Refactor tar object extraction into new tarobject_extract()

 src/archives.c |  192 ++++++++++++++++++++++++++++++--------------------------
 1 file changed, 102 insertions(+), 90 deletions(-)

commit 78ffee002f47daed249e62778587383f2cd2a21a
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Mar 16 08:40:52 2012 +0100

    Dpkg::BuildFlags: update embedded API changelog

 scripts/Dpkg/BuildFlags.pm |    4 ++++
 1 file changed, 4 insertions(+)

commit 9c66079ee0ebac9c2d7115e88f30b2c2fad1dcc9
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Thu Mar 15 20:51:06 2012 +0100

    Update German translation of manual pages
    
    Update to 2076t.

 man/po/de.po |  164 ++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 96 insertions(+), 68 deletions(-)

commit 02f35a933a0fd5596d42130617e4c5644a7bda99
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Mar 15 08:06:50 2012 +0100

    dpkg-query(1): fix small typo

 man/dpkg-query.1 |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 26072450d7c31a1ea607dd34c3975e1389e38e67
Author: Sven Joachim <svenjoac@gmx.de>
Date:   Wed Mar 14 17:48:07 2012 +0100

    German dpkg translation update
    
    Update to 1016t.

 po/de.po | 1612 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 806 insertions(+), 806 deletions(-)

commit aee5795175fc5e09578c6d256537dc7313bae4c2
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Feb 4 12:09:34 2011 +0100

    dpkg: Add restrictions for configuration of a Multi-Arch: same package
    
    A “Multi-Arch: same” package can only be configured if all the other
    instances of the same package are synchronized (i.e. have the same
    unpacked version) and if they are in state where they can be configured.
    
    Sponsored-by: Linaro Limited
    
    [guillem@debian.org:
     - Rework error strings.
     - Fix coding-style.
     - Check against <= stat_configfiles instead of < stat_halfinstalled.
     - Split unrelated check into different conditionals. ]
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/configure.c |   28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

commit e5bf4b7412bb2a4e5ff33f128c3cb8dcd96fcfdb
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Feb 4 12:04:42 2011 +0100

    dpkg: Deconfigure other instances of the unpacked package
    
    When a new version of a “Multi-Arch: same” package is installed,
    the other instances that are not synchronized (i.e. which
    have a different version) must be deconfigured.
    
    Sponsored-by: Linaro Limited
    
    [guillem@debian.org:
     - Ignore the package earlier if the package state is not correct.
     - Use enqueue_deconfigure() instead of ad-hoc code. ]
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/processarc.c |   11 +++++++++++
 1 file changed, 11 insertions(+)

commit ea97a8b27d958de7ddfea5e2be623d8d16e998c4
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Mon Jan 24 11:59:35 2011 +0100

    dpkg: Update architecture check to allow foreign architectures
    
    Packages whose architecture has been whitelisted with
    --add-architecture do not need --force-architecture to be installed.
    
    Even foreign packages which are “Multi-Arch: no” can be installed
    provided that all their foreign dependencies are already satisfied.
    
    Sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/processarc.c |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 058c1fda3c5a6318a91500ec926c66e3fca5400e
Author: Steve Langasek <vorlon@debian.org>
Date:   Fri Feb 4 23:12:29 2011 +0100

    dpkg: Complete arch checking of package relationships in the resolver
    
    In places where the architecture qualifier of a dependency has not been
    validated before-hand (through usage of deppossi_pkg_iterator), add a
    manual verification.
    
    In both cases, the checks are not needed with the current rules where
    both Replaces and Breaks can only have “any” as architecture qualifier
    but for completeness, we put them nevertheless.
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/archives.c |    4 ++++
 src/packages.c |    4 ++++
 2 files changed, 8 insertions(+)

commit 88fafba80656810a088247e9dafd3441d4bc028c
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Mar 13 03:21:22 2012 +0100

    dpkg: Do not force dependencies on dependtry >= 3, wait until >= 4
    
    To fix the non-working --force-depends-version (bug #57104) in
    commit c54fb50e3a08d467955856e81be178b712b7ebdb, a check for
    fc_dependsversion was added alongside the existing fc_depends for
    dependtry >= 3, as it could not be just replaced because there was
    no other code to pickup the fc_depends for that specific case in
    dependtry >= 4.
    
    Now that fc_depends always gets applied after all calls to
    deppossi_ok_found() have finished, it's safe to remove the misplaced
    fc_depends, so that it happens at dependtry >= 4, where it belongs.

 src/packages.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 870524717ed11420cedfbfd8712ebe0e0929d670
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Apr 22 10:24:49 2011 +0200

    dpkg: Let --force-depends rescue the dependency check in all cases
    
    The logic that allowed --force-depends to do its job was embedded
    in deppossi_ok_found() but that function is no longer called
    when there are no packages matching the architecture restriction
    implied by the dependency. Due to the structure of the internal
    database this happens only with foreign packages.
    
    Instead of relying on deppossi_ok_found() we move the logic directly
    into dependencies_ok(), just at the end of the dependencies checks.
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/packages.c |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 611bd3dddcdbf0ca4b9ea3edf90b9f0d0d963412
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Feb 19 09:52:17 2011 +0100

    dpkg: Make md5hash() a public function
    
    Sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/configure.c |    5 ++---
 src/main.h      |    1 +
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 9269cfc8829f11914ea324d11dc96e8058dd1b2f
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Feb 22 17:20:30 2011 +0100

    dpkg: Update output commands to print package specifiers
    
    This affects --audit, --yet-to-unpack and --get-selections.
    
    Sponsored-by: Linaro Limited
    
    [guillem@debian.org:
     - Adapt to new pkg_name API.
     - Only arch-qualify when unambiguous. ]
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/enquiry.c |    9 ++++++---
 src/select.c  |    7 ++++---
 2 files changed, 10 insertions(+), 6 deletions(-)

commit ee7131abcd7558158d03f5d2761d9e580161e43a
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Mar 1 04:43:29 2011 +0100

    dpkg: Use package specifiers for maintainer script arguments
    
    Replace pkg->set->name with pkg_name() and pkgbin_name().
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/cleanup.c    |   15 +++++++++++----
 src/processarc.c |   15 ++++++++++-----
 2 files changed, 21 insertions(+), 9 deletions(-)

commit 1a34570e755a93ecc7b9bf87b9f5e99c187b6dda
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 2 09:12:11 2011 +0100

    dpkg: Use package specifiers in statusfd and log messages
    
    The colon is often used as a separator but it is always preceded and/or
    followed by a space so that it's possible to distinguish between the
    colon used as a separator and the colon embedded in a package name
    (like in "libc6:amd64").
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 lib/dpkg/dbmodify.c |    6 ++++--
 src/help.c          |    5 +++--
 src/packages.c      |    3 ++-
 src/trigproc.c      |    4 ++--
 4 files changed, 11 insertions(+), 7 deletions(-)

commit 43c2ba382cea6d774c91f9a7b8df7a7c550acfb0
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Nov 9 18:11:54 2011 +0100

    dpkg-query: Update output commands to print package specifiers
    
    This affects --list and --show. Also use package specifiers in the
    default output format and document this change in the manual page.
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 man/dpkg-query.1 |   13 +++++++++----
 src/querycmd.c   |    8 ++++----
 2 files changed, 13 insertions(+), 8 deletions(-)

commit 18d5286addfabd1c633194759fabd28694418f49
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Feb 22 14:59:32 2011 +0100

    libdpkg: Drop legacy pkg_db_find() function
    
    Now that all the code has been converted to use alternatives or the
    newer variants of the function.
    
    Sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 lib/dpkg/dpkg-db.h   |    1 -
 lib/dpkg/libdpkg.map |    1 -
 lib/dpkg/pkg-db.c    |    6 ------
 3 files changed, 8 deletions(-)

commit d04d596cd36bc590e798f06ee7dcd0386b1a37f5
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 14 04:23:55 2012 +0100

    Update triggers support to understand multi-arch
    
    Instead of storing/parsing package names, we have to store/parse
    package specifiers that can include an architecture qualifier.
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 lib/dpkg/dump.c         |    2 +-
 lib/dpkg/fields.c       |   12 +++++++-----
 lib/dpkg/trigdeferred.l |    2 +-
 lib/dpkg/triglib.c      |   41 ++++++++++++++++++++++++++---------------
 src/trigcmd.c           |   23 ++++++++++++++---------
 5 files changed, 49 insertions(+), 31 deletions(-)

commit 45e1108cea1790e8173db246736896a3c5b3f7b0
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Feb 19 04:06:35 2012 +0100

    dpkg: Update commands and options to accept package specifiers
    
    This affects --ignore-depends, --configure, --remove, --purge,
    --triggers-only, --get-selections and --set-selections.
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/main.c     |   13 ++++++++-----
 src/packages.c |    8 +++++++-
 src/select.c   |   22 +++++++++++++++++-----
 3 files changed, 32 insertions(+), 11 deletions(-)

commit c01c6fed6527d8c564c1805f2f3537afc739f2ba
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sat Nov 5 19:26:24 2011 +0100

    dpkg-query: Update commands to accept package specifiers as arguments
    
    This affects --list, --show, --listfiles, --status, --print-avail
    and --control-path.
    
    Sponsored-by: Linaro Limited
    
    [guillem@debian.org:
     - Adapt to new pkg_spec API.
     - Do not memset the pkg_spec array nor directly assign to flags member,
       use pkg_spec_init() instead.
     - Check for parse errors from pkg_spec_parse_pkg() and bail out.
     - Use psf_arch_def_wildcard instead of _native for -l and -W. ]
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 src/querycmd.c |   39 +++++++++++++++++++++++++++++++++++----
 1 file changed, 35 insertions(+), 4 deletions(-)

commit 6e8dda4cdbcd3ed6057665496c5b48ef9a7fa580
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Feb 22 23:43:28 2012 +0100

    dpkg-query: Only load the available file on -l or -W with new --load-avail
    
    Change the default behaviour of not loading the available file depending
    on whether arguments have been passed to the commands, to instead adding
    a new explicit option to let the user request the additional information
    from the available file.
    
    This is needed to avoid confusion given that with multiarch the
    available file can contain multiple instances for the same package.

 debian/changelog |    2 ++
 man/dpkg-query.1 |    8 ++++++--
 src/querycmd.c   |    8 ++++++--
 3 files changed, 14 insertions(+), 4 deletions(-)

commit 58e0ed5e77149b4e1569e448daa06c1345c71e6c
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 4 19:41:26 2012 +0100

    libdpkg: Add functions to handle package specifiers
    
    Package specifiers are package names qualified with an architecture
    string ("pkgname:arch").
    
    If the package specifier uses patterns, it's possible to iterate the list
    of packages matching the specifier. Otherwise it's possible to retrieve
    the corresponding package from the database.
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 lib/dpkg/Makefile.am |    2 +
 lib/dpkg/libdpkg.map |   13 +++
 lib/dpkg/pkg-spec.c  |  294 ++++++++++++++++++++++++++++++++++++++++++++++++++
 lib/dpkg/pkg-spec.h  |   81 ++++++++++++++
 po/POTFILES.in       |    1 +
 5 files changed, 391 insertions(+)

commit ff5ac5ced01817f584126fc157b07d3131b205c5
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 14 06:02:13 2012 +0100

    Rework common badusage strings to allow for possible translation reuse
    
    Use cmdinfo long name instead of hard-coding it in the literal string,
    and reword some strings to make them more generally usable.

 dpkg-deb/build.c |    3 ++-
 dpkg-deb/info.c  |    5 +++--
 src/main.c       |   20 ++++++++++----------
 src/statcmd.c    |    2 +-
 4 files changed, 16 insertions(+), 14 deletions(-)

commit 977cb99bfdfad7195e8fb58d65d86f59858de795
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 14 05:54:37 2012 +0100

    dpkg: Use ohshit() instead of ohshite() on illegal names in --ignore-depends

 debian/changelog |    2 ++
 src/main.c       |    2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 3313e8ba2be45894e03dfa96c5fa8c23f77f73a0
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 14 03:51:15 2012 +0100

    libdpkg: Add new DPKG_ERROR_INIT macro

 lib/dpkg/error.h |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2b0b724368846bf6fb4bda70033dc04f1b85b85b
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Mar 7 23:35:15 2012 +0100

    libdpkg: Never return NULL from pkg_db_find_singleton()

 lib/dpkg/pkg-db.c |    3 +++
 src/enquiry.c     |    3 ---
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 463fbf8e9307de4eb7f8ccfb986c1ef835befec2
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Feb 19 17:22:59 2012 +0100

    libdpkg: Change pkg_sorter_by_name() to pkg_sorter_by_nonambig_name_arch()
    
    The reworked function takes into account the architecture while comparing
    the packages, if that would make the package name output ambiguous.
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 lib/dpkg/libdpkg.map |    2 +-
 lib/dpkg/pkg-show.c  |   25 +++++++++++++++++++++----
 lib/dpkg/pkg-show.h  |    2 +-
 src/querycmd.c       |    4 ++--
 src/select.c         |    2 +-
 5 files changed, 26 insertions(+), 9 deletions(-)

commit 77da8357e87b6d0d7f19fcdde1ff6c2ca38f4682
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Mar 13 05:47:09 2012 +0100

    libdpkg: Move pkg_sorter_by_name() from pkg module to pkg-show
    
    The function is being used for showing purposes.

 lib/dpkg/pkg-show.c |   20 ++++++++++++++++++++
 lib/dpkg/pkg-show.h |    2 ++
 lib/dpkg/pkg.c      |   20 --------------------
 lib/dpkg/pkg.h      |    2 --
 src/select.c        |    1 +
 5 files changed, 23 insertions(+), 22 deletions(-)

commit f98c0a68a9a703eed65b633fb108c8d348f2325d
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Mar 13 05:03:12 2012 +0100

    libdpkg: Handle and ignore arch_empty in varbuf_add_archqual()

 lib/dpkg/arch.c        |    2 ++
 lib/dpkg/test/t-arch.c |    5 +++++
 2 files changed, 7 insertions(+)

commit 0fe94061309b2371dff1046330e005a5addcf15e
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Mar 11 20:19:51 2012 +0100

    Use new EMPTYHASHFLAG instead of EMPTY_HASH or literal string

 lib/dpkg/dpkg.h |    2 ++
 src/configure.c |    5 ++---
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 657eb15066032a5da61f1040116844247071018d
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Mar 10 03:21:40 2012 +0100

    dpkg: Add --status-logger information to --help output
    
    Missed in commit 73dab65273c589b7eed823adab30870e77171bb8.

 debian/changelog |    1 +
 src/main.c       |    1 +
 2 files changed, 2 insertions(+)

commit 523a76971e3d810441e53da8c3e1a9f0c45fc04d
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Mar 9 20:09:29 2012 +0100

    Fix format string in German translation causing a build failure
    
    Regression introduced in commit af626e0273c7cb61cd9078ee518298ecb79b22b3.

 scripts/po/de.po |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit af626e0273c7cb61cd9078ee518298ecb79b22b3
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Thu Mar 8 21:36:40 2012 +0100

    Update German scripts translation
    
    Update to 518t.

 scripts/po/de.po |  579 +++++++++++++++++++++++++++---------------------------
 1 file changed, 286 insertions(+), 293 deletions(-)

commit 4cc8a1748fc3d8b35cb35ea2c065c9269065b4d3
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Mar 8 01:51:33 2012 +0100

    dpkg-buildflags: Handle unknown architectures gracefully
    
    Give a warning and reset the abi-os-cpu tuple to empty strings.
    
    Closes: #663004

 debian/changelog              |    2 ++
 scripts/Dpkg/Vendor/Debian.pm |    5 +++++
 2 files changed, 7 insertions(+)

commit 3b334781a5dde43504bcc83ff7992d30fe15e21e
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Feb 22 23:50:08 2012 +0100

    dpkg: Use pkg_db_find_singleton() to get the dpkg package instance

 src/enquiry.c |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 9fa906e106cf6412562870fc2645954a03eab966
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 20 19:00:44 2012 +0100

    libdpkg: Add package singleton retrieval support
    
    Singleton packages are the traditional package sets containing a single
    installed package instance, or none.

 lib/dpkg/dpkg-db.h   |    2 ++
 lib/dpkg/libdpkg.map |    2 ++
 lib/dpkg/pkg-db.c    |   19 +++++++++++++++++++
 lib/dpkg/pkg.c       |   26 ++++++++++++++++++++++++++
 4 files changed, 49 insertions(+)

commit 31a7dee81b5fe3f4f73019cbddd8bd8eb96d883b
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Feb 2 19:04:18 2012 +0100

    libdpkg: Add installed package instance tracking support

 lib/dpkg/dpkg-db.h        |    3 ++
 lib/dpkg/libdpkg.map      |    1 +
 lib/dpkg/pkg.c            |   24 ++++++++++++++
 lib/dpkg/test/t-pkginfo.c |   79 +++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 107 insertions(+)

commit 12c3d6cfc4c0e34352d339fb8cb3b3f41f2f7a8c
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Feb 23 22:36:56 2012 +0100

    libdpkg: Add new pkgset_link_pkg()

 lib/dpkg/pkg.c |   14 ++++++++++++++
 lib/dpkg/pkg.h |    2 ++
 2 files changed, 16 insertions(+)

commit 905e3ecfea913c9a1fc652c2c5357febb3d59ebd
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Feb 5 06:57:14 2012 +0100

    libdpkg: Add new pkg_db_get_pkg()

 lib/dpkg/dpkg-db.h |    3 ++-
 lib/dpkg/pkg-db.c  |   21 ++++++++++++++++++++-
 2 files changed, 22 insertions(+), 2 deletions(-)

commit 0238c795df88925c6579f740c7681ade22e88625
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Feb 22 23:45:46 2012 +0100

    libdpkg: Use arch_empty type to track missing architectures too
    
    The case when the Architecture field is not present is equivalent to
    the case of a present Architecture with an empty value, except for
    warning purposes. Track missing architectures on the in-core db w/o
    overloading arch_none to mean the same, so that we can distinguish
    truly unused pkginfo slots.

 lib/dpkg/parse.c |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit f434c2ef94388b71b07e5da47fdf5e994e716b8c
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Feb 22 23:44:59 2012 +0100

    libdpkg: Do not dump Architecture field for arch_empty
    
    This restores the previous behaviour as found in w_charfield().

 lib/dpkg/dump.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit c444b201947b8f973f768c7c60d57095432eb9ad
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Feb 23 22:14:34 2012 +0100

    Store Multi-Arch field after Architecture field in status file

 lib/dpkg/parse.c               |    2 +-
 scripts/Dpkg/Control/Fields.pm |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit cd6389211b5657d40569df0c9765d34c3d46d985
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Feb 28 20:46:19 2012 +0100

    dpkg-buildpackage: When using -A use 'all' as arch for the .changes filename
    
    When building only arch-indep binaries, name the .changes file using
    ‘all’ as architecture.
    
    Closes: #661638

 debian/changelog             |    2 ++
 scripts/dpkg-buildpackage.pl |   10 +++++++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 806dfa8237d9e1e3c80a8b096cb1496d930fd34d
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Feb 24 00:18:18 2012 +0100

    Install localized man pages from debian/rules
    
    Currently dh_installman does not handle distinct man pages depending on
    the full path, it only uses the filename, so the last match wins, which
    makes installation of localized man pages to be overridden by the
    original version, being that the last one listed.
    
    Move the localized man pages installation to debian/rules, which avoids
    a possible debhelper Build-Depends version bump (in case it was made to
    support such cases); but most important, it reduces duplication because
    the list of localized man pages is based on the original man pages list
    found in the .manpages debhelper config files.
    
    Regression introduced in commit d7c001aa6b3d49f1542df05cde60406be2e981ec.
    
    Spotted-by: Raphaël Hertzog <hertzog@debian.org>

 debian/dpkg-dev.manpages |   29 -----------------------------
 debian/dpkg.manpages     |   11 -----------
 debian/dselect.manpages  |    2 --
 debian/rules             |   10 ++++++++++
 4 files changed, 10 insertions(+), 42 deletions(-)

commit 6562fd805b4ad16126c31a3765ffe70ef068163a
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 20 16:48:43 2012 +0100

    dpkg: Use pdb_parse_available in process_archive() on --record-avail
    
    When recording the available information from the binary package, we
    don't want it to possibly create a duplicate pkginfo entry with the
    same (but mixed) architecture, and having to cleanup the obsolete one.
    Instead we ignore the cross-grade slot finding logic, and just use the
    old available slot matching the architecture.

 src/processarc.c |    5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 71acbf2190556abaf00c62ad0afa24bd0bbab38c
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 20 16:48:43 2012 +0100

    dpkg: Inline parsedb_force_flags() into process_archive()
    
    There's no much point in that function, and if we need to set additional
    flags we need most of the inline code anyway.

 src/processarc.c |   21 ++++++++-------------
 1 file changed, 8 insertions(+), 13 deletions(-)

commit 7860b58a857332a3090e99cae96347540e6f6dbe
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Feb 23 13:04:28 2012 +0100

    dpkg: Move pkg_infodb_remove_file() before pkg_infodb_update_file()

 src/processarc.c |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit b3b9c95c458b45e8e2f6dbf1a64c37151dad9839
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 20 16:51:20 2012 +0100

    dpkg: Restore internal pkgset consistency on cross-grades
    
    When we have performed a cross-grade, the pkgset will end up with two
    pkginfo entries having the same architecture, which would mess up
    subsequent lookups. Blank the duplicated pkginfo entry which should
    only have a valid but now obsolete available member.

 src/processarc.c |   16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit e644728382ccff680bea248167529f5c4f899480
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 20 02:59:41 2012 +0100

    dpkg: Store Multi-Arch field in update log for newly installed packages
    
    This is needed to be able to find the correct slot where the package
    entry instance from the update log should be inserted to, specially
    when dealing with architecture cross-gradings.

 src/processarc.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 8e111a3190aabc9e487d26bb5565acc405d47aec
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Feb 21 03:13:10 2012 +0100

    libdpkg: Do not reset pkginfo arch_next and set members in pkg_blank()
    
    These are used to link the different instances together in the pkg-db,
    and resetting them in pkg_blank() makes using this function not useful
    in code accessing the db, as it would unlink the instances from the db.
    
    Now that pkg_blank() does not initialize arch_next, pkgset_blank() has
    to do it instead.

 lib/dpkg/pkg.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d397aea45e5d273565a96f68c844d58bff871c8a
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 20 16:46:15 2012 +0100

    libdpkg: Do not use status setters on package constructors
    
    The setting should be unconditional, as we might be dealing with
    uninitialized memory.
    
    Accidental addition in commit 7db64047f18ae151d697c9e1d4b5fcf4abc6ae2b.

 lib/dpkg/pkg.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 35299ffa83bc6f6e7ded2672c27046e860c461ab
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 20 20:04:21 2012 +0100

    libdpkg: Use status setters when parsing packages into the in-core db
    
    This allows to track status changes.
    
    Missed in commit 7db64047f18ae151d697c9e1d4b5fcf4abc6ae2b.

 lib/dpkg/parse.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 06844da0691c081dfa79e490d460f4f28be9b82a
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Feb 23 16:45:39 2012 +0100

    libdpkg: Add new pkg_copy_eflags()

 lib/dpkg/libdpkg.map |    1 +
 lib/dpkg/pkg.c       |    9 +++++++++
 lib/dpkg/pkg.h       |    1 +
 3 files changed, 11 insertions(+)

commit 7f942ae689000477f2adba796a6a6fbb3203d4b2
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 20 17:10:21 2012 +0100

    libdpkg: Check that the queue and list unit tests store the correct pkg

 lib/dpkg/test/t-pkg-list.c  |   34 +++++++++++++++++-----------------
 lib/dpkg/test/t-pkg-queue.c |   16 ++++++++--------
 2 files changed, 25 insertions(+), 25 deletions(-)

commit 1173cbbf0e62710d986f3287dfae10d807f8aa31
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 20 17:10:21 2012 +0100

    libdpkg: Do not blank package on queue unit test
    
    The test is only testing for pointers to pkginfo.

 lib/dpkg/test/t-pkg-queue.c |    2 --
 1 file changed, 2 deletions(-)

commit e22a6f1095649448f7fcd599f88fe65953819c10
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 20 15:19:42 2012 +0100

    libdpkg: Make sure NDEBUG is never defined for the test suite

 lib/dpkg/test.h |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 1b2bd2da73be2467e1ee22c2e40ebf2d5b6f85c9
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Sun Feb 19 20:27:51 2012 +0100

    dpkg-maintscript-helper: fix debug output
    
    Print all the arguments instead of only the first one as long messages
    were cut over multiple lines, resulting in multiple parameters passed
    to the function.
    
    Reported-by: Maarten Bezemer <maarten.bezemer@gmail.com>

 debian/changelog                   |    1 +
 scripts/dpkg-maintscript-helper.sh |   10 +++++-----
 2 files changed, 6 insertions(+), 5 deletions(-)

commit 79b6ff514a2de9b8e52ed6a3a811c31c72a9a81c
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 18 20:58:57 2012 +0100

    libdpkg: Add new pdb_deb_control parsedb flag
    
    This will allow to distinguish when we are dealing with a possible
    candidate for installation.

 lib/dpkg/dpkg-db.h |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit fdc613b3d8db77257d9cbf70296fd8c669bfc482
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 18 20:47:03 2012 +0100

    libdpkg: Refactor parsedb flags for standard operations into new aliases
    
    The three common operations are: parsing the status file, parsing the
    available file and parsing the control file from a binary package.
    
    This makes the code more obvious and will allow to change their values
    centrally.

 dpkg-deb/build.c    |    2 +-
 dpkg-deb/info.c     |    3 +--
 lib/dpkg/dbmodify.c |    9 +++------
 lib/dpkg/dpkg-db.h  |    5 +++++
 src/processarc.c    |    4 ++--
 src/update.c        |    7 ++-----
 6 files changed, 14 insertions(+), 16 deletions(-)

commit a9fd8b288a15f4ab03997c3f15ab6033c0bb0c82
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 18 20:19:38 2012 +0100

    dpkg: Relax --merge-avail Packages file parser to not fail on bogus versions
    
    This makes the behaviour consistent with the other Packages file
    action (i.e. --update-avail).
    
    Missed in commit 357ab385750c1cb657ff95c0b34ad0a6bf6d2cdf.

 debian/changelog |    1 +
 src/update.c     |    4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 3e7d58442197492f8da21179a2742c80b8ad4780
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 11 22:23:13 2012 +0100

    lidpkg: Use pkgbin instead of explicit installed member in pkg-format

 lib/dpkg/pkg-format.c |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 17629f3ce95e4fb7d71780e521a9d982f2b3c787
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 11 21:02:32 2012 +0100

    dselect: Remove unused readwrite variable
    
    Missed in commit 127ffc452f3d438be51f368c33ce3983874029ec.

 dselect/main.cc |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7db64047f18ae151d697c9e1d4b5fcf4abc6ae2b
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Feb 15 03:34:27 2012 +0100

    Use new package status setters instead of direct assignments
    
    This does not apply for package constructors.

 lib/dpkg/parse.c          |    5 +++--
 lib/dpkg/pkg.c            |    6 +++---
 lib/dpkg/test/t-pkginfo.c |    5 +++--
 lib/dpkg/triglib.c        |   11 +++++++----
 lib/dpkg/trignote.c       |    9 ++++++---
 src/archives.c            |    5 +++--
 src/cleanup.c             |   20 +++++++++++---------
 src/configure.c           |    8 +++++---
 src/help.c                |   11 ++++++++---
 src/processarc.c          |   31 ++++++++++++++++---------------
 src/remove.c              |   28 +++++++++++++++++-----------
 src/select.c              |    5 +++--
 src/trigproc.c            |   25 +++++++++++++++++--------
 13 files changed, 102 insertions(+), 67 deletions(-)

commit c09a3a9797e096cfa78c97e414b0c2b7fdbb203e
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Feb 15 03:34:27 2012 +0100

    libdpkg: Add new package status setters

 lib/dpkg/libdpkg.map |    5 +++++
 lib/dpkg/pkg.c       |   47 ++++++++++++++++++++++++++++++++++++++++++++++-
 lib/dpkg/pkg.h       |    9 ++++++++-
 3 files changed, 59 insertions(+), 2 deletions(-)

commit e7c1c059ac417c0994a34c5e271174c938abb037
Author: Guillem Jover <guillem@debian.org>
Date:   Thu Feb 16 21:45:19 2012 +0100

    dpkg: Do not change package eflags on --audit
    
    Although the flags will never end up written back to disk, and there's
    currently only eflag_reinstreq, it's actually wrong to change their
    value during the audit.

 src/enquiry.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 03a72bcae549d38bf8f7c5d803cb8fd4dc970aa5
Merge: 19897e8 b4691d5
Author: Christian PERRIER <bubulle@debian.org>
Date:   Wed Feb 15 19:48:24 2012 +0100

    Merge branch 'master' of ssh://git.debian.org/git/dpkg/dpkg
    
    Conflicts:
    	man/po/fr.po

commit 19897e8723eb751302dc918a7c8bcba9e1de55b0
Author: Christian PERRIER <bubulle@debian.org>
Date:   Wed Feb 15 19:22:29 2012 +0100

    French translation update
    
    1961 translated messages, 82 fuzzy translations, 21 untranslated messages.

 man/po/fr.po |   82 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 41 insertions(+), 41 deletions(-)

commit b4691d5296ef7ed74a1385e2252ef4cbc3d2adb6
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Feb 15 11:45:07 2012 +0100

    Regenerate .pot files and merge .po files with them

 man/po/es.po    | 5845 ++++++++++++++++++++++++++----------------------
 man/po/fr.po    | 6578 ++++++++++++++++++++++++++++---------------------------
 man/po/hu.po    | 5216 +++++++++++++++++++++----------------------
 man/po/ja.po    | 5757 +++++++++++++++++++++++++-----------------------
 man/po/pl.po    | 5744 +++++++++++++++++++++++++-----------------------
 man/po/pt_BR.po | 5166 ++++++++++++++++++++++---------------------
 man/po/ru.po    | 5331 ++++++++++++++++++++++----------------------
 man/po/sv.po    | 5857 +++++++++++++++++++++++++++----------------------
 8 files changed, 23845 insertions(+), 21649 deletions(-)

commit 71d5f43adcd808e2348324f2718b6db70f2982de
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Feb 14 20:05:59 2012 +0100

    man: Fix markup typo in French translation causing build failures
    
    Regression introduced in commit f7946eda042307afd5688cda355069ee3dcc285d.

 man/po/fr.po |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f7946eda042307afd5688cda355069ee3dcc285d
Author: Christian PERRIER <bubulle@debian.org>
Date:   Tue Feb 14 19:22:42 2012 +0100

    French translation update
    
    1946 translated messages, 95 fuzzy translations, 23 untranslated messages.

 man/po/fr.po |   88 ++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 51 insertions(+), 37 deletions(-)

commit aebc883480aa8ee4835a8fa145fbb5491f23a6b8
Author: Christian PERRIER <bubulle@debian.org>
Date:   Sun Feb 12 19:22:56 2012 +0100

    Fix missing word and spelling error in dpkg-gencontrol(1)

 man/po/fr.po |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f135ca4c8ef050e880f1e3cbb33433033d2059e9
Author: Christian PERRIER <bubulle@debian.org>
Date:   Wed Feb 8 07:24:24 2012 +0100

    French translation update
    
    1923 translated messages, 112 fuzzy translations, 29 untranslated messages.

 man/po/fr.po |   12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit db15463b1eb1d45d6c0870a85f1f80aa2162d5eb
Author: Michał Kułach <michal.kulach@gmail.com>
Date:   Wed Feb 1 20:35:14 2012 +0100

    Polish translation update
    
    Update to 1023t

 debian/changelog |    1 +
 po/pl.po         | 1641 +++++++++++++++++++++++-------------------------------
 2 files changed, 707 insertions(+), 935 deletions(-)

commit 1c9f979eb7072dedb6d3fdf9179a13e2eddaa8e2
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Fri Feb 10 17:13:54 2012 +0100

    Update German translation of manual pages
    
    Update to 2074t.

 man/po/de.po |   21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

commit 2ff94236d0f47ba922e72105642970eacd0913c1
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Feb 8 21:17:56 2012 +0100

    Update German translation of manual pages
    
    Update to 2071t0f3u.

 man/po/de.po | 4899 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 2452 insertions(+), 2447 deletions(-)

commit ada843781c82d947995365252f64c0568fe9d907
Author: Sam Morris <sam@robots.org.uk>
Date:   Wed Feb 8 10:54:41 2012 +0100

    dpkg-maintscript-helper(1): update definition of "lastversion/priorversion"
    
    Recommend usage of the version removing/renaming a conffile with a "~" suffix
    as "priorversion" parameter. This ensures that a locally rebuilt package
    will also trigger the operation on upgrade.
    
    Reported-by: Sam Morris <sam@robots.org.uk>
    Closes: #658854
    Improved-by: Raphaël Hertzog <hertzog@debian.org>
    Signed-off-by: Raphaël Hertzog <hertzog@debian.org>

 debian/changelog              |    4 +++
 man/dpkg-maintscript-helper.1 |   60 ++++++++++++++++++++++++++---------------
 2 files changed, 43 insertions(+), 21 deletions(-)

commit 62fba736933019e54ed4ec975ffbfae7b3ca2b7e
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Wed Feb 8 10:25:50 2012 +0100

    deb-shlibs(5): <dependencies> use same syntax than Depends
    
    Document that the "dependencies" field within a shlibs file must use
    the same syntax than a "Depends" field in a binary control file.
    
    Reported-by: Niels Thykier <niels@thykier.net>
    Closes: #658696

 debian/changelog |    2 ++
 man/deb-shlibs.5 |    7 +++++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 71d2a57b302665415bb893e7fb9b8834cd638f48
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Feb 7 19:21:17 2012 +0100

    Fix a untranslated string in French translation

 po/fr.po |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 71e6340cd6a68a45578f9404bd59f618423657c7
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Feb 7 19:15:49 2012 +0100

    dpkg-dev: install deb-origin.5 in package
    
    Commit 4007271e13b93de69ca566d3c01075acdad0827e forgot to install
    the new deb-origin.5 file in the dpkg-dev package.

 debian/dpkg-dev.manpages |    2 ++
 1 file changed, 2 insertions(+)

commit 95ea2221c63137e50b50761d9b91ac43ebee3a09
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Fri Feb 3 11:17:05 2012 +0100

    man: Drop AUTHORS sections in favor of comments in source
    
    This section usually contains copyright notices which can be updated quite
    often and thus generate useless work for translators. Furthermore this section
    was often confusing by mixing authors of the documented software and authors
    of the manual page.
    
    So instead of keeping this in the generated manual page, we move this
    information where it belongs, in a file comment header above the license
    information.
    
    This commit adds the copyright & license statements to all manual pages in
    comments at the top of each file. Information from the git history has been used
    where there was no pre-existing copyright statements.

 man/deb-control.5             |   23 +++++++++++++++++++--
 man/deb-extra-override.5      |   17 ++++++++++++++++
 man/deb-old.5                 |   19 +++++++++++++++++
 man/deb-origin.5              |   18 +++++++++++++++++
 man/deb-override.5            |   10 ++++++---
 man/deb-shlibs.5              |    5 ++++-
 man/deb-split.5               |   17 ++++++++++++++++
 man/deb-src-control.5         |   20 ++++++++++++++++--
 man/deb-substvars.5           |   28 ++++++++++++++++---------
 man/deb-symbols.5             |   18 ++++++++++++++++-
 man/deb-triggers.5            |   18 +++++++++++++++++
 man/deb-version.5             |   30 +++++++++++++++++----------
 man/deb.5                     |   20 ++++++++++++++++++
 man/dpkg-architecture.1       |   20 ++++++++++++++++++
 man/dpkg-buildflags.1         |   27 ++++++++++++++++---------
 man/dpkg-buildpackage.1       |   33 +++++++++++++++++++-----------
 man/dpkg-checkbuilddeps.1     |   19 +++++++++++++++++
 man/dpkg-deb.1                |   26 ++++++++++++++++++------
 man/dpkg-distaddfile.1        |   26 ++++++++++++++++--------
 man/dpkg-divert.8             |   20 ++++++++++++++++++
 man/dpkg-genchanges.1         |   28 +++++++++++++++++--------
 man/dpkg-gencontrol.1         |   29 +++++++++++++++++---------
 man/dpkg-gensymbols.1         |   25 ++++++++++++++++-------
 man/dpkg-maintscript-helper.1 |   30 +++++++++++++++------------
 man/dpkg-mergechangelogs.1    |   23 +++++++++++++++------
 man/dpkg-name.1               |   27 ++++++++++++++++---------
 man/dpkg-parsechangelog.1     |   30 ++++++++++++++++++---------
 man/dpkg-query.1              |   26 ++++++++++++++++++------
 man/dpkg-scanpackages.1       |    7 ++++++-
 man/dpkg-scansources.1        |   22 +++++++++++++++++---
 man/dpkg-shlibdeps.1          |   33 +++++++++++++++++++-----------
 man/dpkg-source.1             |   32 ++++++++++++++++++++---------
 man/dpkg-split.1              |   25 ++++++++++++++++-------
 man/dpkg-statoverride.8       |   24 ++++++++++++++++------
 man/dpkg-trigger.1            |   17 ++++++++++++++++
 man/dpkg-vendor.1             |   23 +++++++++++++++------
 man/dpkg.1                    |   25 +++++++++++++++++++++++
 man/dpkg.cfg.5                |   18 +++++++++++++++++
 man/dselect.1                 |   30 ++++++++++++++++++---------
 man/dselect.cfg.5             |   18 +++++++++++++++++
 man/start-stop-daemon.8       |   30 +++++++++++++++++++--------
 man/update-alternatives.8     |   45 ++++++++++++++++++++++-------------------
 42 files changed, 764 insertions(+), 217 deletions(-)

commit 708c788f95cc920b83b7d0dbe59919547994dd7f
Author: Guillem Jover <guillem@debian.org>
Date:   Mon Feb 6 11:58:43 2012 +0100

    dpkg: When removing a foreign arch, only consider < halfinstalled an issue
    
    Packages in lesser states do not pose any problem for dependencies.

 src/main.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f765d25fb8364d10059ba3da5dc200b207dd4e05
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 4 16:24:54 2012 +0100

    dpkg-trigger: Refactor package awaiter parsing into parse_awaiter_package()

 src/trigcmd.c |   36 ++++++++++++++++++++++++++++--------
 1 file changed, 28 insertions(+), 8 deletions(-)

commit de78783d962d2511dd8dd1dd34c4a0d03912ec2d
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 4 15:11:13 2012 +0100

    libdpkg: Pass struct pkgbin to pkg_summary()

 lib/dpkg/pkg-format.c |    4 ++--
 lib/dpkg/pkg-show.c   |    6 +++---
 lib/dpkg/pkg-show.h   |    5 +++--
 src/enquiry.c         |    3 ++-
 src/querycmd.c        |    6 +++---
 5 files changed, 13 insertions(+), 11 deletions(-)

commit cd3fafbdaaaecfd7f7e4fdf681cb831cc19a41b2
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 4 15:04:44 2012 +0100

    libdpkg: Add more test cases for arch module
    
    This covers dpkg_arch_add(), dpkg_arch_unmark() and
    varbuf_add_archqual().

 lib/dpkg/test/t-arch.c |   63 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 62 insertions(+), 1 deletion(-)

commit 14d0763f3ffbd5270115f3f75c7dc0bd7375d8d9
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 4 15:03:40 2012 +0100

    libdpkg: Return early from dpkg_arch_unmark()

 lib/dpkg/arch.c |    1 +
 1 file changed, 1 insertion(+)

commit 7ac9650539308e1f28465f024c5923ffbcd8b7dd
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 4 14:49:27 2012 +0100

    libdpkg: Change dpkg_arch_remove() to just unmark foreign architectures
    
    There's no point in removing the architecture from the actual list, as
    dpkg_arch_save() will only write out foreign architectures, and if code
    later looks for it, then it will be reintroduced. Rename the function
    to dpkg_arch_unmark() so that the name makes more sense.

 lib/dpkg/arch.c      |   14 +++++++-------
 lib/dpkg/arch.h      |    4 ++--
 lib/dpkg/libdpkg.map |    2 +-
 src/main.c           |    2 +-
 4 files changed, 11 insertions(+), 11 deletions(-)

commit 21c75543edb7e02a428f1adde0a15dd86fc613e4
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 4 14:47:28 2012 +0100

    libdpkg: Add test case for default shell on command_shell()

 lib/dpkg/test/t-command.c |   11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit bb854aa57be3642fe7d1b7e997f5899693703048
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Feb 4 14:46:07 2012 +0100

    libdpkg: Add minimal triggers test case for trig_name_is_illegal()

 lib/dpkg/test/.gitignore  |    1 +
 lib/dpkg/test/Makefile.am |    1 +
 lib/dpkg/test/t-trigger.c |   48 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 50 insertions(+)

commit 66aad043c37faba49617a91a1070e3fba142b3a5
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Feb 3 04:20:18 2012 +0100

    dpkg: Refactor deconfiguration queueing into enqueue_deconfigure()

 src/archives.c |   23 +++++++++++++++--------
 src/archives.h |    1 +
 2 files changed, 16 insertions(+), 8 deletions(-)

commit 7267b0e3c2eecac6663a17c02ad2a5af837eca65
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Feb 3 04:29:08 2012 +0100

    dpkg: Rename push_conflictor() to enqueue_conflictor()

 src/archives.c   |    2 +-
 src/archives.h   |    2 +-
 src/processarc.c |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 315d710ab490a1d2aaf74b53d52358093cc25423
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Feb 3 07:02:58 2012 +0100

    dpkg: Use pnaw_nonambig instead of pnaw_foreign on .list file open error
    
    Regression introduced in commit 0b8652b226a7601dfd71471797d15168a7337242.
    
    Spotted-by: Raphaël Hertzog <hertzog@debian.org>

 src/filesdb.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d0984e6e92d6e6d1fa3c9a3c81bdfd93315989d5
Author: Guillem Jover <guillem@debian.org>
Date:   Fri Feb 3 03:55:11 2012 +0100

    dpkg: Fix memory leaks from deppossi iterators
    
    Regression introduced in commit b274b0d96da80ef162d45f800777f11b11defe91.

 src/depcon.c |    9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit cd7843a41cee103d2d722c0b5d98b3b5f4b5c53b
Author: Peter Krefting <peterk@debian.org>
Date:   Wed Feb 1 20:03:05 2012 +0100

    Update Swedish translation in light of LP#368783.

 man/po/sv.po |   32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

commit 349b17622f48743199113774c015eb25c51fd6ab
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Wed Feb 1 18:49:51 2012 +0100

    Update German translation of manual pages
    
    Update to 2096t.

 man/po/de.po |   46 ++++++++++++++++++++++++----------------------
 1 file changed, 24 insertions(+), 22 deletions(-)

commit 0b8652b226a7601dfd71471797d15168a7337242
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Mar 1 04:43:29 2011 +0100

    Change debug, progress and error output to use package specifiers
    
    Replace pkg->set->name with varbuf_add_pkgbin_name(), pkgbin_name() or
    pkg_name(). This only changes informative output, so no behaviour change
    should result from this.
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 dpkg-deb/build.c     |    4 +--
 lib/dpkg/dbmodify.c  |   17 +++++++----
 lib/dpkg/dump.c      |   14 +++++++--
 lib/dpkg/parsehelp.c |    3 +-
 lib/dpkg/triglib.c   |    5 ++--
 src/archives.c       |   79 ++++++++++++++++++++++++++++++--------------------
 src/configure.c      |   49 +++++++++++++++++++------------
 src/depcon.c         |   45 +++++++++++++++-------------
 src/enquiry.c        |    3 +-
 src/errors.c         |    4 +--
 src/filesdb.c        |   18 +++++++-----
 src/help.c           |   12 ++++----
 src/packages.c       |   50 ++++++++++++++++++--------------
 src/processarc.c     |   46 +++++++++++++++++------------
 src/querycmd.c       |   15 ++++++----
 src/remove.c         |   35 ++++++++++++----------
 src/trigproc.c       |   46 +++++++++++++++++------------
 17 files changed, 266 insertions(+), 179 deletions(-)

commit ff66f87ae809dfad6fe0f621f54a105b999e38b2
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Feb 1 03:08:35 2012 +0100

    dpkg: Pass struct pkgbin to namenodetouse()

 src/archives.c   |    9 +++++----
 src/configure.c  |    3 ++-
 src/help.c       |    5 ++++-
 src/main.h       |    3 ++-
 src/processarc.c |    5 +++--
 src/remove.c     |    4 ++--
 6 files changed, 18 insertions(+), 11 deletions(-)

commit 6fade1987b2a59b53a4f31c17fe5ba6ede9cf4a1
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Feb 1 02:55:18 2012 +0100

    dpkg: Pass struct pkgbin to log_action()

 src/configure.c  |    2 +-
 src/help.c       |    4 +++-
 src/main.h       |    2 +-
 src/processarc.c |    6 +++---
 src/remove.c     |    4 ++--
 src/trigproc.c   |    2 +-
 6 files changed, 11 insertions(+), 9 deletions(-)

commit 82f360f598ca21d7e51091b044484cddb07132d2
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Nov 9 18:11:54 2011 +0100

    libdpkg: Add virtual binary:Package field
    
    This will allow printing package specifiers on query format strings.
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 lib/dpkg/pkg-format.c |    9 +++++++++
 man/dpkg-query.1      |    1 +
 2 files changed, 10 insertions(+)

commit 62467910df606a1daaea096f66018506a3ea451e
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jan 31 19:57:18 2012 +0100

    dselect: Abort select action if any foreign architecture is enabled
    
    The selection code does not support multi-arch at all, so do not even
    try to run it if there's a foreign architecture configured.

 dselect/main.cc |    7 +++++++
 1 file changed, 7 insertions(+)

commit 2d0df68eede362de663c0862d3408530f428d473
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jan 31 19:35:51 2012 +0100

    Abort downgrade if the triggers db contains arch-qualified packages
    
    Older dpkg versions won't be able to parse the triggers file when
    there's arch-qualified package names, avoid getting into a broken
    state by aborting early.

 debian/dpkg.prerm |   18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 33f45255ee45479a39c9e913223ddbb17d602aa9
Author: Guillem Jover <guillem@debian.org>
Date:   Tue Jan 31 12:58:03 2012 +0100

    Move copyright information from --version output to file comment headers
    
    Having to keep this information twice is error-prone as it easily gets
    out of sync. Having to translate it is bothersome. It's not consistent
    across dpkg tools, some do print it some don't. It's currently not
    accurate, as the output would need to include the holders for all files
    that end up being part of the binary. And listing it in the --versions
    output is visually annoying and the wrong place.
    
    Just keep this where it belongs, at the file comment headers, above the
    license information.

 dpkg-split/main.c                  |    4 ++--
 dselect/main.cc                    |   10 +++-------
 scripts/changelog/debian.pl        |    6 +++---
 scripts/dpkg-architecture.pl       |    6 +-----
 scripts/dpkg-buildflags.pl         |    3 ---
 scripts/dpkg-buildpackage.pl       |    9 ++++-----
 scripts/dpkg-distaddfile.pl        |    5 ++---
 scripts/dpkg-genchanges.pl         |    7 +++----
 scripts/dpkg-gencontrol.pl         |    7 +++----
 scripts/dpkg-gensymbols.pl         |    6 ++----
 scripts/dpkg-maintscript-helper.sh |    5 -----
 scripts/dpkg-mergechangelogs.pl    |    2 --
 scripts/dpkg-parsechangelog.pl     |    7 +++----
 scripts/dpkg-shlibdeps.pl          |   12 +++++-------
 scripts/dpkg-source.pl             |    5 -----
 scripts/dpkg-vendor.pl             |    3 ---
 src/divertcmd.c                    |    5 -----
 src/statcmd.c                      |    4 ----
 src/t/100_dpkg_divert.t            |    2 +-
 utils/update-alternatives.c        |    5 -----
 20 files changed, 32 insertions(+), 81 deletions(-)

commit 9971d255b38c2dc0da40a3ec9c7cf4b1631366f8
Author: Cyril Brulebois <kibi@debian.org>
Date:   Mon Jan 30 13:53:44 2012 +0100

    build: Add missing files to test_data variable
    
    Regression introduced in commit fc372437a25080989c6ab788fe0382ef508739a4.
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 scripts/Makefile.am |    4 ++++
 1 file changed, 4 insertions(+)

commit e2afb266c663a5585a62bd3e111b0acf62966209
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Jan 30 21:52:38 2012 +0100

    French manpages translation update
    
    1923 translated messages, 111 fuzzy translations, 30 untranslated messages.

 man/po/fr.po |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 239df382bb456967e098db93e918f5592b059b27
Author: Christian PERRIER <bubulle@debian.org>
Date:   Mon Jan 30 21:49:46 2012 +0100

    French manpages translation update
    
    1923 translated messages, 111 fuzzy translations, 30 untranslated messages.

 man/po/fr.po |   12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit a872d19688a9d48f36bfb326386e024b5e2d0074
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Jan 29 15:16:53 2012 +0100

    Italian translation update
    
    1023t

 debian/changelog |    2 +-
 po/it.po         |  410 +++++++++++++++++++++---------------------------------
 2 files changed, 159 insertions(+), 253 deletions(-)

commit 42b5e9a9bf1a554af45e4873e9f07d694633e20d
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Jan 28 19:19:09 2012 +0100

    Update German translation of manual pages
    
    Update to 2096t.

 man/po/de.po |  295 +++++++++++++++++++++++++++++++---------------------------
 1 file changed, 159 insertions(+), 136 deletions(-)

commit bc9c9ce4819d68142819f590ffb9c9bb50dd8d64
Author: Helge Kreutzmann <debian@helgefjell.de>
Date:   Sat Jan 28 19:00:33 2012 +0100

    Update German scripts translation
    
    Update to 529t.

 scripts/po/de.po |   93 ++++++++++++++++++++++++++++++------------------------
 1 file changed, 51 insertions(+), 42 deletions(-)

commit 2b6e4e5f2667538d93d8a6beb92abaf2f6137191
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Tue Jan 24 11:59:44 2012 +0100

    dpkg-buildpackage: use build-arch and build-indep targets of debian/rules
    
    'build-arch' is used when building only arch-any binaries (-B)
    while 'build-indep' is used when building only arch-all binaries (-A).
    To avoid breaking too many packages, dpkg-buildpackages verifies that
    those targets are implemented by calling “make -f debian/rules -qn
    <target>” and ensuring that it doesn't fail with exit code 2. Otherwise
    it falls back to using the 'build' target.
    
    This fallback is a temporary measure until all packages have been
    converted to properly support the build-arch and build-indep targets.
    
    Acked-by: Guillem Jover <guillem@debian.org>

 debian/changelog             |    3 +++
 man/dpkg-buildpackage.1      |   20 ++++++++++++++------
 scripts/dpkg-buildpackage.pl |   26 +++++++++++++++++++++++++-
 3 files changed, 42 insertions(+), 7 deletions(-)

commit b274d61afd592336ea6215d4eb7b8d109819449f
Author: Christian PERRIER <bubulle@debian.org>
Date:   Wed Jan 25 19:56:08 2012 +0100

    French translation update
    
    1921 translated messages, 111 fuzzy translations, 32 untranslated messages

 man/po/fr.po |   49 ++++++++++++++++++++++++++++++++++---------------
 1 file changed, 34 insertions(+), 15 deletions(-)

commit 6bd9c1396c24e8b0e517ae69bd80923f2a4a222c
Author: Christian PERRIER <bubulle@debian.org>
Date:   Tue Jan 24 19:23:45 2012 +0100

    French translation update
    
    1908 translated messages, 116 fuzzy translations, 40 untranslated messages.

 man/po/fr.po |   23 ++++++++++++++++++-----
 1 file changed, 18 insertions(+), 5 deletions(-)

commit 975ac670a1e9ad6ef94848716b603cbb1fb37a49
Author: Guillem Jover <guillem@debian.org>
Date:   Sat Nov 5 19:38:21 2011 +0100

    libdpkg: Keep Architecture in status entry for non-installed packages
    
    Packages which failed to install or which were removed might still
    appear in the status file because we retain the user selection (stored
    in pkginfo.pkgwant), and we need to keep the architecture field because
    that selection is really arch specific. If we drop the architecture
    field, dpkg might confuse this entry with the entry for the native
    architecture.
    
    Based-on-patch-by: Raphaël Hertzog <hertzog@debian.org>
    Patch-sponsored-by: Linaro Limited
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

 lib/dpkg/pkg.c |    7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit bbd5801c99ffd0b117beaf4bf24f32fa797ece6a
Author: Guillem Jover <guillem@debian.org>
Date:   Wed Nov 30 03:53:54 2011 +0100

    libdpkg: Pass pkgbin to trig_parse_ci callbacks
    
    [hertzog@debian.org:
     - Track pkgbin in struct trigfileint. ]

 lib/dpkg/triglib.c |   49 +++++++++++++++++++++++++++++--------------------
 lib/dpkg/triglib.h |   12 +++++++-----
 src/processarc.c   |    6 +++---
 src/remove.c       |    2 +-
 src/trigproc.c     |   14 ++++++++------
 5 files changed, 48 insertions(+), 35 deletions(-)

commit 08eeeadc5dec889446b354854d217570eac56123
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jan 22 19:42:35 2012 +0100

    dpkg: Rename infodb.c to infodb-access.c

 po/POTFILES.in                    |    2 +-
 src/Makefile.am                   |    4 ++--
 src/{infodb.c => infodb-access.c} |    0
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 4dea6fa540064c743f2be53a4a9e088fbb4c2b41
Author: Guillem Jover <guillem@debian.org>
Date:   Sun Jan 22 19:33:11 2012 +0100

    build: Move common headers to noinst_HEADERS
    
    Headers in _SOURCES variables are only used to track files to ship in
    the distribution tarball, as dependencies are automatically generated.
    So there's no point in the reduntant listings.

 src/Makefile.am |   16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 9fa95645690da284f425f3d7ddbfb19f59601766
Merge: 492fa0c 56b80c4
Author: Christian PERRIER <bubulle@debian.org>
Date:   Fri Jan 20 22:30:32 2012 +0100

    Merge branch 'master' of ssh://git.debian.org/git/dpkg/dpkg

commit 492fa0cb9764cc097756404070974b244a5cb329
Author: Christian PERRIER <bubulle@debian.org>
Date:   Fri Jan 20 22:30:05 2012 +0100

    French translation update
    
    1903 translated messages, 117 fuzzy translations, 44 untranslated messages.

 man/po/fr.po |   80 ++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 52 insertions(+), 28 deletions(-)

